2007-03-28 00:16  tag E-UAE-0_8_29-WIP4

2007-03-28 00:16  evi1rich

	* src/od-amiga/main.c: Use clib2 minimum stack wedge when building
	  for AmigaOS 3.x and 4.0.  We now use clib2 on 3.x (bye, bye,
	  libnix) and OS4.0 builds will probably need some love before
	  newlib builds will work anyway (a job for later).

2007-03-27 21:37  evi1rich

	* src/cfgfile.c: Really fixed the problem of JIT defaulting to
	  direct memory where it's not supported.

2007-03-27 21:12  evi1rich

	* src/newcpu.c: Don't log all exceptions (unless exception
	  debugging is enabled, of course), since this can really hurt
	  performance of games which abuse exception-handling, such as
	  Shadow of the Beast.

2007-03-27 21:09  evi1rich

	* src/drawing.c: Recent changes to drawing initialization broke
	  savestate restores.  Fixed.

2007-03-27 21:09  evi1rich

	* src/genblitter.c: Applied patch from Mustafa Tufan (uae2x and
	  pspuae developer) which optimizes blitting speed a little
	  (initial, limited tests here show 2-3% improvement in
	  performance, but every little helps). Thanks!

2007-03-26 00:51  evi1rich

	* README, docs/compiling.txt: More documentation re-writing and
	  tweaking.

2007-03-26 00:07  evi1rich

	* src/gfx-beos/be-Window.cpp: Fix up BeOS graphics back-end wrt
	  recent drawing changes.

2007-03-25 23:57  evi1rich

	* src/sd-beos/sound.h: Default to sound latency of 50ms rather
	  100ms in BeOS sound driver.  100ms is too large there it seems,
	  and leads to poor performance.

2007-03-25 23:49  evi1rich

	* src/cfgfile.c: Don't default to direct memory access in the JIT
	  if it's not supported. E-UAE should spot that direct memory isn't
	  supported itself and correct these settings, but the check isn't
	  robust, and it's much better not to set it wrong in the first
	  place. This should make life easier for OS X/Intel users. Thanks
	  to Anders Hasselqvist and Daniel Pimley for providing evidence
	  which helped nail down this potential problem.

2007-03-16 23:20  evi1rich

	* src/od-macosx/Makefile.am: Mac OS X icon was not being included
	  in dist tarball. Added file to EXTRA_DIST to work around this.

2007-03-14 16:03  evi1rich

	* src/gfx-sdl/sdlgfx.c: SDL graphics back-end would needlessly
	  close and re-open the SDL surface - for example, when
	  screen-flipping between P96 screens of identical resolution.
	  Fixed. Thanks to weasel for the report. This is also fixes a
	  similar problem with panning a P96 screen.

2007-03-14 15:59  evi1rich

	* src/: gfx-amigaos/ami-win.c, gfx-beos/be-Window.cpp,
	  gfx-curses/ncurses.c, gfx-sdl/sdlgfx.c, gfx-x11/xwin.c,
	  include/xwin.h: Cleaned up the maxblockline issue. Defined macro
	  MAXBLOCKLINE_MAX which should be used when you don't care about
	  block length. Also, in SDL back-end when using a hardware
	  surface, set maxblockline to MAXBLOCKLINE_MAX - not 0. This
	  ensures we don't get a dummy flushline() call for each line, so
	  it might in fact be marginally faster. This is also fixes the
	  segfault rendering to video memory introduced recently, since the
	  flushline() method isn't defined for the SDL back-end.

2007-03-12 15:43  evi1rich

	* src/main.c: Updated copyright message.

2007-03-12 15:01  evi1rich

	* src/: gfx-amigaos/ami-win.c, gfx-beos/be-Window.cpp,
	  gfx-curses/ncurses.c, gfx-sdl/sdlgfx.c, gfx-x11/xwin.c: Attempt
	  to overcome flickering when status LEDS overlaps displays area.
	  Not a full solution.

2007-03-12 15:00  evi1rich

	* src/newcpu.c: Recent changes broke live adjustment of
	  cycles/instructions in 'adjustable' CPU mode. Fixed.

2007-03-12 10:40  evi1rich

	* src/newcpu.c: Tidy up trace handling.

2007-03-12 10:39  evi1rich

	* src/main.c: Fix for broken hot-key handling in OS X when started
	  from Finder.

2007-03-12 09:15  evi1rich

	* src/: Makefile.am, custom.c, main.c, newcpu.c, sleep.c,
	  gui-gtk/cpuspeedpanel.c, gui-gtk/cpuspeedpanel.h,
	  gui-gtk/gtkui.c, include/options.h, targets/t-amiga.h,
	  targets/t-beos.h, targets/t-unix.h: Removed 'don't busy wait'
	  stuff and start-up sleep test. We don't need these now.

2007-03-12 09:00  evi1rich

	* src/: scsiemul.c, hardfile.c: This shouldn't have been using
	  sleep_millis().

2007-03-12 08:57  evi1rich

	* src/newcpu.c: Reworked STOP opcode handler.

2007-03-12 01:45  evi1rich

	* src/custom.c: Busy-wait loop in new framewait handler would get
	  stuck on an overflow. Fixed.

2007-03-10 21:05  evi1rich

	* README: Updated README for upcoming WIP4 release.

2007-03-10 16:42  evi1rich

	* docs/scsi.txt: Updated SCSI emulation docs.

2007-03-10 16:26  evi1rich

	* docs/compiling.txt: Updated compiling manual.

2007-03-10 16:14  evi1rich

	* docs/bsdsocket.txt: Updated bsdsocket.library emulations docs.

2007-03-10 15:37  evi1rich

	* src/genlinetoscr.c: Fixed GCC signed/unsigned warning.

2007-03-10 15:35  evi1rich

	* src/driveclick.c: Brought drive-click code a step closer to
	  compiling. Still need to implement a means of locating samples to
	  load.

2007-03-10 15:28  evi1rich

	* src/gfx-amigaos/ami-win.c: Fixed up AmigaOS display back-end.

2007-03-10 15:26  evi1rich

	* src/gfx-curses/ncurses.c: Fixed up curses display back-end.

2007-03-10 12:34  evi1rich

	* src/gui-gtk/gtkui.c: Gtk+ interface's gui_open() method wasn't
	  returning failure when GUI couldn't be opened. Fixed.

2007-03-08 01:35  evi1rich

	* src/gfx-x11/xwin.c: Really fix X11 display driver.

2007-03-08 00:46  evi1rich

	* src/gfx-sdl/sdlgfx.c: Tweak for SDL display driver.

2007-03-08 00:46  evi1rich

	* src/gfx-x11/xwin.c: Fixed up X11 display driver wrt recent
	  changes to drawing initialization.

2007-03-08 00:45  evi1rich

	* src/drawing.c: Tidied up display buffer initialization.

2007-03-07 20:58  evi1rich

	* src/main.c: Fixed non-busy waiting at GUI start-up and when E-UAE
	  is paused.

2007-03-07 20:36  evi1rich

	* src/gui-gtk/cpuspeedpanel.c: In Gtk+ UI, that should have been
	  'Idle on STOP instruction' not 'HALT'.

2007-03-07 20:33  evi1rich

	* src/Makefile.am: Added test folder to distribution tarball.

2007-03-07 20:33  evi1rich

	* src/gui-cocoa/cocoaui.m: On OS X, added a work-around for the
	  'Open config' dialog opening when E-UAE shuts down if it was
	  originally started from the Finder. Better fix needed.

2007-03-07 04:02  evi1rich

	* src/custom.c: Fixed compiler warning in new interrupt code.

2007-03-07 03:28  evi1rich

	* src/: cfgfile.c, include/options.h: Mark 'avoid_cmov',
	  'comp_midopt' and 'comp_lowopt' config options as obsolete.

2007-03-07 03:03  evi1rich

	* docs/configuration.txt: Added compfpu= option to configuration
	  manual.

2007-03-07 02:48  evi1rich

	* docs/configuration.txt: Updated config manual wrt to 'sinc'
	  interpolation method.

2007-03-07 02:46  evi1rich

	* docs/configuration.txt: Fixed and expanded configuration doc wrt
	  'slow' memory.

2007-03-07 02:38  evi1rich

	* src/main.c: Fix 'slow' memory sanity check. Again, thanks to
	  Toni.

2007-03-07 02:36  evi1rich

	* src/gui-gtk/gtkui.c: Fix 'slow' memory setting in Gtk+ UI.
	  Maximum really is 1.8 MB. Thanks to Toni for pointing this out
	  yonks ago.

2007-03-06 14:35  evi1rich

	* src/memory.c: Tidied up mapping of motherboard resources. Limited
	  'slow' RAM to 1MB when AGA is enabled.

2007-03-06 14:32  evi1rich

	* src/: custom.c, newcpu.c, include/newcpu.h: Delayed arrival of
	  IRQs at processor was broken in non-JIT code path.  The due time
	  for arrival of an interrupt was set when the INTREQ registers was
	  modified - i.e. before the end of the opcode doing the modifying.
	  When that opcode completed and the cycle time bumped, the due
	  time of the interrupt would already have occurred; thus no delay.
	  Fixed this by re-using the JIT IRQ delay mechanism for
	  non-cycle-exact modes. Fixed up existing mechanism for
	  cycle-exact mode. This fixes sound effects in IK+, for example.

2007-03-05 09:54  evi1rich

	* src/: gencpu.c, md-68k/m68k.h, md-amd64-gcc/m68k.h,
	  md-generic/m68k.h, md-i386-gcc/m68k.h, md-ppc-gcc/m68k.h: Back
	  out Toni's fix for the SET_xFLG problem and instead fix it in
	  gencpu.c. It's cheaper to do it there.

2007-03-05 09:52  evi1rich

	* configure.in, src/test/Makefile.am, src/test/test_optflag.c:
	  Added a test program test_optflags to ensure we're getting this
	  stuff right. Woo hoo! The beginnings of a test suite. We're
	  playing with the big boys now! ;-)

2007-03-05 01:42  evi1rich

	* src/md-i386-gcc/m68kops.h: Removed some stray semi-colons.

2007-03-04 23:52  evi1rich

	* src/md-ppc-gcc/m68kops.h: Back out that last change to handling
	  of m68k flags on the PPC. It didn't work, as I should have known.

2007-03-04 11:34  evi1rich

	* src/md-ppc-gcc/m68kops.h: Improved optimized flag-handling on the
	  PPC a little.

2007-02-27 01:54  evi1rich

	* src/gui-beos/gui.cpp: New method gui_notify_state() was missing
	  for BeOS GUI code. Added dummy implementation to fix building on
	  BeOS for now.

2007-02-27 01:49  evi1rich

	* src/Makefile.am: Forgot to add new header uae_malloc.h to dist
	  tarball. Fixed.

2007-02-27 01:48  evi1rich

	* src/: compemu_raw_x86.c, jd-linuxold/joystick.c: Some GCC2.95
	  fixes.

2007-02-26 16:04  evi1rich

	* src/: Makefile.am, compemu_support.c, gfxutil.c, picasso96.c,
	  include/sysdeps.h, include/uae_endian.h: Big header clean-up,
	  part 7: Factor out byteswapping routines from sysdeps.h to new
	  header file uae_endian.h.

2007-02-26 14:57  evi1rich

	* src/include/uae_malloc.h: Oops. Fixed non-GCC case.

2007-02-26 14:36  evi1rich

	* src/: Makefile.am, include/writelog.h: Forgot to add new header.

2007-02-26 14:29  evi1rich

	* configure.in, src/Makefile.am, src/missing.c, src/readcpu.c,
	  src/writelog.c, src/include/sysdeps.h: Really clean-up writelog
	  nonsense, and also allow src/writelog.c to be conditionally
	  compiled. Win32 has its own implementation in src/od-win32, for
	  example.

2007-02-26 14:08  evi1rich

	* src/: filesys.c, missing.c: Header changes broke static xfree()
	  in filesys.c. Move it to missing.c and export it to fix.

2007-02-26 13:34  evi1rich

	* src/: gencomp.c, gencpu.c, readcpu.c, tools/configure.in: Fix up
	  compile-time warnings in various build tools.

2007-02-26 13:33  evi1rich

	* src/include/: sysdeps.h, uae_malloc.h: Big header clean-up, part
	  6: Factor out xmalloc() and friends from sysdeps.h to a new file
	  uae_malloc.h.

2007-02-26 12:48  evi1rich

	* src/: build68k.c, genblitter.c, gencomp.c, gencpu.c, missing.c,
	  readcpu.c, writelog.c, include/sysdeps.h, tools/Makefile.in,
	  tools/configure.in, tools/sysconfig.h.in: The clean-up of header
	  files has allowed configuration and compiling of build-time tools
	  to be simplified.

2007-02-26 12:25  evi1rich

	* src/: Makefile.am, include/sysdeps.h, include/uae_string.h: Big
	  header clean-up, part 5: Factor C lib string-related stuff from
	  sysdep.h to a new file uae_string.h.

2007-02-26 11:25  evi1rich

	* src/include/sysdeps.h: Big header clean-up, part 4: Remove junk
	  for unsupported platforms such as RiscOS, WarpOS, DOS, etc.

2007-02-26 11:13  evi1rich

	* src/: Makefile.am, include/sysdeps.h, include/uae_types.h: Big
	  header clean-up, part 3: factor out integer types, etc. from
	  sysdeps.h to a new file, uae_types.h.

2007-02-26 10:45  evi1rich

	* src/: writelog.c, include/sysdeps.h, targets/t-amiga.h,
	  targets/t-beos.h, targets/t-unix.h, tools/Makefile.in: Big header
	  clean-up, part 2: Tidy up write_log nonsense.

2007-02-26 10:23  evi1rich

	* src/: gencpu.c, readcpu.c, include/events.h, include/sysdeps.h:
	  Big header clean-up, part 1: Move CYCLE_UNIT stuff into events.h
	  and CPU_EMU_SIZE into readcpu.c.

2007-02-26 00:31  evi1rich

	* src/: compemu_raw_x86.c, compemu_support.c: Merged more code from
	  Basilisk II JIT. This includes processor-specific alignment of
	  jumps and more efficient alignment padding.

2007-02-25 23:03  evi1rich

	* src/compemu_raw_x86.c: Merged improved x86 CPU detection from
	  Basilisk II.

2007-02-25 16:40  evi1rich

	* src/: compemu_support.c, include/compemu.h: Removed dead code
	  from JIT.

2007-02-25 16:22  evi1rich

	* src/: include/newcpu.h, compemu_support.c: Started fixing up JIT
	  for 64-bit architectures.

2007-02-25 15:35  evi1rich

	* src/: sysconfig.h.in, include/sysdeps.h, tools/configure.in,
	  tools/sysconfig.h.in: Added uae_uintptr and uae_intptr data types
	  to allow pointers to be cast to integers safely on 32-bit and
	  64-bit architectures.

2007-02-25 14:38  evi1rich

	* src/main.c: Changes to virtual filesystem could be lost when
	  emulator was stopped.  Fixed. This problem was introduced with
	  new emulator state-management code. Thanks to Francis Russell for
	  the report.

2007-02-23 16:26  evi1rich

	* src/sysconfig.h.in: Autotools is correcting its own grammar, yet
	  again. I wish these guys would make up their minds...

2007-02-23 16:24  evi1rich

	* src/Makefile.am: Improvements for building OS X app bundle,
	  including installing icon.

2007-02-23 09:56  evi1rich

	* src/od-macosx/: Makefile.am, euae.icns: Added OS X Icon by Daniel
	  Pimley. Thanks, Dan!

2007-02-22 21:09  evi1rich

	* src/custom.c: Reworked the code that wait for the end of a
	  display frame in a system-friendly manner to better adapt to
	  changing latencies of system sleep function.

2007-02-22 21:07  evi1rich

	* src/: main.c, gfx-amigaos/ami-win.c, gfx-beos/be-Window.cpp,
	  gfx-curses/ncurses.c, gfx-sdl/sdlgfx.c, gfx-x11/xwin.c,
	  include/xwin.h: Added method graphics_notify_state() to graphics
	  back-end which allows graphics driver to be notified of changes
	  in emulator state.

2007-02-18 21:47  evi1rich

	* src/gui-gtk/gtkui.c: Added menu and 'Save Config' menu option to
	  GTK+ UI.

2007-02-18 21:46  evi1rich

	* src/: main.c, include/uae.h: Added function to save current
	  configuration file.

2007-02-18 20:33  evi1rich

	* configure.in, src/bsdsocket-posix-new.c, src/sysconfig.h.in:
	  Fixed building of bsdsocket.library emulation on Solaris.

2007-02-16 16:44  evi1rich

	* src/: ar.c, autoconf.c, cia.c, compemu_support.c, custom.c,
	  enforcer.c, expansion.c, memory.c, include/memory.h,
	  include/picasso96.h: Renamed JIT memory flags S_READ and S_WRITE
	  to SPECIAL_MEM_READ and SPECIAL_MEM_WRITE to avoid collisions
	  with system headers, for example, on Solaris.

2007-02-16 00:24  evi1rich

	* src/: audio.c, custom.c, debug.c, inputdevice.c, main.c, misc.c,
	  tui.c, uaelib.c, gui-gtk/gtkui.c, gui-muirexx/ami-rexx.c,
	  include/audio.h: Removed some unnecessary dependencies on the
	  audio backend from core code.

2007-02-15 00:28  evi1rich

	* configure.in, src/Makefile.am, src/sysconfig.h.in: Removed
	  unmaintained audio drivers (AF, SGI, MME and file).

2007-02-14 23:47  evi1rich

	* src/: audio.c, include/audio.h, include/gensound.h,
	  sd-alsa/sound.c, sd-amigaos/sound.c, sd-beos/sound.cpp,
	  sd-none/sound.c, sd-sdl/sound.c, sd-solaris/sound.c,
	  sd-uss/sound.c: Simply audio driver back-ends by moving
	  update_sound() function to core audio code.

2007-02-14 23:43  evi1rich

	* src/audio.c: Fixed building of sinc audio interpolation where
	  stereo sound is not supported.

2007-02-14 23:39  evi1rich

	* src/sd-solaris/: sound.c, sound.h: Fixed up Solaris sound driver.

2007-02-14 23:21  evi1rich

	* src/: sinctable.c, include/sinctable.h: Add missing files to
	  support sinc audio interpolation.

2007-02-10 15:55  evi1rich

	* src/: Makefile.am, audio.c, cfgfile.c, include/gensound.h,
	  sd-beos/sound.cpp: Add Antti Lankila's sinc audio synthesis
	  method. This is based on a patch sent to me by Antti (thanks!)
	  and WinUAE.

2007-01-26 21:37  evi1rich

	* src/bsdsocket.c: When bsdsocket emulation was disabled at
	  run-time, its reset handler would still be invoked when UAE was
	  reset - causing lots of nasty side-effects, such as breaking
	  debugger I/O. Fixed. Thanks to Jochen Becher for reporting and
	  diagnosing the problem.

2007-01-19 00:08  evi1rich

	* configure.in, src/Makefile.am, src/include/fpp-ieee-be.h,
	  src/include/fpp-ieee.h: Added optimized support for loading and
	  storing FPU registers on little-endian IEEE 754-compatible hosts
	  (support for big-endian hosts was already present) to 68k
	  interpreter.

2007-01-09 00:38  evi1rich

	* src/newcpu.c: Added some minor optimizations to the 68k
	  interpreter.

2007-01-08 21:16  evi1rich

	* src/bsdsocket-posix-new.c: Work-around for bsdsocket race
	  conditions on SMP machines. Better fix needed.

2007-01-08 21:06  evi1rich

	* src/sd-beos/sound.h: Another fix for building BEOS sound driver.

2006-12-23 15:24  evi1rich

	* src/fpp.c: Merged some of Peter Keunecke's improvements to the
	  interpretive FPU emulation from WinUAE. More to do.

2006-12-23 02:05  evi1rich

	* src/sd-beos/sound.cpp: Replacement of the sound_max_buff option a
	  while back broke the BeOS audio driver. Fixed.

2006-12-18 23:55  evi1rich

	* src/newcpu.c: Removed now redundant checks for change of CPU mode
	  in opcode dispatchers.

2006-12-18 23:52  evi1rich

	* src/include/newcpu.h: Re-ordered regstruct fields to allow better
	  cache utilization and to permit more efficient code generation on
	  x86 processors.

2006-12-18 01:54  evi1rich

	* src/inputdevice.c: Potential division by zero error when an Amiga
	  program tries to open a display of height 1. Fix merged from
	  WinUAE 1.3.4b4. Thanks Toni.

2006-12-18 01:01  evi1rich

	* src/: inputdevice.c, include/inputdevice.h: Sync inputdevice code
	  with WinUAE 1.3.3.

2006-12-18 00:24  evi1rich

	* src/: newcpu.c, include/newcpu.h: Fixed some compiler warnings
	  introduced in the WinUAE 1.3.3 merge.

2006-12-17 23:44  evi1rich

	* src/: main.c, gui-gtk/gtkui.c, include/gui.h, include/uae.h: Some
	  reorganization and clean-up of code based on the new management
	  of emulator state.

2006-12-17 21:47  evi1rich

	* src/main.c: With recent changes, options set in Gtk+ UI prior to
	  emulator start-up would be ignored. Fixed.

2006-12-17 21:11  evi1rich

	* src/main.c: Tweaked re-start behaviour.

2006-12-16 02:10  evi1rich

	* configure.in, src/main.c, src/gui-beos/gui.cpp,
	  src/gui-cocoa/cocoaui.m, src/gui-gtk/gtkui.c,
	  src/gui-muirexx/ami-gui.c, src/gui-none/nogui.c,
	  src/include/gui.h: Added a new gui_init() method, add re-worked
	  the Gtk+ GUI to use this rather than requiring it's own main()
	  function.

2006-12-15 23:48  evi1rich

	* src/: main.c, tui.c, gui-beos/gui.cpp, gui-cocoa/cocoaui.m,
	  gui-gtk/gtkui.c, gui-muirexx/ami-gui.c, gui-none/nogui.c,
	  include/gui.h: Renamed gui_init() method to the more descriptive
	  gui_open().

2006-12-15 23:26  evi1rich

	* src/: filesys.c, main.c: Some hacks to get us building with
	  MinGW32 again.

2006-12-15 23:17  evi1rich

	* src/main.c: Got confused between ms and us. Doh!

2006-12-15 22:50  evi1rich

	* src/: Makefile.am, disk.c, tui.c, gfx-amigaos/ami-win.c,
	  gfx-beos/be-Window.cpp, gfx-curses/ncurses.c, gfx-sdl/sdlgfx.c,
	  gfx-svga/svga.c, gfx-x11/xwin.c, gui-beos/gui.cpp,
	  gui-cocoa/cocoaui.m, gui-gtk/gtkui.c, gui-muirexx/ami-gui.c,
	  gui-none/nogui.c, include/gui.h, include/inputdevice.h,
	  include/mackbd.h: Removed a lot of dead code and other unused
	  junk.

2006-12-15 21:50  evi1rich

	* src/disk.c: Fixed some compiler warnings in the floppy emulation
	  introduced in WinUAE 1.3.3 merge.

2006-12-15 21:30  evi1rich

	* src/include/native2amiga.h: Removed another unnecessary call from
	  do_uae_int_requested().

2006-12-15 15:05  evi1rich

	* src/include/native2amiga.h: Unnecesasry direct interrupt request
	  in do_uae_int_requested() caused a race condition on SMP
	  machines. Fixed. This should cure lock-ups when using hardfiles
	  or filesystem threads on SMP machines.

2006-12-15 15:02  evi1rich

	* src/drawing.c: Removed some dead code.

2006-12-14 14:45  evi1rich

	* src/main.c: Removed some debugging code accidentally left in.

2006-12-14 14:40  evi1rich

	* src/: cfgfile.c, disk.c, main.c, gui-cocoa/cocoaui.m,
	  gui-gtk/gtkui.c, gui-muirexx/ami-gui.c, include/options.h: Added
	  the beginning of a new prefs option framework. This is currently
	  only used for handling default path options.

2006-12-14 14:39  evi1rich

	* src/sysconfig.h.in: Updated by newer autotools.

2006-12-13 12:16  evi1rich

	* src/: crc32.c, disk.c, include/crc32.h, include/disk.h: Merged
	  floppy emulation changes from WinUAE 1.3.3.

2006-12-13 09:21  evi1rich

	* src/memory.c: When using JIT direct memory, shared memory
	  segments would not be properly unmapped when emulator was
	  stopped. Fixed.

2006-12-11 23:30  evi1rich

	* src/: custom.c, drawing.c, include/custom.h, include/drawing.h:
	  Merged interlace changes from WinUAE 1.3.3.

2006-12-11 22:38  evi1rich

	* src/keymap/hotkeys_common.h: Keyboard-shortcuts for quick
	  load/save of state were horribly broken.  Not sure how that
	  happened, but they're fixed now. Thanks to Antonio Alonso for
	  reporting the problem.

2006-12-11 21:49  evi1rich

	* src/: blitter.c, newcpu.c, savestate.c, include/savestate.h:
	  Merged savestate changes from WinUAE 1.3.3.

2006-12-11 21:19  evi1rich

	* src/custom.c: Merged IRQ changes from WinUAE 1.3.3.

2006-12-11 21:16  evi1rich

	* src/newcpu.c: Fix for switching between CPU emulation modes.

2006-12-11 10:35  evi1rich

	* src/custom.c: Merged trivial code clean-ups in custom emulation
	  from WinUAE 1.3.3.

2006-12-11 10:27  evi1rich

	* src/drawing.c: Merged fixes to code which draws on-screen LEDs
	  and some code clean-up from WinUAE 1.3.3.

2006-12-11 10:24  evi1rich

	* src/blitter.c: Merged blitter emulation changes from WinUAE
	  1.3.3.

2006-12-11 10:16  evi1rich

	* src/: newcpu.c, gencpu.c, include/newcpu.h: Merged changes to the
	  interpretive CPU emulation from WinUAE 1.3.3.

2006-12-11 09:55  evi1rich

	* src/main.c: Fix for new state machine: don't reload config file
	  after entering stop state.

2006-12-06 22:52  evi1rich

	* src/: custom.c, drawing.c, inputdevice.c, main.c, newcpu.c,
	  gfx-amigaos/ami-win.c, gfx-curses/ncurses.c, gfx-sdl/sdlgfx.c,
	  gfx-x11/xwin.c, gui-cocoa/cocoaui.m, gui-gtk/gtkui.c,
	  gui-muirexx/ami-gui.c, gui-none/nogui.c, include/gui.h,
	  include/uae.h: Improved new UAE state management code. Reworked
	  Gtk UI to take advantage of this. More to do...

2006-12-02 22:06  evi1rich

	* src/main.c: With new state management code, program failed to
	  exit if initialization of display failed. Fixed.

2006-12-02 00:31  evi1rich

	* src/: filesys.c, hardfile.c: Merged hardfile changes from WinUAE
	  1.3.3.

2006-12-02 00:30  evi1rich

	* src/hardfile_unix.c: Implemented hdf_dup() function in generic
	  hardfile backend. This should fix hardfile breaking after a
	  reset. Thanks to everybody that reported this problem.

2006-12-01 13:26  evi1rich

	* src/gfx-sdl/sdlgfx.c: SDL/GL output was broken on 16-bit
	  displays. Fixed.

2006-12-01 12:25  evi1rich

	* src/md-ppc-gcc/m68k.h: Missed this file in last check-in.

2006-12-01 12:24  evi1rich

	* src/: md-generic/m68k.h, md-68k/m68k.h, md-i386-gcc/m68k.h,
	  md-amd64-gcc/m68k.h: The macros for setting 68k condition codes
	  relied on compiler-dependent behaviour. Thanks to Toni Wilen for
	  spotting the problem and the fix.

2006-12-01 11:52  evi1rich

	* src/gfx-sdl/sdlgfx.c: Some changes to the SDL OpenGL renderer for
	  MacOS X. Support the APPLE_texture_range and APPLE_client_storage
	  extensions when available, and use BGR1555_REV textures instead
	  of RGB565 on OS X.

2006-12-01 09:30  evi1rich

	* src/: cia.c, custom.c, include/cia.h, include/custom.h: Merged
	  some CIA changes from WinUAE 1.3.3.

2006-12-01 09:04  evi1rich

	* src/: filesys.c, include/filesys.h: Fixed some compiler warnings.

2006-11-16 21:26  evi1rich

	* src/md-ppc-gcc/support.c: Fixed potential overflow when
	  callibrating PowerPC timebase frequency.

2006-11-16 21:22  evi1rich

	* src/md-ppc-gcc/support.c: Linux support for querying OpenFirmware
	  for PowerPC timebase frequency failed on SMP systems. Fixed.

2006-11-16 21:07  evi1rich

	* src/gfx-sdl/sdlgfx.c: Some clean-ups in SDL/GL support.

2006-11-16 20:41  evi1rich

	* configure.in: Added support to configure for linking against
	  OpenGL on OS X.

2006-11-16 16:29  evi1rich

	* src/gui-cocoa/cocoaui.m: Mac OS X disk eject menu option opened
	  disk insert dialog. Fixed.

2006-11-16 16:27  evi1rich

	* src/od-win32/hardfile_win32.c: Fix for building hardfile support
	  on Win32.

2006-11-16 16:27  evi1rich

	* src/gui-muirexx/ami-rexx.c: New state management stuff broke
	  AREXX support. Fixed.

2006-11-16 00:38  evi1rich

	* src/: custom.c, drawing.c, main.c, memory.c, newcpu.c,
	  gui-gtk/gtkui.c, include/options.h, include/uae.h: A first
	  attempt at cleaning up management of emulator state.

2006-11-15 17:01  evi1rich

	* src/gfx-sdl/sdlgfx.c: Added support for handling expose events in
	  SDL gfx driver.

2006-11-15 16:46  evi1rich

	* src/gfx-sdl/sdlgfx.c: Factored out GL buffer management code in
	  SDL buffer driver and added support for texture_rectangles
	  extension (which boosts texture upload speed - especially on OS
	  X).

2006-11-15 10:46  evi1rich

	* src/gfx-sdl/sdlgfx.c: Factored out duplicated code in normal and
	  GL init routines in SDL driver.

2006-11-15 10:31  evi1rich

	* src/gfx-sdl/sdlgfx.c: Fixed various pixel format and P96 problems
	  with GL support in SDL display driver.

2006-11-10 23:40  evi1rich

	* src/od-linux/blkdev-linux.c: Linux SCSI support failed to build
	  on Ubuntu 6.10. Changed header include order to fix this.

2006-11-09 10:24  evi1rich

	* src/: main.c, uaelib.c, include/options.h, include/version.h:
	  Removed global variable 'version' and replaced with macro
	  UAEVERSION in src/include/version.h.

2006-11-08 22:54  evi1rich

	* src/filesys.c: Fixed typo in filesys debugging code introduced
	  from WinUAE.

2006-11-07 23:37  evi1rich

	* amiga/source/: uae-configuration.c, uae-configuration.s: Added
	  source code for the uae-configuration tool from WinUAE 1.3.3.

2006-11-07 23:33  evi1rich

	* src/: cfgfile.c, uaelib.c, include/options.h: Merged support for
	  accessing configuration options from Amiga space from WinUAE
	  1.3.1. This allows the uae-configuration shell command to work
	  inside the emulator.

2006-08-31 14:15  evi1rich

	* src/gfx-sdl/sdlgfx.c: Made SDL GL renderer work with mousehack.

2006-08-30 23:34  evi1rich

	* src/: custom.c, drawing.c, gfx-amigaos/ami-win.c,
	  gfx-beos/be-Window.cpp, gfx-curses/ncurses.c, gfx-sdl/sdlgfx.c,
	  gfx-x11/xwin.c, include/xwin.h, sd-alsa/sound.c,
	  sd-amigaos/sound.c, sd-beos/sound.cpp, sd-sdl/sound.c,
	  sd-uss/sound.c: Change vsync behaviour to no longer absolutely
	  depend on full-screen mode - leave it up to the gfx driver
	  whether vsyncing is supported.

2006-08-30 09:14  evi1rich

	* src/gfx-sdl/sdlgfx.c: In SDL gfx driver, try to speed up OpenGL
	  rendering of Amiga screens by using a 16-bit framebuffer and a
	  16-bit texture when we don't need a 24-bit colourspace (i.e.,
	  we're not emulating the AGA chip set).

2006-08-28 19:31  evi1rich

	* src/gfx-sdl/sdlgfx.c: SDL doesn't seem to let you change GL
	  attributes such as SDL_GL_DOUBLEBUFFER (when running on GLX at
	  least). Added a nasty work-around for this: tear down SDL's video
	  system system then bring it back up. (Note: this may have
	  unforseen consequences on some platforms. Needs to be checked.)

2006-08-28 19:09  evi1rich

	* src/gfx-sdl/sdlgfx.c: Fixed off by one error in SDL GL renderer.

2006-08-28 16:36  evi1rich

	* src/gfx-sdl/sdlgfx.c: In SDL gfx driver, the p96 screen was not
	  being refreshed when switching from windowed to full-screen mode
	  and vice versa. Fixed.

2006-08-28 16:15  evi1rich

	* src/gfx-sdl/sdlgfx.c: Cleaned up and optimized P96 rendering in
	  SDL GL code.

2006-08-28 12:56  evi1rich

	* src/: custom.c, gfx-sdl/sdlgfx.c: Optimized and cleaned up output
	  of chipset display in Jochen's SDL GL renderer, and added support
	  for vsyncing.

2006-08-28 10:33  evi1rich

	* configure.in, docs/compiling.txt, docs/configuration.txt,
	  src/gfx-sdl/sdlgfx.c, src/include/options.h: Merged patch from
	  Jochen Becher which adds OpenGL-rendering to SDL gfx driver.

2006-08-28 09:27  evi1rich

	* configure.in, src/gfx-x11/x11keys.c: Merged patch from Peter
	  Volkov which detects X11's XKB path at configure time and so
	  fixes support for raw-key translation in X11 gfx driver with
	  modular X11 installs.

2006-08-28 09:06  evi1rich

	* src/od-linux/blkdev-linux.c: Added media_check() function to
	  linux SCSI back-end, allowing the CD32/CDTV emulation to work
	  here.

2006-08-28 08:54  evi1rich

	* configure.in, docs/compiling.txt, src/blkdev.c,
	  src/od-linux/Makefile.am, src/od-linux/blkdev-linux.c: Merged
	  patch from Jochen Becher which adds a native Linux back-end for
	  the SCSI wrapper.

2006-08-23 22:36  evi1rich

	* src/: autoconf.c, custom.c, filesys.asm, filesys_bootrom.c,
	  inputdevice.c, gfx-amigaos/ami-win.c, gfx-beos/be-Window.cpp,
	  gfx-curses/ncurses.c, gfx-sdl/sdlgfx.c, gfx-svga/svga.c,
	  gfx-x11/xwin.c, include/autoconf.h, include/inputdevice.h,
	  include/xwin.h: Merged integrated mouse hack from WinUAE 1.3.1.
	  This is currently supported on SDL and X11 graphics targets, and
	  mousehack support is currently disabled everywhere else.

2006-08-23 22:29  evi1rich

	* src/gfx-x11/xwin.c: In the X11 gfx driver, call XFlush after
	  refreshing a P96 screen to ensure updates become visible
	  immediately. This solves the problem of slow update of the mouse
	  pointer in P96 mode.

2006-08-12 16:51  evi1rich

	* src/picasso96.c: Picasso96 emulation would inconsisently refresh
	  the screen when using an off-screen buffer. Fixed. Thanks to
	  Jochen Becher for prompting me to fix this long-standing bug.

2006-08-12 16:47  evi1rich

	* src/Makefile.am: Fixed up some breakage caused by recent JIT
	  clean up.

2006-08-12 11:48  evi1rich

	* src/include/compemu.h: Fixed up some breakage caused by recent
	  JIT clean up.

2006-08-12 11:08  evi1rich

	* src/gfx-amigaos/ami-win.c: Fix for building AmigaOS gfx driver on
	  MorphOS.

2006-08-12 11:05  evi1rich

	* src/filesys.c: A minor optimization for the virtual filesystem on
	  big-endian Amiga-like hosts: use native functions for
	  manipulating file dates rather than using C lib functions and
	  having to convert the dates.

2006-08-09 02:29  evi1rich

	* src/: compemu_support.c, gui-gtk/gtkui.c, include/compemu.h: Some
	  tidying up and reorganization in the JIT compiler.

2006-08-09 02:26  evi1rich

	* src/cfgfile.c: Some minor cfgfile parsing tweaks merged from
	  WinUAE 1.3.

2006-08-08 17:19  evi1rich

	* src/gui-muirexx/ami-rexx.c: Fix for building AREXX support on
	  MorphOS.

2006-08-08 17:17  evi1rich

	* src/caps/caps.c: Fix for building CAPS support on MorphOS.

2006-08-08 16:25  evi1rich

	* src/gfx-sdl/sdlgfx.c: Applied a patch (with a little clean-up)
	  from Jochen Becher that speeds up P96 screen refreshes when
	  rendering to an off-screen buffer using the SDL driver. Thanks
	  Jochen.

2006-08-08 15:05  evi1rich

	* src/filesys.c: Merged support for filesys ACTION_COPY_DIR_FH
	  packet (i.e., DupLockFromFH) from WinUAE 1.3.

2006-08-08 13:55  evi1rich

	* src/filesys.c: The filesystem's ACTION_FH_FROM_LOCK handler
	  didn't fully initialize all of a key's fields. Fixed.

2006-08-08 12:37  evi1rich

	* src/hardfile_unix.c: More filesys updates.

2006-08-08 12:35  evi1rich

	* src/Makefile.am: Missed these filesys changes with last check-in.

2006-08-08 12:31  evi1rich

	* src/: cfgfile.c, debug.c, drawing.c, expansion.c, filesys.c,
	  filesys_bootrom.c, main.c, savestate.c, gui-gtk/gtkui.c,
	  include/autoconf.h, include/filesys.h: Merged filesystem mounting
	  and start-up changes from WinUAE 1.3 plus some tidying up. These
	  changes will allow us to support saved states when filesystems
	  are mounted and should also now disallow a filesystem (folder or
	  hardfile) to be mounted more than once (which is a problem many
	  have been reporting).

2006-08-08 00:11  evi1rich

	* src/: Makefile.am, targets/t-win32.h: Added missing t-win32.h
	  header to enable Win32 builds.

2006-08-02 23:23  evi1rich

	* src/cfgfile.c: Removed JIT peephole cfgfile options.

2006-08-02 23:20  evi1rich

	* src/: compemu_optimizer.c, compemu_optimizer_x86.c,
	  compemu_raw_x86.c, compemu_support.c, gui-gtk/gtkui.c,
	  include/compemu.h, include/options.h: Removed unused/obsolete JIT
	  peephole optimizer code.

2006-08-02 22:24  evi1rich

	* src/cfgfile.c: Recent clean-up to cfgfile parsing, broke
	  reporting of errors when mounting a filesystem. Fixed.

2006-07-31 01:51  tag E-UAE-0_8_29-WIP3

2006-07-31 01:51  evi1rich

	* src/compemu_raw_x86.c: Work-around for compiling new JIT SEGV
	  handler when GNUSOURCE isn't defined.  Better solution needed.

2006-07-31 00:22  evi1rich

	* configure.in: Updated version number for WIP3 release.

2006-07-31 00:22  evi1rich

	* README: Updated README for WIP3 release.

2006-07-30 23:52  evi1rich

	* src/gui-gtk/gtkui.c: In the Gtk+ UI's about page, when building
	  against Gtk+ 2.x, don't hack GDK to set font size, but instead
	  use the Gtk+ label widget's text markup functionality - which is
	  much cleaner.

2006-07-30 23:31  evi1rich

	* src/: compemu_raw_x86.c, compemu_support.c: Tried to clean up the
	  JIT's natmem fault handler and make it a little more portable.

2006-07-30 23:29  evi1rich

	* src/caps/caps.c: Fixed failure to build CAPS support on 68k
	  Amigas.

2006-07-27 22:45  evi1rich

	* configure.in: Some tweaks to the configure script so that the
	  behaviour when passing CFLAGS to configure is more predictable.
	  Note that, now, if you pass CFLAGS, you must include your desired
	  optimization level: for now, the configure script no longer
	  defaults to setting -O2 in this case. If you don't set CFLAGS
	  yourself, then you'll get the autotools default, which is -g -O2.

2006-07-27 21:26  evi1rich

	* configure.in: Removal of config.h header broke configure. Fixed.

2006-07-26 16:36  evi1rich

	* Makefile.am, config.h, src/akiko.c, src/ar.c, src/audio.c,
	  src/autoconf.c, src/blitter.c, src/blkdev.c, src/bsdsocket.c,
	  src/catweasel.c, src/cdrom.c, src/cfgfile.c, src/cia.c,
	  src/compemu_fpp.c, src/compemu_support.c, src/custom.c,
	  src/debug.c, src/disk.c, src/drawing.c, src/driveclick.c,
	  src/ersatz.c, src/events.c, src/expansion.c, src/filesys.c,
	  src/fpp.c, src/fsdb.c, src/genblitter.c, src/gencomp.c,
	  src/gencpu.c, src/gengenblitter.c, src/hardfile.c,
	  src/inputdevice.c, src/keybuf.c, src/main.c, src/memory.c,
	  src/misc.c, src/native2amiga.c, src/newcpu.c, src/picasso96.c,
	  src/savestate.c, src/scsiemul.c, src/serial.c, src/svgancui.c,
	  src/traps.c, src/tui.c, src/uaeexe.c, src/uaelib.c, src/zfile.c,
	  src/gfx-amigaos/ami-win.c, src/gfx-beos/be-Input.cpp,
	  src/gfx-beos/be-UAE.cpp, src/gfx-beos/be-Window.cpp,
	  src/gfx-curses/ncurses.c, src/gfx-sdl/sdlgfx.c,
	  src/gfx-svga/svga.c, src/gfx-x11/xwin.c, src/gui-beos/gui.cpp,
	  src/gui-cocoa/cocoaui.m, src/gui-gtk/gtkui.c,
	  src/gui-muirexx/ami-gui.c, src/gui-muirexx/ami-rexx.c,
	  src/gui-none/nogui.c, src/jd-amigainput/joystick.c,
	  src/jd-amigaos/joystick.c, src/jd-beos/joystick.cpp,
	  src/jd-linuxold/joystick.c, src/jd-none/joystick.c,
	  src/jd-sdl/joystick.c, src/md-68k/support.c,
	  src/md-generic/support.c, src/md-i386-gcc/support.c,
	  src/md-ppc/support.c, src/md-ppc-gcc/support.c,
	  src/od-amiga/main.c, src/od-beos/main.cpp, src/od-generic/main.c,
	  src/od-macosx/main.m, src/od-win32/bsdsock.c,
	  src/od-win32/hardfile_win32.c, src/od-win32/main.c,
	  src/sd-alsa/sound.c, src/sd-amigaos/sound.c,
	  src/sd-beos/sound.cpp, src/sd-none/sound.c, src/sd-sdl/sound.c,
	  src/sd-solaris/sound.c, src/sd-uss/sound.c: Removed obsolete
	  header config.h.

2006-07-26 15:56  evi1rich

	* src/include/version.h: Checked in new version header.

2006-07-26 15:55  evi1rich

	* src/: Makefile.am, autoconf.c, cfgfile.c, main.c, savestate.c,
	  tui.c, gfx-amigaos/ami-win.c, gui-gtk/gtkui.c,
	  gui-muirexx/ami-rexx.c, include/options.h: Factored out
	  version/revision information from options header into a new
	  header. The idea here is (eventually) to collect all
	  version/revision info in one place and not to have files
	  unnecessarily depend on the options header.

2006-07-25 23:36  evi1rich

	* src/gfx-amigaos/ami-win.c: Earlier clean-up patch broke searching
	  for best RTG mode in AmigaOS gfx driver. Fixed.

2006-07-25 22:05  evi1rich

	* src/gfx-amigaos/ami-win.c: Fix for building AmigaOS gfx driver
	  with internal debugger/monitor disabled.

2006-07-25 22:03  evi1rich

	* src/cia.c: Don't build TOD hack if the function get_timeofday()
	  isn't available. Should add configure support to disable this.

2006-07-25 21:23  evi1rich

	* src/sd-amigaos/sound.h: Fix for building AmigaOS sound driver
	  without AHI support.

2006-07-20 14:00  evi1rich

	* docs/configuration.txt: Updated configuration manual.

2006-07-18 01:23  evi1rich

	* src/gui-gtk/: led.c, led.h: Fixed up Gtk+ LED widget to be a real
	  widget and render via GDK. This should fix rendering problems
	  when switching Gtk+ themes.

2006-07-12 22:53  evi1rich

	* src/gui-none/nogui.c: A fix for building without a config GUI.

2006-07-12 22:52  evi1rich

	* src/sd-none/sound.h: A fix for building without sound with the
	  new sound_latency= config option.

2006-07-11 01:06  evi1rich

	* src/Makefile.am: Forgot to add recently-added headers to dist
	  tarball. Fixed.

2006-07-11 00:35  evi1rich

	* src/gui-cocoa/cocoaui.m: In Cocoa UI, don't restore full-screen
	  mode after opening a disk-insert dialog. This works around a
	  problem for now that needs a full solution.

2006-07-08 00:56  evi1rich

	* src/: custom.c, inputdevice.c, include/inputdevice.h: Previous
	  clean-up fix broke when compiling objc code on OS X. Work-around
	  for now, but a cleaner solution needed.

2006-07-08 00:21  evi1rich

	* src/include/cdrom.h: Missed this file in the last patch.

2006-07-08 00:19  evi1rich

	* src/: akiko.c, bsdsocket-posix-new.c, cdrom.c, custom.c, disk.c,
	  driveclick.c, inputdevice.c, main.c, newcpu.c, scsiemul.c,
	  traps.c, gfx-amigaos/ami-win.c, gfx-x11/x11keys.c,
	  gfx-x11/xwin.c, gui-muirexx/ami-gui.c, gui-muirexx/ami-rexx.c,
	  include/inputdevice.h, od-amiga/ami-disk.c,
	  od-amiga/blkdev-amiga.c: A whole bunch of code clean-up.

2006-07-07 22:57  evi1rich

	* src/sd-amigaos/: sound.c, sound.h: Fixed up AmigaOS sound driver
	  wrt config file changes.

2006-07-07 03:17  evi1rich

	* src/: audio.c, cfgfile.c, include/options.h, sd-alsa/sound.c,
	  sd-alsa/sound.h, sd-sdl/sound.c, sd-sdl/sound.h, sd-uss/sound.c,
	  sd-uss/sound.h: Obsoleted sound_max_buff option and replaced it
	  with sound_latency (which specifies the size of the audio buffer
	  to use in milliseconds). Updated ALSA, SDL and OSS sound drivers
	  accordingly. Other sound drivers are broken with change and
	  require fixing.

2006-07-06 01:43  evi1rich

	* src/sd-alsa/sound.c: Added ALSA-specific config options. The
	  option alsa.device= specifies the ALSA device to use (the default
	  is 'default') and alsa.verbose will dump extra information about
	  the ALSA configuration for debugging purposes.

2006-07-06 00:57  evi1rich

	* src/: cfgfile.c, include/options.h, sd-alsa/sound.c,
	  sd-alsa/sound.h, sd-amigaos/sound.c, sd-amigaos/sound.h,
	  sd-beos/sound.cpp, sd-beos/sound.h, sd-none/sound.c,
	  sd-none/sound.h, sd-sdl/sound.c, sd-sdl/sound.h,
	  sd-solaris/sound.c, sd-solaris/sound.h, sd-uss/sound.c,
	  sd-uss/sound.h: Added support for audio driver-specific cfgfile
	  options.

2006-07-05 23:37  evi1rich

	* src/: cfgfile.c, gfx-amigaos/ami-win.c, gfx-beos/be-Window.cpp,
	  gfx-curses/ncurses.c, gfx-sdl/sdlgfx.c, gfx-svga/svga.c,
	  gfx-x11/xwin.c, include/options.h, md-68k/support.c,
	  md-generic/support.c, md-i386-gcc/support.c,
	  md-ppc-gcc/support.c, od-amiga/main.c, od-beos/main.cpp,
	  od-generic/main.c, od-macosx/main.m, od-win32/main.c:
	  Strengthened config file API.

2006-07-04 01:27  evi1rich

	* src/sleep.c: Reduced busy-waiting threshold from 10 ms to 5 ms.
	  Recent Linux 2.6.x kernels configured with HZ=250 cannot reliably
	  sleep with a less than 5 ms latency.

2006-07-04 01:23  evi1rich

	* configure.in: Fix for configure script option --enable-profiling
	  when cross-compiling.

2006-07-01 02:22  evi1rich

	* src/: audio.c, blitter.c, custom.c, disk.c, drawing.c,
	  genblitter.c, include/custom_private.h: Various peformance tweaks
	  for the custom chip emulation, including allowing direct access
	  to chip memory.

2006-06-19 09:05  evi1rich

	* src/od-macosx/main.m: On OS X, set default log file to
	  '~/Library/Logs/E-UAE.log' when started from the Finder. Thanks
	  to Daniel Pimley for the suggestion.

2006-06-19 09:03  evi1rich

	* src/: cfgfile.c, include/options.h: Export new function
	  cfgfile_subst_home() from cfgfile.c to expand '~' in an arbitrary
	  file path.

2006-06-19 08:07  evi1rich

	* src/: writelog.c, include/sysdeps.h, od-amiga/main.c,
	  targets/t-amiga.h, targets/t-beos.h, targets/t-unix.h: Added
	  support for redirecting logfile output to a default file. On
	  AmigaOS and clones, the log output now goes to T:E-UAE.log if
	  E-UAE is started from Worbench rather than a shell.

2006-06-19 08:03  evi1rich

	* configure.in: Fixes for building against Cocoa on OS X.

2006-06-17 02:22  evi1rich

	* configure.in: Fixed typo in config script that caused CFLAGS to
	  be polluted when building on OSX without SDL.

2006-06-15 01:08  evi1rich

	* src/gui-gtk/: chipsetspeedpanel.c, chipsettypepanel.c,
	  chooserwidget.c, cpuspeedpanel.c, cputypepanel.c,
	  floppyfileentry.c, led.c, util.c, util.h: Cleaned up some
	  warnings and valgrind hits in Gtk+ UI.

2006-06-15 00:46  evi1rich

	* src/sd-alsa/sound.c: In the ALSA driver, configure buffer size in
	  time rather than number of frames. This appears to be much more
	  reliable. As a consequence, the prefs sound_max_buff option is
	  interpreted for now by the ALSA driver as the buffer size
	  (latency) in microseconds. It's about we fixed/replaced this
	  option at the config level!

2006-06-14 22:27  evi1rich

	* src/: gencomp.c, gencpu.c: More -Wwrite-strings fixes.

2006-06-14 11:26  evi1rich

	* src/: ar.c, autoconf.c, cfgfile.c, custom.c, disk.c, drawing.c,
	  enforcer.c, filesys.c, inputdevice.c, memory.c, serial.c,
	  zfile.c, gui-gtk/gtkui.c, include/autoconf.h, include/memory.h,
	  include/options.h: Code clean-up to allow compilation on GCC with
	  -Wwrite-strings.

2006-06-12 23:26  evi1rich

	* src/sd-alsa/: sound.c, sound.h: Another attempt at making the
	  ALSA sound driver perform better.

2006-05-05 02:05  evi1rich

	* src/od-generic/memory.c: Removed superfluous header includes from
	  Unix JIT cache-allocation functions. This should fix the problems
	  building on OS X/Intel.

2006-05-05 01:38  evi1rich

	* src/gfx-sdl/rawkeys.c: Fix for SDL raw-key support on OS X/Intel.

2006-05-04 10:15  evi1rich

	* src/gui-gtk/util.h: The Gtk+ GUI could segfault on 64-bit
	  systems. Fixed. Thanks to Ulrich Schwenk for reporting the
	  problem.

2006-05-03 01:15  tag E-UAE-0_8_29-WIP2

2006-05-03 01:15  evi1rich

	* configure.in: Now WIP2.

2006-05-03 01:14  evi1rich

	* src/picasso96.c: The PPC assembly version of memcpy_bswap32() in
	  the P96 emulation trashes the 'ctr' register but didn't flag this
	  in the constraints. Fixed. This fixes use of P96 32-bit screens
	  on PPC hosts when E-UAE is built with GCC 4.x (this problem
	  didn't show up with earlier versions of GCC). Thanks to Hubert
	  Maier for reporting the problem.

2006-04-30 15:04  evi1rich

	* src/sd-none/sound.h: Recent audio change broke the
	  --disable-audio config option. Fixed. Thanks to Sukko for
	  reporting this.

2006-04-30 15:02  evi1rich

	* configure.in: The configure option --disable-state-saving was
	  broken due to a typo. Thanks to Sukko for reporting this.

2006-04-29 22:05  tag E-UAE-0_8_29-WIP1

2006-04-29 22:05  evi1rich

	* src/: bsdsocket-posix-new.c, bsdsocket.c, include/bsdsocket.h:
	  Renamed bsdsocklib function seterrno to bsdsocklib_seterrno to
	  avoid collisions with libscg.

2006-04-29 00:59  evi1rich

	* configure.in: Version is now 0.8.29-WIP1, an interim release on
	  the road to 0.8.29.

2006-04-29 00:58  evi1rich

	* README: Updated README for 0.8.29-WIP1 version.

2006-04-28 23:50  evi1rich

	* src/: cfgfile.c, custom.c, debug.c, main.c, gui-gtk/gtkui.c,
	  include/options.h: Tweaks for cfgfile processing and the prefs
	  struct to remove dead-code and to conditionally handle options
	  depending on whether the corresponding features are compiled in.

2006-04-28 23:25  evi1rich

	* src/include/memory.h: A fix for building with GCC < 4.0 on 64-bit
	  machines.

2006-04-28 19:07  evi1rich

	* src/cfgfile.c: Made 'hide_cursor' default to true.

2006-04-28 19:06  evi1rich

	* docs/keyboard.txt: Added save/load state key sequences to docs.

2006-04-28 01:09  evi1rich

	* docs/compiling.txt: Update compiling instructions to cover new
	  configure support for OS X. Also mention OS X on x86.

2006-04-28 01:04  evi1rich

	* docs/configuration.txt: Updated configuration docs to cover
	  replacement of 'x11.hide_cursor' with global 'hide_cursor'
	  option.

2006-04-27 09:30  evi1rich

	* src/gencpu.c: Work-around for GCC4.1 bug when building gencpu.

2006-04-24 01:22  evi1rich

	* src/gfx-sdl/sdlgfx.c: Added 'hide_cursor' support to the SDL
	  display driver.

2006-04-24 01:21  evi1rich

	* src/: cfgfile.c, gfx-x11/xwin.c, include/options.h: Made the X11
	  config option 'hide_cursor', which specified whether the host
	  window manager's mouse cursor should be hidden or shown, a global
	  option.  Thanks to Karl Dietrich Bamler for the suggestion.

2006-04-23 22:50  evi1rich

	* src/include/sysdeps.h: Simplified REGPARAM glue. Always define
	  REGPARAM2 to be the same as REGPARAM unless it's already defined.
	  Fixes breakage of new trap code when compiling on x86 or 68k with
	  GCC 2.95.

2006-04-06 02:12  evi1rich

	* src/gfx-sdl/sdlgfx.c: Fix for building SDL graphics driver with
	  GCC 2.95.

2006-03-28 01:53  evi1rich

	* configure.in: [no log message]

2006-03-27 23:43  evi1rich

	* configure.in, src/Makefile.am, src/genlinetoscr.c,
	  src/tools/Makefile.in: genlinetoscr was broken when targetting
	  big-endian systems (it always produced little-endian output).
	  Fixed.

2006-03-27 22:01  evi1rich

	* src/gfx-x11/xwin.c: Fixed 'sticking' hot keys in X11 driver when
	  losing window focus (e.g. when a disk image selection dialog is
	  opened).

2006-03-27 21:56  evi1rich

	* src/jd-linuxold/joystick.c: The linux joystick driver was
	  continually reporting input events (which would conflict with
	  joystick emulation if used). Fixed.

2006-03-27 20:41  evi1rich

	* src/gfx-x11/xwin.c: Fixed bug in handling expose events in X11
	  display driver. This was what was causing problems when using the
	  MITSHM extension.

2006-03-27 16:20  evi1rich

	* src/sd-alsa/sound.c: Added support for pausing/resuming sound to
	  ALSA driver.

2006-03-27 16:05  evi1rich

	* src/sd-alsa/sound.c: Tidied up log output in ALSA driver.

2006-03-27 15:51  evi1rich

	* src/sd-alsa/sound.c: Fixed 8-bit output in ALSA driver (our code
	  does signed 8-bit output).

2006-03-27 15:50  evi1rich

	* src/sd-alsa/sound.c: Attempted to fix potential latencies in ALSA
	  sound driver. Problems may still exist if your ALSA set-up
	  defaults to using the dmix plug-in, since apps cannot change the
	  number of buffer periods that dmix uses (although this looks like
	  it will be fixed in ALSA 1.0.11).

2006-03-18 02:31  evi1rich

	* src/Makefile.am: Added new genlinetoscr.c to dist tarball.

2006-03-18 01:40  evi1rich

	* src/: drawing.c, genlinetoscr.c: Fixed warning on 64-bit machines
	  in new pixel-output code.

2006-03-18 01:38  evi1rich

	* src/gfxutil.c: Fix for 8-bit modes in the new world order.

2006-03-17 23:50  evi1rich

	* src/genlinetoscr.c: Fixed typo (which broke 16-bit hi-res screens
	  on little-endian machines).

2006-03-17 23:31  evi1rich

	* src/genlinetoscr.c: Forgot to add source for the genlinetoscr
	  tool.

2006-03-17 23:27  evi1rich

	* src/: Makefile.am, drawing.c, linetoscr.c, tools/Makefile.in,
	  tools/configure.in: Added a tool to generate linetoscr.c (pixel
	  output functions) rather than using a static version. In this
	  first stab, optimized output to 16-bit screens by
	  writing-combining pixels as 32-bit words where possible. This
	  allows much faster output to video memory. Optimization for 8-bit
	  screens still to be completed.

2006-03-17 23:22  evi1rich

	* src/include/sysdeps.h: Added NOINLINE macro to allow us to stop
	  GCC overzeaulously inlining functions.

2006-03-16 21:07  evi1rich

	* src/picasso96.c: Use new bswap function in p96 emulation.

2006-03-16 02:46  evi1rich

	* src/drawing.c: Optimized fill_line_* functions for 8bpp and 16bpp
	  cases.

2006-03-16 02:45  evi1rich

	* src/savestate.c: Removed some debugging code.

2006-03-16 02:44  evi1rich

	* src/include/sysdeps.h: When using SDL's byte-swapping function,
	  we need to include SDL_endian.h.

2006-03-16 02:44  evi1rich

	* src/sd-amigaos/sound.c: Restored some code accidentally cut from
	  the AmigaOS sound driver. Now builds on 68k again.

2006-03-16 02:43  evi1rich

	* src/: fdi2raw.c, traps.c: Failed to build with GCC 2.95. Fixed.

2006-03-16 01:36  evi1rich

	* src/: drawing.c, gfxutil.c, gfx-amigaos/ami-win.c,
	  gfx-beos/be-UAE.cpp, gfx-beos/be-Window.cpp,
	  gfx-curses/ncurses.c, gfx-sdl/sdlgfx.c, gfx-svga/svga.c,
	  gfx-x11/xwin.c, include/xwin.h: Preparations for some forthcoming
	  graphics optimizations. Removed the gfx can_double flag. The idea
	  behind this was to allow two pixels to be written at once in
	  8-bpp and 16-bpp modes, but I don't think it was never used. We
	  shall soon be using this idea, but we don't need this flag since
	  we will assume it's always true. Move the colour value 'doubling'
	  code into gfxutil rather than forcing each display driver to do
	  it itself. Likewise, moved the colour byte-swapping code there
	  too.

2006-03-16 01:22  evi1rich

	* configure.in, src/sysconfig.h.in, src/include/sysdeps.h: Added
	  byte-swapping functions bswap_16() and bswap_32(). Use system
	  versions if present or SDL's endian functions if building against
	  SDL.

2006-03-15 23:17  evi1rich

	* src/: compemu_support.c, gencomp.c, include/compemu.h: Renamed
	  JIT's bswap_* functions to gen_bswap_* to avoid collision with
	  system bswap functions.

2006-03-15 00:36  evi1rich

	* src/gfxutil.c: Removed some dead code.

2006-03-14 23:59  evi1rich

	* src/gfx-sdl/sdlgfx.c: Added preliminary support for vsync-ed
	  full-screen double-buffering to the SDL display driver. Use
	  gfx_vsync=true to enable this for now (this is will probably
	  change). SDL cannot usefully support double-buffering for E-UAE
	  because we don't know a) whether double-buffering is synced to
	  the vertical refresh; or b) what the vertical refresh frequency
	  is. Thus this is really for testing only. If your SDL driver does
	  do syncing, you need to have a screen with a refresh that's an
	  integer multiple of the screen being displayed in E-UAE. E.g.,
	  for PAL Amiga screens, you a display that's either 50 Hz or 100
	  Hz, etc.

2006-03-14 23:21  evi1rich

	* src/od-macosx/Makefile.am: The file src/od-macosx/main.h was
	  missing from the dist tarball. Fixed.

2006-03-14 23:13  evi1rich

	* src/cfgfile.c: When loading a config file, expand '~/' in the
	  various path config options to the home directory. Thanks to
	  Martin Steigerwald for reporting this bug.

2006-03-14 23:05  evi1rich

	* src/custom.c: Some sprite tweaks.

2006-03-14 00:16  evi1rich

	* src/bsdsocket.c: Re-added.

2006-03-10 03:35  evi1rich

	* src/bsdsocket.c, amiga/source/bsdsocket.e: Removed last vestiges
	  of the 'old' bsdsocket emulation.

2006-03-10 02:38  evi1rich

	* src/Makefile.am: Rats! Another file missing from the dist
	  tarball.

2006-03-10 02:28  evi1rich

	* src/Makefile.am: Really remove MacOS Classic and Watcom support
	  and fix up breakage that caused. I really should get some sleep
	  one of these days...

2006-03-10 02:07  evi1rich

	* src/targets/t-macos.h: Ooops. Missed one.

2006-03-10 02:06  evi1rich

	* configure.in: Removed remaining code for MacOS Classic and for
	  i386/Watcom. There's not much chance that this stuff will be
	  supported any time soon.

2006-03-10 01:53  evi1rich

	* src/: inputevents.def, keymap/hotkeys_common.h: Add raw hotkey
	  support for saving/loading state.

2006-03-10 01:14  evi1rich

	* configure.in, src/Makefile.am, src/od-macosx/Info.plist.in,
	  src/od-macosx/Makefile.am: Build a Cocoa app bundle on MacOS X.

2006-03-09 21:37  evi1rich

	* configure.in, src/jd-sdl/Makefile.am, src/od-macosx/Makefile.am,
	  src/od-macosx/hrtimer.h, src/sd-sdl/Makefile.am,
	  src/od-macosx/main.h, src/od-macosx/main.m,
	  src/od-macosx/memory.c, src/od-macosx/memory.h: Fixed building
	  against SDL framework on OS X. Re-worked configure script to
	  detect SDL on OS X and removed need for libSDL_main.a (we now
	  have our own main.m start-up code based on the SDL one). This
	  breaks building on plain Darwin for now.

2006-03-08 00:46  evi1rich

	* src/gui-muirexx/ami-gui.c: Fixed compiler warnings in AmigaOS
	  file requester code, and added support for saving and loading
	  saved-state files.

2006-03-08 00:44  evi1rich

	* src/savestate.c: Display error in a dialog when user tries to
	  restore state from a file that's not a save-state file.

2006-03-08 00:12  evi1rich

	* src/zfile.c: Unnecessary check for the presence of zlib was
	  stopping compression of saved-state files. Fixed.

2006-03-07 21:33  evi1rich

	* src/: cfgfile.c, include/options.h, targets/t-amiga.h,
	  targets/t-beos.h, targets/t-unix.h: Added cfgfile option
	  <target>.savestate_path= to specify default directory for saving
	  saved-state files to.

2006-03-07 10:13  evi1rich

	* src/custom.c: Recent changes in drawing code could cause
	  over-runs in colour-changes buffer when using a dynamic buffer.
	  Fixed.

2006-03-07 09:48  evi1rich

	* configure.in, src/akiko.c, src/ar.c, src/audio.c, src/blitter.c,
	  src/cfgfile.c, src/cia.c, src/crc32.c, src/custom.c, src/debug.c,
	  src/disk.c, src/drawing.c, src/expansion.c, src/fpp.c,
	  src/inputdevice.c, src/keybuf.c, src/main.c, src/memory.c,
	  src/newcpu.c, src/savestate.c, src/zfile.c, src/include/akiko.h,
	  src/include/crc32.h, src/include/savestate.h,
	  src/include/zfile.h: Cleaned up state-saving code and
	  incorporated changes from WinUAE 1.2 (apart from filesys support,
	  which requires some changes to our filesys code).

2006-03-05 22:24  evi1rich

	* configure.in, src/Makefile.am, src/custom.c, src/debug.c,
	  src/disk.c, src/identify.c, src/inputdevice.c, src/main.c,
	  src/newcpu.c, src/uaelib.c, src/gui-gtk/gtkui.c,
	  src/gui-muirexx/ami-rexx.c, src/include/custom.h,
	  src/include/debug.h, src/include/disk.h, src/include/identify.h,
	  src/include/newcpu.h, src/od-amiga/main.c, src/od-beos/main.cpp,
	  src/od-generic/main.c, src/od-win32/main.c: Lots of work on the
	  debugger/monitor. It's now a compile time option
	  (--disable-debugger), merged in new features from WinUAE 1.2, and
	  much cleaning up.

2006-03-05 21:46  evi1rich

	* src/gui-muirexx/ami-rexx.c: In ARexx code, changed a bunch of
	  strings to use 'char' rather than 'unsigned char' to avoid grief
	  with GCC 4.x.

2006-03-05 02:56  evi1rich

	* src/newcpu.c: Fixed up formatted output in newcpu.c.

2006-03-04 04:01  evi1rich

	* src/: custom.c, drawing.c, include/drawing.h: Merged and cleaned
	  up remainging drawing changes from WinUAE 1.2.

2006-03-04 03:24  evi1rich

	* src/custom.c: Fixed off-by-one error in sprite code merged from
	  WinUAE 1.2.

2006-03-04 01:56  evi1rich

	* src/caps/caps.c: Previous changes broke CAPS support on dlopen
	  targets. Fixed.

2006-03-03 02:08  evi1rich

	* src/: akiko.c, disk.c: More clean up.

2006-03-03 01:40  evi1rich

	* src/: disk.c, fdi2raw.c, caps/caps.c, include/caps.h,
	  include/fdi2raw.h: Clean up for floppy emulation, incorporating
	  changes from WinUAE 1.2.

2006-03-03 01:34  evi1rich

	* src/: akiko.c, ar.c, enforcer.c, memory.c, uaeexe.c,
	  include/uaeexe.h: Clean up for various compiler warnings, etc.

2006-03-02 23:47  evi1rich

	* src/drawing.c: Merged "transparent" led status bar from WinUAE
	  1.2.

2006-02-28 03:17  evi1rich

	* src/sd-sdl/sound.c: Really fix SDL sound driver wrt recent audio
	  changes.

2006-02-28 03:15  evi1rich

	* src/: audio.c, cfgfile.c, custom.c, gui-gtk/gtkui.c,
	  include/audio.h, include/options.h, sd-alsa/sound.c,
	  sd-alsa/sound.h, sd-amigaos/sound.c, sd-amigaos/sound.h,
	  sd-beos/sound.cpp, sd-beos/sound.h, sd-sdl/sound.c,
	  sd-sdl/sound.h, sd-uss/sound.c, sd-uss/sound.h: Merged some audio
	  changes from WinUAE 1.2, fixed up breakage caused in the various
	  audio drivers and did some cleaning up.

2006-02-28 01:27  evi1rich

	* src/: custom.c, debug.c, include/options.h: Merged sprite, copper
	  and blitplane updates from WinUAE 1.2.

2006-02-27 23:57  evi1rich

	* src/cia.c: Merged CIA changes from WinUAE 1.2.

2006-02-27 23:43  evi1rich

	* src/: blitter.c, custom.c, genblitter.c, newcpu.c,
	  include/blitter.h: Merged blitter changed from WinUAE 1.2, and
	  removed some redundant code and other clean-up.

2006-02-26 21:15  evi1rich

	* src/: custom.c, gencpu.c, newcpu.c, include/cpu_prefetch.h,
	  include/custom.h, include/newcpu.h: Merged some CPU changes from
	  WinUAE 1.2. This includes modified prefetch behaviour (in
	  particular, more accurate emulation of prefetch with MOVE/MOVEA
	  opcodes) and more accurate emulation in cycle-exact mode of the
	  number of cycles consumed by DIVS/DIVU instructions.

2006-02-20 01:02  evi1rich

	* src/gfx-sdl/sdlgfx.c: Tidied up support for using HW surfaces in
	  SDL display driver. Always try to use a hardware surface for
	  full-screen surfaces.

2005-12-23 23:11  evi1rich

	* src/caps/caps.c: Fixed duplicate declaration of CapsImageBase
	  when building CAPS support on AmigaOS.

2005-12-23 23:09  evi1rich

	* src/sd-amigaos/: sound.c, sound.h: More clean-up for AmigaOS
	  sound driver. Also fixed a problem that could occur when closing
	  down the AHI device.

2005-12-23 16:14  evi1rich

	* src/sd-amigaos/: sound.c, sound.h: Removed stale and obsolete
	  code from AmigaOS sound driver. This includes DMA code, PowerUP
	  stuff, and support for using the AHI dos handler (rather than
	  ahi.device).

2005-12-23 15:58  evi1rich

	* src/sd-amigaos/sound.c: Fix for building AmigaOS sound driver.

2005-12-07 09:22  evi1rich

	* configure.in: A tweak for build scripts when cross-compiling.

2005-12-07 09:20  evi1rich

	* Makefile.am: Removed Debian directory from the distribution
	  tarball at the request of Florian Ernst, the Debian package
	  maintainer.

2005-12-07 09:19  evi1rich

	* debian/: README.Debian, changelog, compat, control, copyright,
	  e-uae.1, e-uae_readdisk.1, linda.overrides, lintian.overrides,
	  manpages, menu, postinst, prerm, rules, watch: Applied patch from
	  Florian Ernst, who intends to maintain an official Debian package
	  of E-UAE, which cleans up the Debian packaging scripts.

2005-12-07 07:57  evi1rich

	* src/gfx-amigaos/ami-win.c: In AmigaOS gfx driver, fixed support
	  for big-endian 32-bit pixel formats.

2005-12-07 07:55  evi1rich

	* src/td-amigaos/thread.c: In AmigaOS thread layer on AmigaOS4,
	  assert NP_Child when creating new threads.

2005-10-19 23:00  evi1rich

	* configure.in, src/hardfile_unix.c, src/sysconfig.h.in: Applied a
	  patch from Martin Blom which adds support for hardfiles > 2GB (on
	  hosts which support 64-bit file sizes).

2005-10-19 22:58  evi1rich

	* configure.in, src/jd-sdl/Makefile.am, src/sd-sdl/Makefile.am:
	  Applied a patch from Martin Blom: a tiny fix for the build
	  process (automake and the case when you use X11 for gfx but SDL
	  for sound/threads/joystick).

2005-10-19 22:53  evi1rich

	* src/od-generic/memory.c: Applied patch from Martin Blom which
	  makes the JIT cache executable for NX-enabled CPUs like the
	  Athlon64 (in 32-bit mode).

2005-10-05 08:43  evi1rich

	* configure.in, src/sysconfig.h.in, src/include/memory.h: Some
	  versions of GCC don't like inlining get_pointer()/put_pointer.
	  Fixed by getting pointer size at config time rather than
	  compile-time.

2005-10-05 00:50  evi1rich

	* src/td-amigaos/thread.h: Dummy uae_wait_thread() macro in AmigaOS
	  thread layer was broken. Fixed.

2005-10-05 00:18  evi1rich

	* src/gfxutil.c: Improved translation of OCS/ECS colours to host
	  colours. This was a long-standing bug in UAE. Thanks to Francesco
	  Pretto for discovering the problem and to Toni Wilen for this
	  fix.

2005-10-03 23:18  evi1rich

	* src/traps.c: When exiting an extended trap context, destroy
	  synchronization semaphores.

2005-10-03 11:04  evi1rich

	* src/: md-68k/Makefile.am, md-68k/exectasks.h,
	  md-amd64-gcc/Makefile.am, md-amd64-gcc/exectasks.h,
	  md-generic/Makefile.am, md-generic/exectasks.h,
	  md-i386-gcc/Makefile.am, md-i386-gcc/exectasks.h,
	  md-ppc/Makefile.am, md-ppc/exectasks.h, md-ppc-gcc/Makefile.am,
	  md-ppc-gcc/exectasks.h, od-amiga/Makefile.am,
	  od-amiga/exectasks.h, od-beos/Makefile.am, od-beos/exectasks.h,
	  od-generic/Makefile.am, od-generic/exectasks.h,
	  od-linux/Makefile.am, od-linux/exectasks.h, od-win32/Makefile.am,
	  od-win32/exectasks.h: Removed now-unused stack magic code.

2005-10-03 10:36  evi1rich

	* src/: Makefile.am, audio.c, autoconf.c, bsdsocket-posix-new.c,
	  bsdsocket.c, custom.c, disk.c, filesys.c, fsdb.c, hardfile.c,
	  inputdevice.c, main.c, misc.c, native2amiga.c, newcpu.c,
	  scsi-none.c, scsiemul.c, traps.c, uaeexe.c, uaelib.c,
	  include/autoconf.h, include/bsdsocket.h, include/inputdevice.h,
	  include/native2amiga.h, include/traps.h: Reworked trap code.
	  Added replacement for stack magic code which uses threads instead
	  of manually allocating and swaping between stacks.

2005-10-03 08:13  evi1rich

	* src/: td-beos/thread.h, td-posix/thread.h, td-sdl/thread.h:
	  Removed now unncessary uae_thread_self() call from thread API.

2005-10-03 07:54  evi1rich

	* configure.in, src/Makefile.am, src/bsdsocket-posix.c: Removed
	  'old' bsdsocket emulation.

2005-09-25 12:28  evi1rich

	* src/include/memory.h: New get_pointer()/put_pointer routines were
	  broken for little-endian machines. Fixed.

2005-09-23 08:52  evi1rich

	* src/: bsdsocket.c, include/memory.h: Added routines to read and
	  write a host pointer to Amiga memory.

2005-09-22 23:44  evi1rich

	* src/: bsdsocket.c, include/bsdsocket.h: Tidied up the bsdsocket
	  emulation a little. This thing might be readable one day.

2005-09-22 22:41  evi1rich

	* src/: autoconf.c, bsdsocket.c, custom.c, disk.c, expansion.c,
	  filesys.c, hardfile.c, inputdevice.c, misc.c, newcpu.c,
	  picasso96.c, savestate.c, scsiemul.c, uaeexe.c, uaelib.c,
	  include/autoconf.h, include/inputdevice.h, include/picasso96.h:
	  Pass regstruct as a parameter to trap handlers. One step closer
	  to regstruct not being a global...

2005-09-22 03:00  evi1rich

	* src/picasso96.c: Fixed support for auto-scroll screens in
	  Picasso96 emulation.

2005-09-22 02:52  evi1rich

	* configure.in: Add it starts again... we're now version
	  0.8.28-CVS.

2005-09-20 10:28  tag E-UAE-0_8_28

2005-09-20 10:28  evi1rich

	* src/gfx-beos/: be-Window.cpp, be-Window.h: Forgot to check in
	  input acquire support in BeOS graphics driver.

2005-09-20 10:12  evi1rich

	* src/td-amigaos/thread.c: Fixed breakage with GCC 2.95.

2005-09-20 09:54  evi1rich

	* configure.in: Updated version to 0.8.28.

2005-09-20 09:54  evi1rich

	* configure.in: Disabled filesystem threads again for now. There
	  are still performance issues.

2005-09-20 09:53  evi1rich

	* Makefile.am: Removed comments from dist-hook rule. Automake
	  complains about them.

2005-09-20 09:30  evi1rich

	* Makefile.am: Adding a dist-hook to the build scripts to ensure
	  that we don't get unwanted junk in the source tarball.

2005-09-20 09:28  evi1rich

	* debian/: README.Debian, changelog, rules: Updated Debian
	  packaging scripts.

2005-09-17 14:11  evi1rich

	* docs/joystick.txt: Updated and fixed typos.

2005-09-15 11:44  evi1rich

	* README, docs/joystick.txt, docs/keyboard.txt: Updated
	  documentation with section about joystick emulation.

2005-09-15 09:21  evi1rich

	* docs/cmd-line.txt: Documented -s command-line option.

2005-09-15 09:14  evi1rich

	* README: Updated README.

2005-09-15 09:12  evi1rich

	* src/jd-beos/joystick.cpp: Rewrote BeOS joystick driver. Now
	  supports multiple joysticks.

2005-09-14 08:25  evi1rich

	* src/td-amigaos/thread.c: Fixed typo.

2005-09-13 14:27  evi1rich

	* src/td-amigaos/thread.c: Re-worked AmigaOS thread layer a bit
	  more for robustness.

2005-09-13 14:27  evi1rich

	* src/od-amiga/blkdev-amiga.c: Amiga SCSI back-end would if SCSI
	  commands were executed when a device was closed. Fixed.

2005-09-13 14:25  evi1rich

	* src/akiko.c: Hacked Akiko emulation so that drive is always
	  re-opened at reset.

2005-09-13 08:42  evi1rich

	* src/akiko.c: Another go at sorting out the locking in the Akiko
	  emulation.

2005-09-12 01:24  evi1rich

	* src/gui-gtk/floppyfileentry.c: Fixed	Gtk+ GUI's floppy file
	  entry widget to append a trailing '/' if not present to the
	  initial current directory, because otherwise the Gtk+ file dialog
	  doesn't recognize it as a directory.

2005-09-12 01:00  evi1rich

	* docs/keyboard.txt, src/custom.c, src/inputdevice.c,
	  src/inputevents.def, src/gfx-amigaos/ami-win.c,
	  src/gfx-sdl/sdlkeys.c, src/gfx-x11/x11keys.c,
	  src/include/inputdevice.h, src/include/keyboard.h,
	  src/keymap/hotkeys_common.h: Removed old mousehack (sprite
	  follow) code as per the official UAE 0.8.25.

2005-09-11 23:24  evi1rich

	* src/: autoconf.c, filesys.c, fsdb.c: Fixed some more compiler
	  warnings with GCC 4.0.

2005-09-11 23:09  evi1rich

	* src/: akiko.c, blkdev-libscg.c, blkdev.c, scsiemul.c,
	  include/blkdev.h, od-amiga/blkdev-amiga.c: Strengthened SCSI
	  layer API.

2005-09-11 21:51  evi1rich

	* src/jd-amigainput/joystick.c: Removed some stray debug output.

2005-09-11 21:50  evi1rich

	* src/td-amigaos/: thread.c, thread.h: Cleaned up the AmigaOS
	  thread layer a little. A special signal is no longer allocated
	  for to synchronize with replies from the proxy thread - we
	  repurpose SIGBREAK_CTRL_D instead - which allows some
	  simplification.

2005-09-11 21:47  evi1rich

	* src/od-amiga/blkdev-amiga.c: Cleaned up AmigaOS SCSI layer
	  back-end a little. Each device now gets its own input buffer, so
	  we can do away with the unnecessary global lock.

2005-09-11 15:04  evi1rich

	* src/gfx-amigaos/ami-win.c: In the AmigaOS gfx driver, the colour
	  tables for AGA screens were not being byte-swapped when the
	  screen's pixel format byte-order was oppposite to the CPU. Fixed.

2005-09-11 14:57  evi1rich

	* src/akiko.c: Tweaked the mutex scheme in the Akiko emulation a
	  little to increase performance. Locking the Akiko thread is more
	  fine-grained, while we now only lock once per read or write to an
	  Akiko register.

2005-09-08 21:50  evi1rich

	* src/gfx-beos/be-UAE.cpp: In BeOS gfx driver, temporarily disabled
	  setting current directory to the application directory. It's not
	  useful yet without a config GUI able to create config files and
	  it confuses parsing command-line options.

2005-09-08 21:45  evi1rich

	* src/gfx-amigaos/ami-win.c: Fixed little-endian pixel format
	  thinkos in Amiga graphics driver.

2005-09-08 12:24  evi1rich

	* configure.in: Another try at getting the execstack flag set in
	  the uae binary. Silly me: -Wa,--execstack is obviously an
	  assembler option, not linker option.

2005-09-08 11:08  evi1rich

	* configure.in: When building JIT, check whether linker supports
	  the --execstack switch and if so use it when linking. This will
	  enable the JIT to work on Linux kernels protected with
	  ExecShield.

2005-09-08 09:55  evi1rich

	* src/gfx-amigaos/ami-win.c: Recent changes broke AmigaOS gfx
	  driver on 68k AmigaOS. It seems we really do need to specify the
	  screen's bitmap as a friend when allocating the off-screen
	  bitmap. Fixed.

2005-09-08 09:51  evi1rich

	* src/sleep.c: Fixed sleep_test() so that it once again only
	  performs its check once.

2005-09-07 21:42  evi1rich

	* src/: Makefile.am, genp2c.c, include/custom.h: Clean up: removed
	  genp2c.c and its tables. This stuff hasn't been used in a while.

2005-09-03 23:52  evi1rich

	* docs/configuration.txt: More tweaks to the configuration doc.

2005-09-03 00:28  evi1rich

	* docs/scsi.txt: Updated the SCSI emulation docs to cover using it
	  on newer Linux 2.6.x kernels and to mention that it now works on
	  AmigaOS hosts.

2005-09-03 00:14  evi1rich

	* README: More README tweaks.

2005-09-03 00:14  evi1rich

	* docs/configuration.txt, src/cfgfile.c, src/custom.c, src/main.c,
	  src/gui-gtk/chipsetspeedpanel.c, src/gui-gtk/chipsetspeedpanel.h,
	  src/gui-gtk/gtkui.c, src/include/options.h: Removed fast copper
	  feature (as the official UAE and WinUAE have now done), and
	  obsoleted the fast_copper config option.

2005-09-01 22:52  evi1rich

	* src/picasso96.c: Fixed another 64-bit problem in the P96
	  emulation.

2005-09-01 22:51  evi1rich

	* src/bsdsocket.c: Fixed a couple more 64-bit problems in the
	  bsdsocket emulation (these fixes from WinUAE 1.1 beta) and a
	  couple more GCC 4.0 warnings.

2005-08-31 10:22  evi1rich

	* README: Updated README.

2005-08-31 10:03  evi1rich

	* docs/configuration.txt: Configuration doc said max p96 mem is 8
	  MB when it should be 32 MB. Fixed.

2005-08-31 10:02  evi1rich

	* src/gui-gtk/gtkui.c: Maximum Bogo mem in Gtk+ UI was 1.8 MB when
	  it should be 1.5 MB. Fixed.

2005-08-31 09:59  evi1rich

	* docs/cmd-line.txt: Cleaned up and filled out documentation of
	  command-line options a little.  More work to do.

2005-08-31 08:52  evi1rich

	* docs/configuration.txt: Updated documentation to clarify the
	  display size options and to reflect the new default
	  configuration.

2005-08-31 08:51  evi1rich

	* src/cfgfile.c: Changed default configuration (to be similiar to
	  WinUAE 1.0.0). Default window size is now 720x568, default CPU is
	  now a 68000, default memory is now 512 KB of Chip mem and 512 KB
	  of Slow mem.

2005-08-31 00:19  evi1rich

	* configure.in, src/cfgfile.c, src/gfx-curses/ncurses.c: Made the
	  curses graphics driver build again. This is just for fun - it's
	  not terribly practical or robust.

2005-08-31 00:16  evi1rich

	* src/gfx-beos/: Makefile.am, be-Input.cpp, be-Input.h, be-UAE.cpp,
	  be-UAE.h, be-Window.cpp, be-Window.h: Re-worked native BeOS
	  graphics driver, stripping it down to the bare bones in the
	  process. It now works (but no P96 emulation as yet). Added
	  support for relative mouse-movements in full-screen mode.

2005-08-30 09:10  evi1rich

	* src/include/options.h: Updated config file version to 0.8.28.

2005-08-30 08:59  evi1rich

	* src/gui-gtk/: gtkui.c, util.h: Fixed some compiler warnings in
	  the Gtk+ UI.

2005-08-30 08:48  evi1rich

	* src/gui-gtk/gtkui.c: JIT cache slider maximum in Gtk+ UI was
	  16383 not 16384. Fixed.

2005-08-29 23:44  evi1rich

	* src/main.c: When a config file is specified from the command line
	  and it exists, make this the default config file to save to.

2005-08-29 23:19  evi1rich

	* src/: md-i386-gcc/rpt.h, md-i386-gcc/support.c,
	  md-amd64-gcc/rpt.h: Probing Linux TSC frequency was broken for
	  processor >2GHz. Fixed. Thanks to Vaclav Misek for reporting the
	  problem and testing fixes.

2005-08-24 00:24  evi1rich

	* configure.in: Fixed configure script (hopefully) so that POSIX
	  semaphores will work on Solaris.

2005-08-21 23:43  evi1rich

	* src/: inputdevice.c, gfx-amigaos/ami-win.c,
	  gfx-beos/be-Input.cpp, gfx-beos/be-Window.cpp, gfx-sdl/sdlgfx.c,
	  gfx-x11/xwin.c, include/inputdevice.h, jd-amigaos/joystick.c,
	  jd-beos/joystick.cpp, jd-linuxold/joystick.c, jd-none/joystick.c,
	  jd-sdl/joystick.c: Strengthened the inputdevice API and assorted
	  fixes for various inputdevice drivers.

2005-08-21 23:41  evi1rich

	* configure.in, src/Makefile.am, src/jd-amigainput/Makefile.am,
	  src/jd-amigainput/joystick.c: Added AmigaInput joystick driver.

2005-08-18 22:46  evi1rich

	* src/gfx-sdl/sdlgfx.c: In the SDL gfx driver, when an exact
	  screenmode match wasn't found, the driver would return the
	  largest screenmode. Thanks to Don Venhaus for spotting the
	  problem and suggesting the fix.

2005-08-18 14:34  evi1rich

	* src/gfx-amigaos/ami-win.c: Completed CGX V41 rendering in AmigaOS
	  graphics driver.

2005-08-17 22:42  evi1rich

	* src/md-ppc-gcc/support.c: Added support for quering PPC timebase
	  frequency on MorphOS. Thanks to Sigbjørn Skjæret (CISC) for the
	  idea.

2005-08-17 22:06  evi1rich

	* src/gui-gtk/gtkui.c: In Gtk+ UI, set all four floppy image
	  widgets when opening - not just drive 0.

2005-08-17 22:04  evi1rich

	* src/custom.c: The insertion of a floppy disk image while E-UAE
	  was paused would be ignored if E-UAE was then reset rather than
	  un-paused. Problem reported and fix suggested by Lasse. Thanks!

2005-08-17 20:47  evi1rich

	* src/drawing.c: Fixed building without JIT on non-GCC compilers.

2005-08-17 20:36  evi1rich

	* src/: drawing.c, hardfile.c, include/compemu.h,
	  include/sysdeps.h, md-generic/maccess.h, od-generic/hrtimer.h,
	  sd-solaris/sound.h: Applied a patch from Elmar Plischke which
	  fixes some GNU-isms, and, for instances, allows E-UAE to compile
	  with the Sun compiler under Solaris.

2005-08-17 20:22  evi1rich

	* src/od-amiga/blkdev-amiga.c: Fixed some compiler warnings in the
	  AmigaOS SCSI back-end.

2005-08-17 20:14  evi1rich

	* src/od-amiga/blkdev-amiga.c: In AmigaOS SCSI back-end, we need to
	  store a copy of the device string when adding a device, not just
	  a reference.

2005-08-17 10:12  evi1rich

	* configure.in: Fixed up build scripts so that the SCSI emulation
	  does really get compiled in on AmigaOS hosts.

2005-08-17 00:28  evi1rich

	* src/od-amiga/blkdev-amiga.c: Applied patch from Sigbjørn Skjæret
	  (CISC) to add SCSI device scanning for 'classic' AmigaOS and
	  MorphOS to the AmigaOS SCSI layer back-end. Thanks, CISC. I'd
	  just been too lazy to do this myself. ;-)

2005-08-16 00:17  evi1rich

	* configure.in: A tweak for the configure script: pass SDL's cflags
	  in CPP_FLAGS rather than CFLAGS. This ensures, for instance, that
	  SDL is accessible useable when compiling objective C in the cocoa
	  GUI.

2005-08-16 00:14  evi1rich

	* src/gui-cocoa/cocoaui.m: The work-around for forcing the host
	  mouse pointer to be visible when opening a cocoa dialog didn't
	  work for full-screen mode (it was doing things in the wrong
	  order). Fixed.

2005-08-15 14:37  evi1rich

	* configure.in: Don't build a threaded version of the virtual
	  filesystem on AmigaOS and clones. When the filesystem threads are
	  run at the same priority as the main thread, they get starved for
	  CPU time, killing performance, and we many not be able to change
	  their priority (e.g. when building against SDL).

2005-08-15 14:35  evi1rich

	* src/md-i386-gcc/support.c: On x86 BEOS hosts, added support for
	  getting the TSC frequency from the kernel rather than calibrating
	  it ourselves.

2005-08-15 14:34  evi1rich

	* src/cfgfile.c: A segfault would occur when parsing command-line
	  options which don't take a value. Fixed.

2005-08-15 03:42  steven-j-s

	* src/gui-cocoa/cocoaui.m: Removed keyboard shortcuts for
	  menu-items due to conflicts caused because the command key is
	  being used as the emulated amiga key. Removed bug causing crash
	  in versions of OS X prior to Panther. Added 'Devices' menu to
	  control joystick port settings

2005-08-10 23:55  tag E-UAE-0_8_28-RC2

2005-08-10 23:55  evi1rich

	* configure.in: Let try version 0.8.28-RC2.

2005-08-10 23:36  evi1rich

	* configure.in: Enable building of the threaded virtual filesystem
	  again - now that the performance issues have been fixed.

2005-08-10 23:33  evi1rich

	* README: Updated README to mention that SCSI layer now works on
	  OS4.0.

2005-08-10 23:31  evi1rich

	* src/gui-cocoa/cocoaui.m: Steve's new Cocoa floppy dialog doesn't
	  work on MacOS 10.2. A temporary and ugly fix.

2005-08-10 21:55  evi1rich

	* configure.in, m4/type_socklen_t.m4, src/sysconfig.h.in: Older BSD
	  systems (e.g., OS X) don't declare socklen_t. Fixed with some
	  configure support.

2005-08-10 15:15  evi1rich

	* src/include/gensound.h: Fixed GCC 2.95 breakage.

2005-08-10 15:14  evi1rich

	* src/main.c: Recent SCSI layer changes broke building without SCSI
	  emulation. Fixed.

2005-08-10 14:21  tag E-UAE-0_8_28-RC1

2005-08-10 14:21  evi1rich

	* configure.in: Let's call this version 0.8.28-RC1.

2005-08-10 10:11  evi1rich

	* src/akiko.c: Ooops. Turn off debug output in Akiko emulation.

2005-08-10 09:00  evi1rich

	* src/akiko.c: Akiko emulation now works with AmigaOS SCSI
	  back-end.

2005-08-10 08:56  evi1rich

	* src/od-amiga/blkdev-amiga.c: Fixed a bug in AmigaOS SCSI
	  back-end: media check wasn't returning the media status.

2005-08-09 10:44  evi1rich

	* src/: blkdev-libscg.c, blkdev.c, bsdsocket-posix-new.c, debug.c,
	  include/blkdev.h: Fixed some more GCC4.0 warnings.

2005-08-09 09:47  evi1rich

	* src/: bsdsocket-posix.c, cfgfile.c, compemu_support.c,
	  picasso96.c, include/picasso96.h: Fixed some more GCC 4.0
	  warnings.

2005-08-09 08:30  evi1rich

	* src/gfx-sdl/sdlgfx.c: Fixed some debug output.

2005-08-09 08:27  evi1rich

	* configure.in, src/blkdev.c, src/main.c, src/scsiemul.c,
	  src/include/blkdev.h, src/include/scsidev.h,
	  src/od-amiga/Makefile.am, src/od-amiga/blkdev-amiga.c: Added SCSI
	  layer back-end for AmigaOS hosts. Currently this only works on
	  OS4.0 - on other earlier and clone systems, code for scanning for
	  CD-ROM drives needs to be added. Hacked the top level of the SCSI
	  layer to make it work on Amiga hosts and added shut-down code.

2005-08-09 08:23  evi1rich

	* src/akiko.c: Fixed a 32-bit-ism in the CD32 emulation.

2005-08-05 11:52  evi1rich

	* README: Updated README.

2005-08-05 11:46  evi1rich

	* docs/cmd-line.txt: Added Henrik Farre's documentation of
	  command-line options. Thanks Henrik!

2005-08-05 11:40  evi1rich

	* docs/keyboard.txt: Updated keyboard documentation since raw keys
	  now potentially work on X11.

2005-08-05 10:13  evi1rich

	* configure.in, src/gfx-x11/x11keys.c, src/gfx-x11/xwin.c,
	  src/include/options.h, src/keymap/x11pc_rawkeys.c: Added raw-key
	  support to X11 graphics driver. This requires the XKB extension
	  and only xfree86 keycodes are currently supported.

2005-07-29 23:48  evi1rich

	* src/gfx-x11/xwin.c: Some tidying up for the X11 graphics driver.

2005-07-15 02:41  steven-j-s

	* src/gui-cocoa/cocoaui.m: Fixed some small memory-management bugs,
	  and added a 'Disk' menu for inserting and ejecting disk images.

2005-07-08 03:49  evi1rich

	* README: Updated README to reflect latest changes.

2005-07-08 02:57  evi1rich

	* docs/compiling.txt: Updated instructions for compiling against
	  the SDL framework on OS X.

2005-07-08 01:49  evi1rich

	* src/gfx-sdl/sdlgfx.c: Fixed a bug in the SDL gfx driver which
	  could allows the array of screen modes to overrun.

2005-07-08 00:43  evi1rich

	* src/od-amiga/support.c: Removed the now superflous extra
	  sleep_test() on the AmigaOS target.

2005-07-07 23:21  evi1rich

	* src/: inputdevice.c, gfx-amigaos/ami-win.c,
	  gfx-beos/be-Window.cpp, gfx-sdl/sdlgfx.c, gfx-x11/xwin.c,
	  include/xwin.h: Factored out the duplicated framerate_up/down
	  code from each gfx driver and stuffed it in inputdevice.c for
	  now.

2005-07-07 23:09  evi1rich

	* src/: drawing.c, gfx-amigaos/ami-win.c, gfx-sdl/sdlgfx.c,
	  gfx-x11/xwin.c, include/xwin.h: Began modularization of graphics
	  layer and updated SDL, X11 and AmigaOS graphics driver
	  accordingly (other gfx drivers are broken for now).  A graphics
	  driver should now set up function pointers in gfxvidinfo
	  appropriately for the flush_line(), flush_block(), lock(), etc.
	  methods it provides. A bonus is that a lot of the decision make
	  can be pushed back to when the graphics buffer is set up and thus
	  many conditional branches removed from critical code like
	  flush_line(), flush_block(), etc.

	  Also removed PowerUP code from AmigaOS gfx driver and also
	  changed it so that the CGX_V41 methods are used on AmigaOS4. It
	  doesn't perform well, but it's a solution to the problem caused
	  by the changes to the CGX emulation in AmigaOS4 update #3.
	  Eventually this will be replaced by a direct P96 implementation.

2005-07-07 23:01  evi1rich

	* src/od-win32/main.c: Fixed up mingw32 port to use SDL_main.

2005-07-07 22:49  evi1rich

	* src/od-generic/main.c: Fixed missing header.

2005-07-07 22:48  evi1rich

	* src/zfile.c: A fix for using zlib decompression when building
	  with mingw32.

2005-07-07 22:21  evi1rich

	* src/audio.c, src/sysconfig.h.in, configure.in,
	  src/include/gensound.h: Removed the MULTIPLICATION_PROFITABLE
	  define from audio.c and put it in sysconfig.h as a define set by
	  configure (it's always set for now - just as before). Also,
	  conditionally leave out some more unused bits of audio.c if
	  MULTIPLICATION_PROFITABLE is set.

2005-07-07 21:15  evi1rich

	* src/: include/xwin.h, include/inputdevice.h, inputdevice.c: The
	  recent changes in the inputdevice subsystem caused some breakage
	  under GCC4.0. Fixed.

2005-07-07 01:43  evi1rich

	* src/: cfgfile.c, include/options.h: Obsoleted the config options
	  avoid_dga, override_dga_address and avoid_vid.

2005-07-07 01:35  evi1rich

	* docs/: bsdsocket.txt, compiling.txt: Updated compiling and
	  bsdsocket docs now that the 'new' bsdsocket emulation works on
	  AMD64.

2005-07-07 01:32  evi1rich

	* docs/configuration.txt: Updated configuration docs.

2005-07-06 12:07  evi1rich

	* src/md-amd64-gcc/exectasks.h: Simplified AMD64 stack-magic code.

2005-07-06 04:19  evi1rich

	* src/md-amd64-gcc/exectasks.h: Changed the call to a jmp in the
	  AMD64 stack-magic code (not that it makes a huge amount of
	  difference in practice).

2005-07-05 14:05  evi1rich

	* src/Makefile.am: Forgot to add src/md-amd64-gcc to dist target.
	  Fixed.

2005-07-05 01:29  evi1rich

	* docs/configuration.txt: Add section about x86/amd64.use_tsc,
	  ppc.use_tbc to configuration docs.

2005-07-04 23:14  evi1rich

	* src/md-ppc-gcc/support.c: On Linux/PPC try to get timebase
	  frequency from the Open Firmware device tree. If the system
	  doesn't have OF, then E-UAE will fall back on calibrating the tbc
	  frequency itself.

2005-07-04 21:34  evi1rich

	* src/: newcpu.c, gui-gtk/cpuspeedpanel.c, gui-gtk/cpuspeedpanel.h,
	  gui-gtk/gtkui.c: Allow 'Idle on HALT' to work even without the
	  JIT.

2005-07-04 17:26  evi1rich

	* src/custom.c: Previous change caused serious breakage. Now
	  initialize syncbase in custom_init(), since we have to do it
	  somewhere (which I had forgotten).  This stuff really needs
	  tidying up.

2005-07-04 17:11  evi1rich

	* src/custom.c: Don't reset synbase in compute_vsynctime().

2005-07-04 17:10  evi1rich

	* src/: md-i386-gcc/rpt.h, md-i386-gcc/support.c,
	  md-amd64-gcc/rpt.h: Added a hack to cope with frequency-scaling
	  on x86 and AMD64 Linux. We get the TSC frequency from
	  /proc/cpuinfo and poll that (currently 8 times a second) to
	  detect changes in CPU frequency. This needs to implemented more
	  cleanly, but the idea seems to be sound at least.

2005-07-02 02:57  evi1rich

	* configure.in, src/md-amd64-gcc/Makefile.am,
	  src/md-amd64-gcc/exectasks.h, src/md-amd64-gcc/m68k.h,
	  src/md-amd64-gcc/m68kops.h, src/md-amd64-gcc/maccess.h,
	  src/md-amd64-gcc/machdep.h, src/md-amd64-gcc/rpt.h,
	  src/md-amd64-gcc/support.c: Added machine-dependent support for
	  the AMD64. For now this is largely copied from i386, but with
	  fixed time-stamp and stack-magic support.

2005-06-29 00:29  evi1rich

	* README: Fixed some typos.

2005-06-29 00:26  evi1rich

	* docs/: bsdsocket.txt, compiling.txt, floppies.txt, keyboard.txt:
	  Some documentation tweaks.

2005-06-28 00:02  evi1rich

	* src/: main.c, md-i386-gcc/support.c, md-ppc-gcc/support.c: Factor
	  out the sleep_test() call from the machine-dependent code and
	  always call it.

2005-06-27 23:20  evi1rich

	* src/: cfgfile.c, inputdevice.c, inputevents.def, keybuf.c,
	  main.c, gfx-amigaos/ami-win.c, gfx-sdl/sdlgfx.c, gui-gtk/gtkui.c,
	  include/inputdevice.h, include/keyboard.h, include/options.h,
	  od-amiga/amiga-kludges.h, gfx-sdl/sdlkeys.c, gfx-x11/x11keys.c,
	  gfx-x11/xwin.c, jd-sdl/joystick.c, keymap/hotkeys_common.h:
	  Merged input layer changes from WinUAE 1.0, fixed most of the
	  breakage that caused (I may have missed some) and did some
	  tidying up. Added config option to disable joyport emulation and
	  this is now supported by the Gtk+ UI.

2005-06-27 22:40  evi1rich

	* README: Brought README up to date for version 0.8.28.

2005-06-20 13:23  evi1rich

	* src/: main.c, tui.c, include/tui.h, include/uae.h: Some clean-ups
	  for main.c. Also factored out the TUI stuff from main.c and fixed
	  up tui.c so it at least compiles now.

2005-06-19 22:37  evi1rich

	* src/Makefile.am: Forgot to add src/od-win32 to dist. Fixed.

2005-06-19 22:27  evi1rich

	* configure.in, src/Makefile.am, src/bsdsocket.c,
	  src/od-win32/Makefile.am, src/od-win32/bsdsock.c,
	  src/od-win32/fsdb_win32.c, src/od-win32/hardfile_win32.c,
	  src/od-win32/main.c, src/od-win32/win32.h,
	  src/td-win32/Makefile.am, src/td-win32/thread.c,
	  src/td-win32/thread.h: More work on the mingw32 port.

2005-06-19 21:12  evi1rich

	* configure.in, src/cfgfile.c, src/filesys.c, src/fsdb.c,
	  src/fsusage.c, src/main.c, src/misc.c, src/picasso96.c,
	  src/sleep.c, src/include/picasso96.h, src/include/sleep.h,
	  src/include/sysdeps.h, src/include/uae.h, src/include/xwin.h,
	  src/od-win32/Makefile.am, src/od-win32/exectasks.h,
	  src/od-win32/fsdb_win32.c, src/od-win32/hardfile_win32.c,
	  src/od-win32/hrtimer.h, src/od-win32/main.c,
	  src/od-win32/memory.c, src/od-win32/memory.h,
	  src/od-win32/posixemu.c, src/od-win32/posixemu.h,
	  src/od-win32/writelog.c: Implemented rudimentary support for
	  building with mingw32 (against SDL only at the moment). Merged
	  some bits and pieces of win32-specific code from WinUAE 0.8.27
	  and WinUAE 1.0.0 and, after a little hacking, this now works.
	  More to do...

2005-06-19 16:57  evi1rich

	* src/bsdsocket-posix.c: Some 64-bit fixes for the 'old' bsdsocket
	  emulation.

2005-06-19 16:56  evi1rich

	* src/: gfx-sdl/rawkeys.c, keymap/x11pc_rawkeys.c: Added support
	  for rawkeys on x86_64 Linux.

2005-06-19 01:27  evi1rich

	* src/: Makefile.am, gfxlib.c, main.c: Removed gfxlib emulation.

2005-06-19 01:21  evi1rich

	* src/: Makefile.am, akiko2.c: Removed superfluous akiko2.c file.

2005-06-19 01:20  evi1rich

	* configure.in, src/Makefile.am, src/md-i386-gcc/Makefile.am,
	  src/md-i386-gcc/X86.S: Removed x86 assembly version of DitherLine
	  (it's not terribly useful now) and the configure option
	  --enable-x86assembly.

2005-06-18 21:57  evi1rich

	* src/ar.c: Some 64-bit fixed for the ActionReplay emulation.

2005-06-18 16:06  evi1rich

	* src/: audio.c, cia.c, events.c, filesys.c, gfxutil.c,
	  gfx-sdl/sdlgfx.c, include/drawing.h, include/events.h,
	  include/xwin.h: Fixed some problems which were breaking 64-bit
	  architectures. It now runs on AMD64 here, but more testing and
	  fixing to do...

2005-06-17 04:04  steven-j-s

	* src/gui-cocoa/cocoaui.m: Numerous improvements to cocoa gui

2005-06-16 01:37  evi1rich

	* src/include/sleep.h: Go back to using Delay() for sleeping on
	  AROS, since TimeDelay() behaves strangely there. I must
	  investigate AROS's timer.device implementation...

2005-06-16 00:31  evi1rich

	* src/gfx-amigaos/ami-win.c: Implemented CGX v41 support in the
	  AmigaOS gfx driver, which uses an off-screen buffer in main
	  memory and blits via a WritePixelArray(...,RECTFMT_RAW) call.

	  We use this method when building on AROS and MorphOS. This is
	  absolutely necessary for high/true-colour rendering on AROS,
	  since on AROS hosted on X11 you cannot lock an AROS bitmap. I
	  test this on AmigaOS4 also, but performance sucked, so we don't
	  use it there.

2005-06-15 22:18  evi1rich

	* src/: include/sleep.h, od-amiga/hrtimer.h, od-amiga/support.c:
	  Hacks to AmigaOS timer support to get this building on AROS
	  again.

2005-06-13 21:05  evi1rich

	* src/fsdb.c: Forgot to turn off tracing in fsdb.c. Fixed.

2005-06-13 16:18  evi1rich

	* src/filesys.c: A quick fix for the filesystem bug that was
	  causing a segfault when IBrowse was scanning its cache at
	  start-up. The problem was the action_rename function. A new aino
	  was created for the new name, but there was no check to see if
	  any keys pointed to the old aino. This is now done.

2005-06-13 04:30  evi1rich

	* src/md-ppc-gcc/exectasks.h: Yay! Got stack-magic stuff working on
	  OS X. Whoever designed the PPC/Mach-O ABI needs to be slapped
	  with a dead fish now.

2005-06-12 21:10  evi1rich

	* src/: filesys.asm, filesys.c, fsdb.c, fsdb_unix.c,
	  native2amiga.c, include/fsdb.h, include/native2amiga.h: More
	  syncing with WinUAE 1.0.0. Merged in some filesys changes (this
	  includes a fix for improving threaded filesys performance). Much
	  more work to do here.

2005-06-12 03:35  evi1rich

	* src/bsdsocket-posix-new.c: Some tidying up for the 'new'
	  bsdsocket emulation.

2005-06-11 22:06  evi1rich

	* src/: bsdsocket-posix-new.c, bsdsocket.c, include/bsdsocket.h: In
	  the 'new' bsdsocket emulation, relieved race conditions
	  associated with gethostbyname and gethostbyaddr somewhat. Instead
	  of passing the hostent back to the main thread for copying to
	  Amiga address space, we now copy the hostent within the bsdsocket
	  emulation thread using a pre-allocated buffer.

	  Fixed returning of h_errno for gethostbyname/addr.

	  Fixed some compiler warnings.

2005-06-11 20:01  evi1rich

	* src/: bsdsocket-posix-new.c, bsdsocket.c: Applied a patch from
	  Jeff Shepherd which improves the 'new' bsdsocket emulation.
	  Sorry, Jeff. I'd been sitting on this patch for ages.

2005-06-11 14:52  evi1rich

	* src/bsdsocket-posix-new.c: Adapted the "new" bsdsocket emulation
	  to the recent changes in the 68k interpreter.

2005-06-11 01:07  evi1rich

	* src/: gfx-sdl/rawkeys.c, gfx-sdl/sdlgfx.c, gfx-sdl/sdlgfx.h,
	  keymap/Makefile.am, keymap/amiga_rawkeys.c,
	  keymap/amiga_rawkeys.h, keymap/keymap_all.h: Added raw
	  key-mapping for AmigaOS and clones in the SDL driver and set
	  Ctrl+Left Alt as the modifier for hot-key sequences for AmigaOS
	  (as the native AmigaOS gfx driver uses).

	  Also, raw key-mapping is now the default in the SDL gfx driver
	  for AmigaOS, BeOS and OS X hosts.

2005-06-10 17:59  evi1rich

	* src/drawing.c: Sync drawing code with WinUAE 1.0.0. This fixes
	  the problem where the right border was not always updated,
	  amongst other things. Also fixed some GCC 4.0 compiler warnings.

2005-06-10 15:44  evi1rich

	* src/: Makefile.am, cia.c, crc32.c, custom.c, disk.c, unzip.c,
	  zfile.c, include/cia.h, include/crc32.h, include/disk.h,
	  include/gui.h, include/zfile.h: Began syncing up to WinUAE 1.0.0.

	  Merged in some core emulation changes from WinUAE 1.0.0 including
	  sprite, bitplane, CIA and floppy disk emulations.

	  Also cleaned up some compiler warnings, tidied up whitespace and
	  removed some dead code in the process.

2005-06-08 12:45  evi1rich

	* src/targets/: t-amiga.h, t-beos.h, t-unix.h: Don't do the sleep
	  test on AmigaOS4, MorphOS, BeOS or OS X. Busy-waiting should
	  never be necessary on these platforms.

2005-06-08 12:42  evi1rich

	* src/gfx-sdl/sdlgfx.c: Removed a debug statement.

2005-06-07 14:35  evi1rich

	* configure.in: Updated version number to 0.8.28-CVS.

2005-06-07 14:17  evi1rich

	* src/main.c: Added build date to log output.

	  Updated copyright message to 2005.

2005-06-07 13:32  evi1rich

	* src/gfx-sdl/sdlgfx.c: With the previous changes to the SDL gfx
	  driver, we lost the old work-around for OS X, where SDL lies
	  about the default pixel format for high-colours screens. Fixed.

2005-06-07 12:59  evi1rich

	* src/main.c: Initialize the graphics system before input devices
	  (especially the keyboard) are initialized.

2005-06-07 11:34  evi1rich

	* src/gfx-sdl/sdlgfx.c: Re-wrote SDL gfx driver's screen depth and
	  screen mode detection. P96 emulation will now be able to use
	  non-standard fullscreen resolutions and should now always get the
	  pixel format right.

2005-05-13 01:40  evi1rich

	* src/include/blkdev.h: Another global fix revealed by GCC 4.0.

2005-05-13 01:39  evi1rich

	* src/scsiemul.c: Fixed scsi emulation with regard to regstruct
	  changes.

2005-05-13 01:21  evi1rich

	* src/gfx-sdl/rawkeys.c: Fixed missing header.

2005-05-13 00:23  evi1rich

	* src/: cia.c, inputdevice.c, include/autoconf.h, include/cia.h,
	  include/drawing.h, include/inputdevice.h, include/memory.h,
	  include/picasso96.h: Fixed visibility of some globals that caused
	  building with GCC 4.0 to break.

2005-05-10 02:03  evi1rich

	* src/: fpp.c, gencpu.c, newcpu.c, include/newcpu.h,
	  md-generic/support.c: Adapted the exception-handling code in the
	  interpreter in line with the recent changes - that is, it now
	  accesses via a pointer passed as a parameter rather than a
	  global.

	  Also checked-in remaining changes for flag-handling on generic
	  hosts.

2005-05-10 01:46  evi1rich

	* src/md-generic/m68k.h: Adapt m68k flag-handling for generic hosts
	  to the new world order. I can't think of any architecture that
	  would benefit from each m68k CCR flag being held in a separate
	  int (and so being a separate access), so rework this based on the
	  model that the x86, PPC and 68k hosts already use - the CZNV
	  flags in one int and the X flag in another.

2005-05-08 23:20  evi1rich

	* src/newcpu.c: Removed some more dead code from the interpreter
	  and tidied up some whitespace.

2005-05-08 23:10  evi1rich

	* src/keymap/keymap_common.h: Applied a patch from Staf Verhaegen
	  which fixes a typo in the raw key-mapping stuff which broke the
	  less-than/greater-than key on international keyboards.

2005-05-07 15:29  evi1rich

	* src/: compemu_raw_x86.c, compemu_support.c: Forgot to modify the
	  JIT to take account that the X flag is now kept in bit 8 of the
	  regstruct.x field. Fixed.

2005-05-07 00:59  evi1rich

	* src/: ar.c, autoconf.c, blitter.c, bsdsocket-posix.c,
	  compemu_fpp.c, compemu_raw_x86.c, compemu_support.c, custom.c,
	  debug.c, disk.c, drawing.c, enforcer.c, ersatz.c, expansion.c,
	  filesys.c, fpp.c, gencomp.c, gencpu.c, hardfile.c, inputdevice.c,
	  memory.c, misc.c, native2amiga.c, newcpu.c, picasso96.c,
	  serial.c, uaeexe.c, uaelib.c, gui-muirexx/ami-rexx.c,
	  include/cpu_prefetch.h, include/events.h, include/newcpu.h,
	  md-68k/m68k.h, md-68k/m68kops.h, md-68k/support.c,
	  md-i386-gcc/m68k.h, md-i386-gcc/m68kops.h, md-i386-gcc/support.c,
	  md-ppc-gcc/m68k.h, md-ppc-gcc/m68kops.h, md-ppc-gcc/support.c:
	  Woa! The start of some big changes.

	  Moved the flag_struct global into the regstruct global, and
	  changed many accesses to the regstruct global to be done via a
	  pointer; for instance, a pointer to the regstruct is now passed
	  to the interpreter's opcode handlers, for instance.

	  This allows the compiler to produce much smaller code (and
	  faster) when building the interpreter.

	  Much more work to do along these lines, however.

2005-05-06 15:16  evi1rich

	* src/: fpp.c, newcpu.c, include/newcpu.h: Some tidying up in the
	  interpretive fpu emulation and preparation for forthcoming work.

2005-05-05 00:47  evi1rich

	* src/: events.c, include/events.h: Aw, go on! Inlined do_cycles()
	  in toto. It does give a performance win.

2005-05-05 00:46  evi1rich

	* src/newcpu.c: Clean up opcode dispatch loops by factoring out the
	  opcode logging code.

2005-05-04 15:08  evi1rich

	* src/: enforcer.c, events.c, sleep.c, include/events.h: Split the
	  do_cycles() function into two. The part which actually calls the
	  events handlers is now called do_events() and is called by the
	  new do_cycles() function which now, one again, is inlined (the
	  cycle-exact interpreter no longer tries to inline it anyway, so
	  no worries there).

	  Note when cpu_speed=real, do_cycles() checks whether we've
	  reached the end of the frame and if not ignores cycles (otherwise
	  it just calls do_events ()).	We inline this part for a speed
	  boost in the interpreter's opcode dispatch loops.

2005-05-04 14:59  evi1rich

	* src/newcpu.c: Cleaned some more built-up cruft from the
	  interpreter.

2005-05-04 14:09  evi1rich

	* src/newcpu.c: Flatten the opcode-handler dispatch loops by inline
	  do_specialities(). This speeds things up the interpreter by at
	  least 10%.

2005-05-04 13:50  evi1rich

	* configure.in, src/Makefile.am, src/cpuopti.c, src/newcpu.c,
	  src/tools/Makefile.in, src/tools/configure.in: Removed cpuopti
	  phase when building the CPU emulation. It was only usable on
	  pre-GCC 3.0 and only on x86 systems and only offered a meagre
	  performance gain there.

2005-05-02 21:40  evi1rich

	* src/: gencpu.c, md-68k/Makefile.am, md-68k/m68k.h,
	  md-68k/m68kops.h, md-generic/Makefile.am, md-generic/m68kops.h,
	  md-i386-gcc/Makefile.am, md-i386-gcc/m68k.h,
	  md-i386-gcc/m68kops.h, md-ppc-gcc/Makefile.am, md-ppc-gcc/m68k.h,
	  md-ppc-gcc/m68kops.h: Separated out optflag_#? code from
	  md-#?/m68k to md-#?/m68kops.h.

2005-05-01 22:55  evi1rich

	* src/md-ppc-gcc/m68k.h: Optimized handling of X flag in md-ppc-gcc
	  optimized flag handling code.

2005-05-01 21:14  evi1rich

	* src/: md-i386-gcc/support.c, md-ppc-gcc/support.c: Fixed bugs
	  which broke writing new x86.use_tsc and ppc.use_tbc options to a
	  config file.

2005-04-19 11:16  evi1rich

	* src/md-ppc-gcc/support.c: Typo broke OSX/Darwin compile. Fixed.

2005-04-19 10:41  evi1rich

	* src/: Makefile.am, cfgfile.c, custom.c, events.c, main.c,
	  sleep.c, include/custom.h, include/events.h, include/hrtimer.h,
	  include/options.h, include/sysdeps.h, md-68k/Makefile.am,
	  md-68k/machdep.h, md-68k/rpt.h, md-68k/support.c,
	  md-generic/Makefile.am, md-generic/machdep.h, md-generic/rpt.h,
	  md-generic/support.c, md-i386-gcc/Makefile.am,
	  md-i386-gcc/machdep.h, md-i386-gcc/rpt.h, md-i386-gcc/support.c,
	  md-ppc-gcc/Makefile.am, md-ppc-gcc/machdep.h, md-ppc-gcc/rpt.h,
	  md-ppc-gcc/support.c, od-amiga/Makefile.am, od-amiga/hrtimer.h,
	  od-amiga/main.c, od-amiga/support.c, od-beos/Makefile.am,
	  od-beos/hrtimer.h, od-generic/Makefile.am, od-generic/hrtimer.h,
	  od-linux/Makefile.am, od-linux/hrtimer.h, targets/t-amiga.h:
	  Clean-up and improvements to timer support, including:

	  - Added boolean option for x86 targets, x86.use_tsc, to
	  enable/disable use   of the processor's time-stamp counter for
	  high-resolution timing. Using the   TSC gives better performance
	  (due to the much-reduced overhead) but may   cause problems on
	  machines that do power saving by reducing the CPU clock
	  frequency's (which also reduces the TSC tick rate). This option
	  defaults   to true.

	  - Added boolean option for PPC targets, ppc.use_tbr, to
	  enable/disable use   of the processor timebase register for
	  high-resolution timing. AFAIK,   doesn't have the
	  frequency-scaling problems that the x86's TSC register   does, so
	  probably you'll want to leave this set to true (the default).

	  - On Darwin/PPC hosts (including MacOS X), get the timebase
	  frequency from   the Mach kernel rather than calibrating it. This
	  is much quicker and more   accurate.

	  - On AmigaOS4/AmigaONE hosts, get the timebase frequency from the
	    timer.device's EClock. Again, this is much quicker and more
	  accurate than   calibrating it ourselves.

2005-04-13 00:45  evi1rich

	* src/custom.c: Make inclusion of avioutput.h header conditional on
	  AVIOUTPUT macro, not WIN32.

2005-04-13 00:26  evi1rich

	* src/include/memory.h: Fix for building with support for 24-bit
	  memory only. Thanks to Henk Jonas for reporting the problem.

2005-04-12 23:49  evi1rich

	* src/: memory.c, include/memory.h, md-68k/maccess.h,
	  md-generic/maccess.h, md-i386-gcc/maccess.h, md-ppc/maccess.h,
	  md-ppc-gcc/maccess.h: Removed some more dead code from the memory
	  system.

2005-04-12 23:47  evi1rich

	* src/include/unzip.h: Work-around for compiling on NetBSD. Thanks
	  to Bernhard Moellemann.

2005-04-12 23:46  evi1rich

	* src/picasso96.c: Missed some references to bswap32 in the last
	  check-in. Fixed.

2005-04-12 23:10  evi1rich

	* src/picasso96.c: Renamed picasso96.c bswap32 function to
	  p96_bswap32 to avoid collisions with system bswap32 function on
	  NetBSD. Thanks to Bernhard Moellemann for reporting this.

2005-01-25 04:00  evi1rich

	* src/: cfgfile.c, disk.c, filesys.c, fsusage.c, memory.c,
	  caps/caps.c, include/options.h, include/picasso96.h,
	  include/sleep.h, targets/t-amiga.h: Simplified
	  conditional-compilation check for AmigaOS-like hosts.

2005-01-25 03:37  evi1rich

	* src/gfx-sdl/sdlgfx.c: In the SDL gfx driver, now use HW surfaces
	  for P96 when building for AmigaOS4.

2005-01-25 03:03  evi1rich

	* src/readcpu.c: Merged a CPU fix from WinUAE 0.9.92 to ensure some
	  special-case opcodes are not emulated on the 68000/68010. These
	  are TST.W A0, TST.L A0, TST.x (d16,PC) and TST.x; and CMPI.W
	  #x,(d16,PC) and CMPI.W #x,(d8,PC,Xn).

2005-01-24 22:08  evi1rich

	* src/filesys.c: Handling of host file-paths in virtual filesystem
	  was broken on Amiga hosts.  Paths were constructed incorrectly
	  when a host volume was mounted (the host path to mount ended in a
	  colon) or if a trailing slash was included in a directory path to
	  mount. This is now fixed.

2005-01-17 01:47  evi1rich

	* src/cfgfile.c: Removed obsolete 32bit_blits option from
	  command-line help.

2005-01-17 01:43  evi1rich

	* src/cfgfile.c: Changed default configuration. E-UAE no longer
	  defaults to mounting floppy image df<n>.adf in drive n. By
	  default now all drives have no image mounted.  This makes a lot
	  more sense to me. ;-)

2005-01-16 03:44  evi1rich

	* docs/configuration.txt: Another go at fixing the cpu_type= option
	  in the configuration doc.

2005-01-16 03:22  evi1rich

	* docs/configuration.txt: Another fix for the configuration doc.
	  For cpu_type option, the FPU is specified with 68881 not 881.
	  Thanks to Frank Agnew for spotting this.

2005-01-15 11:54  evi1rich

	* docs/configuration.txt: Fixed type in configuration doc. That
	  should be floppy<drive>type=<type>.

2005-01-07 00:45  tag E-UAE-0_8_27

2005-01-07 00:45  evi1rich

	* configure.in: Enough! Enough! This is E-UAE 0.8.27 final.

2005-01-07 00:15  evi1rich

	* src/gfx-sdl/sdlgfx.c: Don't try to use a HW surface for Amiga
	  screens in SDL gfx driver. This need more testing yet.

2005-01-06 23:02  evi1rich

	* docs/configuration.txt: Updated configuration doc.

2005-01-06 22:21  evi1rich

	* src/gfx-x11/xwin.c: X11 gfx driver now has default settings
	  x11.use_mitshm=true and x11.hide_cursor=true (previously these
	  defaulted to false).

2005-01-06 21:56  evi1rich

	* src/: compemu_raw_x86.c, compemu_support.c, include/compemu.h:
	  Tidied up some compiler warnings when building the JIT.

2005-01-06 21:25  evi1rich

	* src/od-generic/memory.c: Bugger! - and this one too (and this was
	  the important one).

2005-01-06 21:23  evi1rich

	* src/main.c: Missed this file with previous check-in.

2005-01-06 21:21  evi1rich

	* src/: memory.c, include/memory.h, include/sysdeps.h: Cleared out
	  some cruft from the JIT direct-memory system.

2005-01-06 21:18  evi1rich

	* configure.in: Disable building with filesystem threads for now.
	  It hurts performance on most platforms.

2005-01-06 21:12  evi1rich

	* src/expansion.c: Fixed compiler warning.

2005-01-06 02:00  evi1rich

	* src/md-i386-gcc/m68k.h: Tighten constraint on v parameter to i386
	  optimized flag-handling function optflag_addb(). Fixes building
	  with gcc-2.95.

2005-01-04 01:09  evi1rich

	* debian/: control, menu, rules: Debian build scripts should really
	  work again now.

2005-01-04 01:07  evi1rich

	* README: Mention new ALSA driver in user-visible changes in
	  README.

2005-01-03 16:14  evi1rich

	* configure.in, src/Makefile.am, src/sd-alsa/Makefile.am,
	  src/sd-alsa/sound.c, src/sd-alsa/sound.h: Applied patch from Kars
	  de Jong which merges Heikki Orsila's ALSA driver from UADE and
	  fixes detection of libscg by the configure script.

2005-01-03 15:02  evi1rich

	* debian/: README, README.Debian, changelog, control: Updated
	  scripts for building Debian package.

2005-01-03 14:45  evi1rich

	* docs/: COMPATIBILITY, CREDITS, FAQ, NEWS, README,
	  README.PROGRAMMERS, bsdsocket.txt, compiling.txt,
	  configuration.txt, floppies.txt, keyboard.txt, scsi.txt: Replaced
	  old UAE documentation with some interim up-to-date documentation.
	  Much more work to do here.

2005-01-03 13:34  evi1rich

	* README: Updated README. Trimmed documentation that will be moved
	  to the docs/ directory. Fixed URL for mailing list.

2005-01-01 23:59  evi1rich

	* src/picasso96.c: Fixed building JIT compiler when P96 emulation
	  is not being built.

2005-01-01 23:57  evi1rich

	* src/od-amiga/: Makefile.am, memory.c: Add support for allocating
	  JIT cache on AmigaOS-like hosts. This is only useful on AROS at
	  the moment, since the JIT is currently x86 only.

2004-12-30 04:11  evi1rich

	* src/compemu_support.c: Disabled some JIT warnings that can flood
	  when compforcesettings is not set. They're not terribly helpful.

2004-12-30 04:08  evi1rich

	* src/gui-gtk/gtkui.c: In Gtk+ GUI, JIT page was being disabled
	  when 68ec020 CPU was selected.  Fixed. (Ideally, it should
	  disabled the memory-access controls when an 68ec020 is selected,
	  but I'll fix that later.)

2004-12-14 23:09  evi1rich

	* src/gfx-amigaos/ami-win.c: Temporarily disabled support for
	  building AmigaOS gfx driver for AROS hosts.  It doesn't currently
	  work on AROS. Also fixed up support for building without CGX
	  again.

2004-12-14 23:07  evi1rich

	* src/main.c: Removed some dead code.

2004-12-14 23:05  evi1rich

	* src/cfgfile.c: Re-implemented -H command-line option on AmigaOS
	  for selecting screen type.

2004-12-14 22:59  evi1rich

	* src/custom.c: Fixed some bugs in the code which dynamically
	  allocates and grows the sprite/color tables for hosts without
	  virtual memory. The sprite tables weren't actually being
	  reallocated! This allows, for example, Sanity's Arte demo to run.
	  Thanks to Thomas Wurgler for reporting the bug.

2004-12-04 02:16  evi1rich

	* src/gfxlib.c: Don't build gfxlib code. This is not even supported
	  via a config option at the moment and, anyway, is of dubious
	  benefit at the moment. Should probaly remove this stuff entirely
	  at some point.

2004-12-04 00:17  evi1rich

	* src/cfgfile.c: Removed some options no longer supported from the
	  help list.

2004-12-03 01:10  evi1rich

	* src/gfx-amigaos/ami-win.c: In AmigaOS gfx driver, if using
	  P96/CGX for output and allocation of the RTG-compatible
	  off-screen buffer fails, then fall back on using graphics.lib for
	  output.

2004-12-03 01:07  evi1rich

	* src/gfx-amigaos/ami-win.c: In AmigaOS gfx driver, when using the
	  delta buffer for output, the delta buffer needs to be cleared
	  when the display is cleared in flush_clear_screen().

2004-12-02 20:50  evi1rich

	* src/sd-amigaos/sound.c: AmigaOS audio driver will now compile
	  again if AHI SDK isn't available.

2004-12-02 20:26  evi1rich

	* src/include/newcpu.h: Added kludge to work around name conflict
	  with the Exception() function on AROS.

2004-12-02 15:51  evi1rich

	* src/gfx-amigaos/ami-win.c: In AmigaOS gfx driver, replaced code
	  to allocate pixbuf for delta output.	Ooops.

2004-12-02 15:46  evi1rich

	* src/gfx-amigaos/ami-win.c: In AmigaOS gfx driver, always set
	  maxblocklines to the screen height so that updates are flushed to
	  screen once per frame. There doesn't appear to be any advantage
	  in its original setting of 100.

2004-12-02 15:12  evi1rich

	* src/gfx-amigaos/ami-win.c: In AmigaOS graphics driver, set
	  SA_ShowTitle as FALSE when opening a custom screen. This was
	  screwing mouse movements. Also only dynamically hide mouse
	  pointer when running in window. On a custom screen, the pointer
	  is now always hiden.

2004-12-01 03:14  evi1rich

	* src/gui-muirexx/: UAEGUI.rexx, UAEWB, UAEWB.aux, UAEWB.rexx,
	  ami-rexx.c: A bunch of fixes for the AmigaOS AREXX interface and
	  the MUIRexx GUI. This pretty much all works now apart from the
	  screenmode stuff.

2004-12-01 02:52  evi1rich

	* src/cfgfile.c: Re-implemented -x and -T command-line options for
	  the AmigaOS gfx target. -x disables dithering, while -T enables
	  greyscale mode (both of these options only apply on
	  palette-mapped screens).

2004-12-01 02:24  evi1rich

	* src/: uaeexe.c, include/uaeexe.h: Some tidying up.

2004-12-01 02:22  evi1rich

	* src/cfgfile.c: On Amiga targets default to using joystick 1 for
	  port 1 (not joystick 0, which will be the mouse on a classic
	  Amiga).

2004-12-01 02:18  evi1rich

	* src/: custom.c, drawing.c: Fixed some bugs when using the sprite
	  collision table with OS_WITHOUT_MEMORY_MANAGEMENT defined. Silly
	  me. I can't count. ;-)

2004-11-30 20:54  evi1rich

	* src/od-amiga/main.c: On AmigaOS targets request minimum stack
	  also when linking against ixemul.

2004-11-30 20:50  evi1rich

	* src/gui-muirexx/ami-gui.c: Fixed a malloc() bug in path handling
	  in AmigaOS floppy dialog.

2004-11-30 04:00  tag E-UAE-0_8_27-RC3

2004-11-30 04:00  evi1rich

	* configure.in: Let's call this E-UAE 0.8.27-RC3.

2004-11-30 03:26  evi1rich

	* src/jd-linuxold/joystick.c: Oops. Removed garbage from Linux
	  joystick driver.

2004-11-30 03:20  evi1rich

	* src/picasso96.c: Merge simpler AddTail() implementation to P96
	  emulation from WinUAE 0.9.92.

2004-11-30 03:07  evi1rich

	* src/gui-cocoa/cocoaui.m: In Cocoa floppy dialog, add .ZIP, .DMS
	  and .FDI extensions to the file filter.

2004-11-30 03:04  evi1rich

	* src/picasso96.c: Simplified PPC assembly byte-swap code in P96
	  emulation.

2004-11-30 02:10  evi1rich

	* src/drawing.c: Removed dead code.

2004-11-30 00:16  evi1rich

	* src/gui-gtk/gtkui.c: Added a kludge to the Gtk+ GUI to disable
	  JIT page when CPU is using 24-bit addressing.

2004-11-29 23:56  evi1rich

	* src/jd-linuxold/joystick.c: Applied a patch from Nick Seow (with
	  some tidying up) which fixes the Linux joystick driver to look
	  for /dev/input/js* device nodes if no /dev/js* nodes can be
	  found.

2004-11-29 22:25  evi1rich

	* src/include/options.h: Missed checking in this file when applying
	  the fixup_joystick_prefs changes in main.c.

2004-11-29 22:23  evi1rich

	* src/gui-gtk/floppyfileentry.c: Fix set_filename method of the
	  Gtk+ floppyfileentry widget so that the eject widget is correctly
	  enabled or disabled.

2004-11-29 22:06  evi1rich

	* src/gui-gtk/gtkui.c: In Gtk+ GUI, kludge the width of the JIT
	  cache size widget. This will go away when the JIT page is
	  redesigned.

2004-11-29 21:43  evi1rich

	* src/gui-gtk/gtkui.c: in Gtk+ GUI, disable P96 memory widgets when
	  CPU address range is 24 bits.

2004-11-29 21:25  evi1rich

	* src/main.c: When fixing up preferences, don't allow joyports to
	  be configured to use non-existant host joysticks. Try and replace
	  such settings with a sensible default.

2004-11-29 21:24  evi1rich

	* src/gui-gtk/gtkui.c: In Gtk+ GUI on gameport page, disable
	  joysticks options in accordance to the count of joysticks
	  attached to the host.

2004-11-27 17:15  evi1rich

	* src/caps/caps.c: Bump soname of CAPS plugin to load on Linux to
	  version 2.

2004-11-27 16:49  evi1rich

	* src/md-i386-gcc/m68k.h: Fixed building the x86 optimized
	  flag-handling code on GCC 3.4.x. For the cmpb function, GCC can
	  erroneously put the 'd' parameter in %sil or %dil, which are
	  x86-64 registers not found on ia32. IMHO, this is a bug in GCC,
	  but, anyway, this can be avoided by tightening the constraint on
	  the 'd' paramter to use one of the 'q' registers.

2004-11-27 15:25  evi1rich

	* src/jd-sdl/joystick.c: SDL Joystick driver would segfault if
	  initialization failed. Fixed. Also, just initialize it once.

2004-11-27 14:50  evi1rich

	* src/custom.c: Removed a stray #endif left in from debugging.
	  Ooops.

2004-11-27 14:40  evi1rich

	* src/: audio.c, blitter.c, custom.c, disk.c, events.c,
	  include/custom.h, include/options.h: Assorted custom-chip
	  emulation fixed merged from WinUAE 0.9.92. This includes copper
	  and blitter timing fixes, improved blitter slowdown
	  approximation, timing fixes for frame-skipping in cycle-exact
	  mode, vsync fixes, etc.

2004-11-27 14:21  evi1rich

	* src/: gui-muirexx/ami-gui.c, gui-muirexx/ami-rexx.c,
	  od-amiga/ami-disk.c: Some fixes for the AmigaOS targets. Don't
	  translate AmigaOS paths to Unix paths (we don't use ixemul -
	  except on MorphOS where libnix is a bit lacking). Display
	  requesters on the process's default window.

2004-11-27 14:10  evi1rich

	* src/gfx-amigaos/ami-win.c: Fixed a bug in AmigaOS gfx target,
	  where keys would get "stuck" down when the UAE window loses
	  focus.

2004-11-27 14:05  evi1rich

	* src/gencpu.c: Merged fixed DIVS/DIVU flag handling for 68020+
	  from WinUAE 0.9.90.

2004-11-27 14:02  evi1rich

	* src/newcpu.c: Merged updated 68k exception handling code from
	  WinUAE 0.9.91.

2004-11-25 14:14  evi1rich

	* src/keybuf.c: Accept Right Alt as well as Right Ctrl for
	  firebutton in fake joystick emulation layout 2. Some keyboards,
	  e.g. Amiga keyboards and some laptops, don't have a Right Ctrl
	  key.

2004-11-22 09:10  evi1rich

	* src/newcpu.c: Applied MOVEC fix from WinUAE 0.9.90: access to ISP
	  register is legal on the 68020.

2004-11-17 13:26  evi1rich

	* src/gui-gtk/: floppyfileentry.c, floppyfileentry.h: Improvements
	  to the Gtk+ floppy entry widget: use a (non-editable) entry
	  widget to display the floppy image name rather than a plain
	  label; fixed bugs in handling of paths; disable eject widget when
	  there's no image inserted to eject.

2004-11-17 13:21  evi1rich

	* src/gui-gtk/gtkui.c: In Gtk+ UI, disable floppy entry widgets for
	  drives that are disabled.

2004-11-15 21:22  evi1rich

	* src/gfx-sdl/sdlgfx.c: Removed some debugging statements
	  accidentally left in.

2004-11-15 19:49  evi1rich

	* src/gfx-sdl/sdlgfx.c: A bunch of bug fixes and tweaks for the SDL
	  gfx driver. Notably, fixed surface locking, so now that hardware
	  surfaces can be used for Amiga as well as P96 screens.

2004-11-15 19:42  evi1rich

	* src/picasso96.c: Fixed a bug in the P96 code: the on-screen
	  buffer wasn't being unlocked after flushing pixels.

2004-11-15 08:51  evi1rich

	* src/inputdevice.c: Don't open the floppy dialog for a drive if
	  that drives is not enabled.

2004-11-13 10:53  evi1rich

	* src/drawing.c: When flushing updates to the screen in block mode,
	  treat consecutive lines separated by a single line into a block.
	  This speeds up drawing with scanlines (where only every other
	  line on the screen is updated).

2004-11-12 16:46  evi1rich

	* src/disk.c: Disable support for floppy save images. This wasn't
	  working yet, anyway.

2004-11-12 16:32  evi1rich

	* src/zfile.c: Fixed some compiler warnings.

2004-11-12 11:38  evi1rich

	* src/gui-gtk/: floppyfileentry.c, floppyfileentry.h: In Gtk+ GUI,
	  remember last directory used for floppy dialog globally, not
	  indvidually per drive.

2004-11-12 11:18  evi1rich

	* configure.in, src/md-68k/m68k.h: Re-worked 68k optimized flag
	  handling and added configure support for building with optimized
	  flags on 68k targets.

2004-11-12 11:06  evi1rich

	* configure.in, src/Makefile.am, src/gencpu.c, src/sysconfig.h.in:
	  Added support for building with optimized flag handling on x86
	  and PPC targets.

2004-11-12 09:44  evi1rich

	* configure.in: Build on OS X/Darwin with the -mdynamic-no-pic
	  switch to turn off the generation of position-independent code
	  (which is - go figure - the default). We don't need it and
	  leaving it on leads to flabby and slow code (especially in the
	  CPU emulation).

2004-11-12 09:26  evi1rich

	* src/serial.c: When serial emulation is built with no back-end,
	  always claim that there is space in the serial buffer to send
	  data (when, actually, there isn't even a buffer!). This allows,
	  for example, Skidmarks to work.

2004-11-12 09:20  evi1rich

	* src/: custom.c, serial.c, include/serial.h: Merged serial port
	  emulation from WinUAE 0.9.91. I have not implemented any
	  back-ends for this yet, so this isn't actually very useful yet.
	  However, it may make software that tries to use the serial port
	  play nicer.

2004-11-04 08:53  evi1rich

	* configure.in: Build with big-endian IEEE fpu code on PowerPC
	  targets.

2004-11-04 08:45  evi1rich

	* src/: memory.c, gfx-amigaos/ami-win.c: Some more tweaks for
	  MorphOS from Morgoth.

2004-11-04 08:36  evi1rich

	* src/sd-amigaos/sound.c: Fix up AmigaOS sound driver for MorphOS.
	  Thanks to Morgoth again.

2004-11-04 08:02  evi1rich

	* src/caps/caps.c: Simplified conditional compilation of
	  AmigaOS-specific CAPS code.

2004-11-04 07:44  evi1rich

	* src/td-amigaos/thread.c: Fix AmigaOS thread support on MorphOS.
	  MorphOS needs to be explicitly told that a new thread use PPC
	  code (otherwise it defaults to 68k). Thanks to Marcin 'Morgoth'
	  Kurek for the pointer.

2004-11-04 07:02  evi1rich

	* src/md-ppc-gcc/m68k.h: Work-around for compiling the PPC
	  optimized flag handling code with GCC 2.95.

2004-10-30 11:02  evi1rich

	* src/: newcpu.c, include/newcpu.h: Some tidying up.

2004-10-30 11:01  evi1rich

	* src/: custom.c, drawing.c, main.c, include/custom.h,
	  include/drawing.h: On targets with OS_WITHOUT_MEMORY_MANAGEMENT
	  defined (e.g., AmigaOS-like targets) allocate the sprite
	  collision table spixels dynamically rather than statically at
	  load time. This shaves another 10 megs of the BSS size on
	  AmigaOS. Also cleaned up the handling of the sprite table
	  allocation, and added some checks.

2004-10-28 09:57  evi1rich

	* src/md-ppc-gcc/m68k.h: Reworked ppc-gcc CCR flags handling and
	  implemented optimized flag evaluation code.

2004-10-28 09:56  evi1rich

	* src/md-i386-gcc/m68k.h: Cleaned up and tweaked i386-gcc CCR flags
	  implementation and the optimized flag evaluation code.

2004-10-28 09:27  evi1rich

	* src/: memory.c, include/memory.h: Don't use memory baseaddr table
	  if not building JIT - it's not currently needed.

2004-10-28 09:03  evi1rich

	* src/: identify.c, include/identify.h: Fixed compiler warnings,
	  plus made the identify tables read-only.

2004-10-26 04:23  evi1rich

	* src/Makefile.am: Bugger! Build scripts still weren't running make
	  dist in src/od-macosx.  Really fixed now!

2004-10-26 01:34  tag E-UAE-0_8_27-RC2

2004-10-26 01:34  evi1rich

	* configure.in: Let's call this E-UAE 0.8.27-RC2.

2004-10-26 01:33  evi1rich

	* src/md-i386-gcc/support.c: Removed some debugging output that got
	  left in accidentally.

2004-10-26 00:39  evi1rich

	* src/gfx-sdl/sdlgfx.c: In the SDL gfx driver, don't use
	  SDL_WM_ToggleFullScreen. Always close existing window/screen and
	  open a new screen/window. This seems more robust and less prone
	  to the vagaries of X window managers.

2004-10-26 00:23  evi1rich

	* src/gui-gtk/gtkui.c: Check whether binary is running with SUID
	  bit and if so don't try and start Gtk+ GUI. This allows a binary
	  with Gtk+ GUI built in to work with SUID.

2004-10-26 00:21  evi1rich

	* src/main.c: Output version to log when starting. Could do with
	  outputting more info here to make debug logs easier to use.

2004-10-25 23:19  evi1rich

	* configure.in, src/od-macosx/Makefile.am: Glue for building
	  against SDL framework on OS X was not being included with the
	  distribution tarball. Fixed.

2004-10-25 22:26  evi1rich

	* src/: newcpu.c, compemu_support.c, gencomp.c, gencpu.c,
	  include/newcpu.h: Separated cputbl type into two structs: cputbl
	  and comptbl. This uses less memory and allows code to be
	  simplified in a couple of places. While we're at it, made the
	  tables based on these types read-only.

2004-10-25 22:09  evi1rich

	* src/ar.c: Turned off debugging output in Action Replay emulation.

2004-10-25 22:08  evi1rich

	* configure.in: Fixed typo in configure script.

2004-10-25 21:54  evi1rich

	* src/memory.c: Argh! I fixed the Kickstart emulation, but the
	  loading of Kick images broke.  Now both work again.

2004-10-25 21:36  evi1rich

	* src/memory.c: Kickstart replacement was broken. Fixed.

2004-10-25 20:23  evi1rich

	* src/drawing.c: Fixed a bug in the drawing initialization code.
	  This could cause a segfault when called before the screen had
	  been properly set up. Thanks to Paul Laycock for reporting the
	  bug.

2004-10-24 04:57  evi1rich

	* src/main.c: Merge with WinUAE 0.8.27 broke selecting 'Reset' in
	  Gtk+ GUI to start. This is the easy fix. A better idea would be
	  making the GUI fully aware of UAE's state and disabling the reset
	  button when UAE isn't running. I'll save that for later, though.

2004-10-19 03:02  evi1rich

	* configure.in: A configure fix for systems that cannot include
	  sys/mount.h without sys/param.h (e.g. NetBSD 2.0). Thanks to
	  Bernhard Moellemann for reporting this.

2004-10-18 23:16  evi1rich

	* src/od-amiga/memory.h: Now the sprite bug is fixed, go back to
	  compiling on OS4.0 with OS_WITHOUT_MEMORY_MANAGEMENT defined
	  (this knocks 10MB off the BSS size).

2004-10-18 23:14  evi1rich

	* src/custom.c: Fixed a bug that was breaking the low-memory build
	  of the sprite tables.

2004-10-18 23:13  evi1rich

	* src/keymap/keymap.c: Fixed a bug in the keymap code which could
	  cause a segfault at start-up.

2004-10-17 02:50  tag E-UAE-0_8_27-RC1

2004-10-17 02:50  evi1rich

	* src/gui-gtk/: chipsettypepanel.c, chipsettypepanel.h: Forgot to
	  check in some new files for Gtk+ UI. Fixed.

2004-10-17 02:23  evi1rich

	* configure.in: This is now E-UAE 0.8.27-RC1.

2004-10-17 02:12  evi1rich

	* README: Added sections about bsdsocket emulation and compiling
	  against SDL framework on OS X to README.

2004-10-17 02:11  evi1rich

	* configure.in: Added rudimentary configure support for building
	  Cocoa UI on OS X.

2004-10-15 01:56  evi1rich

	* src/md-ppc-gcc/exectasks.h: Adapted PPC stack magic code to
	  compile on other GCC versions other than Apple's.

2004-10-13 07:34  evi1rich

	* src/gui-gtk/gtkui.c: More clean-up in Gtk+ UI.

2004-10-13 05:58  evi1rich

	* src/gui-gtk/: Makefile.am, chipsetspeedpanel.c,
	  chipsetspeedpanel.h, floppyfileentry.c, gtkui.c, util.c, util.h:
	  Reworked chipset page in Gtk+ UI plus general tidying up and
	  removing of dead code.

2004-10-08 01:42  evi1rich

	* src/: fsusage.c, gfx-amigaos/ami-win.c, gui-muirexx/ami-rexx.c,
	  od-amiga/ami-disk.c: Some clean-ups for AmigaOS targets.

2004-10-08 00:51  evi1rich

	* src/sysconfig.h.in: Urgh! Actually it appears src/sysconfig.h.in
	  should be here, since aclocal doesn't want to generate if it's
	  missing.

2004-10-08 00:47  evi1rich

	* src/sysconfig.h.in: Removed src/sysconfig.h.in template from CVS.
	  It doesn't need to be here since it's automatically generated.

2004-10-08 00:34  evi1rich

	* configure.in, src/md-i386-gcc/support.c,
	  src/md-ppc-gcc/support.c: Added support for calibrating x86
	  processor clock on systems without alarm() or setitimer(). Also
	  added configure support for detecting alarm() and sync().

2004-10-08 00:22  evi1rich

	* configure.in: Added configure support for AROS target.

2004-10-08 00:21  evi1rich

	* Makefile.am: Fix for build scripts to include m4 directory when
	  automatically regenerating configure script.

2004-10-06 04:07  evi1rich

	* src/: bsdsocket-posix-new.c, bsdsocket-posix.c: Fix for both
	  bsdsocket emulation flavours: handle platforms that don't have
	  IPPROTO_IPIP and IPPROTO_TP when mapping sockopts. Thanks to
	  Fredrik Strandberg for reporting this problem.

2004-10-06 04:01  evi1rich

	* src/: gfx-sdl/rawkeys.c, gfx-sdl/sdlgfx.c, gfx-sdl/sdlgfx.h,
	  gfx-beos/be-Input.cpp, keymap/beos_rawkeys.c,
	  keymap/beos_rawkeys.h, keymap/keymap.c, keymap/keymap.h,
	  keymap/keymap_common.h, keymap/quartz_rawkeys.c,
	  keymap/quartz_rawkeys.h, keymap/x11pc_rawkeys.c,
	  keymap/x11pc_rawkeys.h: Began clean-up of support for raw key
	  mapping.

2004-10-04 21:10  evi1rich

	* src/custom.c: Applied a blitter timing fix from the Maestro, Toni
	  Wilen. This fixes graphics corruption in, for example, the Desert
	  Dream demo.

2004-10-04 21:08  evi1rich

	* src/newcpu.c: Fixed a segfault which occurred when dumping CPU
	  state after a panic.

2004-10-03 21:42  evi1rich

	* README: Added more information to README.

2004-10-03 21:37  evi1rich

	* src/: gfx-sdl/sdlkeys.c, gfx-x11/x11keys.c,
	  keymap/hotkeys_common.h: Added hotkey (F12+F) for Action Replay
	  freeze button to remaining gfx targets.

2004-10-03 21:30  evi1rich

	* src/gfx-amigaos/ami-win.c: Fixed a typo in the AmigaOS gfx driver
	  mouse grab code and added a hot-key combination for the Action
	  Replay freeze button.

2004-10-03 20:45  evi1rich

	* src/gfx-amigaos/ami-win.c: Added support for new OS4.0
	  WA_MouseLimits tag to mouse grab code in AmigaOS gfx driver to
	  limit the grabbed pointer to the inner window.

2004-09-28 22:09  evi1rich

	* src/gui-gtk/gtkui.c: Moved P96 memory settings widgets from gfx
	  page to memory page in Gtk+ UI.

2004-09-28 21:41  evi1rich

	* src/gui-gtk/gtkui.c: Fixed a bug which causing the Gtk+ GUI to
	  not cleanly close.

2004-09-28 04:14  evi1rich

	* configure.in, src/Makefile.am, src/ar.c: Added support for
	  building the Action Replay cartridge emulation.

2004-09-28 04:13  evi1rich

	* README: Some minor tweaks to the README.

2004-09-27 08:17  evi1rich

	* src/gfx-amigaos/ami-win.c: Added support for grabbing input focus
	  in AmigaOS gfx target when built for OS4.0.

2004-09-27 08:16  evi1rich

	* configure.in, src/Makefile.am: Some minor tidying up in the build
	  scripts.

2004-09-25 12:30  evi1rich

	* src/gfx-amigaos/ami-win.c: Improved host pointer hiding in
	  windowed mode for AmigaOS gfx target. As well as checking the
	  window bounds, also check whether the window is obscured by
	  another window at the pointer position.

2004-09-22 20:34  evi1rich

	* src/od-amiga/main.c: Fixed compiler warning (missing header
	  included).

2004-09-22 20:32  evi1rich

	* src/gfx-sdl/sdlgfx.c: Added some work-arounds for using the SDL
	  gfx driver on AmigaOS4.0. Hardware surfaces are problematic there
	  at the moment.

2004-09-22 20:29  evi1rich

	* src/include/sleep.h: Now that the culprit of the timing problems
	  on OS4.0 has been identified and it's not the timing code,
	  re-instate use of TimeDelay() for sleeping on OS4.0. Also, prefer
	  this to SDL_TimeDelay() when building against SDL (since the SDL
	  version busy-waits).

2004-09-22 20:26  evi1rich

	* src/od-amiga/memory.h: Don't define OS_WITHOUT_MEMORY_MANAGEMENT
	  for just now when building for AmigaOS4.0, because this (for same
	  reason yet to be fathomed) causes huge slow-downs with sprite
	  rendering (or possibly sprite-sprite collision detection) in real
	  CPU mode. Needs investigation...

2004-09-16 08:09  evi1rich

	* src/gfx-amigaos/ami-win.c: Replaced host mouse-pointer hiding
	  behaviour for AmigaOS gfx driver. Now it will completely blank
	  the pointer when using a custom screen or when the pointer is
	  inside the UAE window when running in a window. When the host
	  pointer is moved outside of the window, the default pointer image
	  will re-appear.  This cures the annoying and disorientating
	  "loss" of the pointer when running in windowed mode. The code add
	  needs tidying up, but that can wait until the AmigaOS gfx driver
	  itself is re-worked (after the next release).

2004-09-16 02:24  evi1rich

	* src/gfx-x11/xwin.c: Fixed a typo introduced in a recent change in
	  the X11 driver which was causing the UAE window not to be closed
	  (causing extra windows to be created when P96 was opened, on
	  resolution changes, etc...).

2004-09-15 08:04  evi1rich

	* src/gui-muirexx/ami-rexx.c: Fix up UAE side of MUIRexx GUI so
	  that it compiles when SDL graphics driver is used.

2004-09-13 11:48  evi1rich

	* src/filesys_unix.c: Fixed typo in conditional inclusion of
	  sys/statvfs.h was causing problems on FreeBSD (and probably
	  elsewhere). Thanks to Simon Dick for reporting the problem.

2004-09-10 22:11  evi1rich

	* src/gui-gtk/: floppyfileentry.c, floppyfileentry.h, gtkui.c:
	  Re-implemented a title string for the insert floppy file dialogs
	  in the Gtk+ GUI. This was another feature that Martin's re-write
	  didn't posses.

2004-09-10 00:18  evi1rich

	* src/gui-gtk/gtkui.c: Fixed a bug in the Gtk+ UI that was causing
	  boot priority value to be ignored when adding a new virtual
	  filesystem.

2004-09-09 22:19  evi1rich

	* src/gui-gtk/floppyfileentry.c: Fix for building Gtk+ UI with GCC
	  2.95.

2004-09-09 21:47  evi1rich

	* src/bsdsocket-posix.c: Fix for building on GCC-2.95.

2004-09-09 21:36  evi1rich

	* src/newcpu.c: Fixed the problem of UAE segfaulting when started
	  with more than 32MB of Z3 memory. This was because of the NATMEM
	  system failing to allocate a chunk this large and turning off
	  direct-memory access. The JIT, however, was not noticing this and
	  still trying to use direct-memory. Solution: force a re-check of
	  the JIT settings before starting the CPU emulation proper.

2004-09-09 02:02  evi1rich

	* src/gui-muirexx/UAEWB: Modified UAEWB start-up script for MUIRexx
	  GUI. Don't fail on errors and don't check for ixemul.library
	  (which isn't necessary with this version of UAE).

2004-09-09 01:59  evi1rich

	* src/gui-muirexx/ami-rexx.c: Updated VERSION ARexx command for
	  MUIRexx GUI to return current information.

2004-09-09 01:28  evi1rich

	* src/gfx-amigaos/ami-win.c: Started to sort out the mess that is
	  the AmigaOS graphics driver. Re-wrote the code to open UAE on a
	  custom screen, preferably using the best RTG screen-mode that is
	  available. Lots more work to do here, cleaning up, removing
	  duplicate code, etc.

2004-09-08 21:11  evi1rich

	* src/od-amiga/main.c: Don't set minimum stack when building on
	  OS4.0 yet because this appears to be broken in current clib2.
	  Need to check this...

2004-09-08 21:08  evi1rich

	* src/gui-muirexx/ami-rexx.c: Re-enabled FAKEJOYSTICK ARexx command
	  for MUIRexx GUI to stop it complaining. It's a no-op for now,
	  though.

2004-09-08 21:06  evi1rich

	* src/gfx-amigaos/ami-win.c: Re-enable frame counter in AmigaOS
	  graphics driver. This is used by the MUIRexx GUI to display the
	  FPS rate.

2004-09-08 20:40  evi1rich

	* src/gui-muirexx/: ami-gui.c, ami-rexx.c: Fix-up UAE-side of the
	  MUIRexx GUI. Now works on OS4.0 too.

2004-09-08 00:55  evi1rich

	* src/od-amiga/main.c: Support stack enlargement on AmigaOS 4
	  hosts.

2004-09-08 00:55  evi1rich

	* src/Makefile.am: Add new bsdsocket emulation
	  bsdsocket-posix-new.c to the distribution tarball.

2004-09-07 23:37  evi1rich

	* src/compemu_support.c: More tidying up of log messages.

2004-09-07 23:01  evi1rich

	* src/: od-amiga/main.c, targets/t-amiga.h: Added AmigaOS-specific
	  logging calls which don't log to stderr when UAE is launched from
	  WB.

2004-09-07 22:59  evi1rich

	* src/compemu_fpp.c: Implemented flush_log() call.

2004-09-07 22:58  evi1rich

	* src/: compemu_raw_x86.c, fpp.c, sleep.c, writelog.c,
	  include/sysdeps.h, md-i386-gcc/support.c, md-ppc-gcc/support.c,
	  targets/t-beos.h, targets/t-unix.h: Implemented flush_log() call,
	  plus some random tidying up of log messages.

2004-09-07 16:16  evi1rich

	* src/: cfgfile.c, targets/t-amiga.h, targets/t-beos.h,
	  targets/t-unix.h: Allow target-specific default paths (floppy
	  path, rom path, etc) and support substitution of '~' for home
	  directory in these paths. AmigaOS target now defaults to paths
	  'roms', 'floppies' and 'hardfiles' relative to PROGDIR:, others
	  default to home directory for now.

2004-09-07 16:09  evi1rich

	* src/gui-gtk/gtkui.c: Use PACKAGE_NAME macro for window and dialog
	  title, etc. rather than hard coding these as "UAE".

2004-09-07 16:06  evi1rich

	* configure.in: Let's call this E-UAE, since that's what
	  everybody's calling it anyway.

2004-09-07 16:05  evi1rich

	* src/: main.c, gfx-amigaos/ami-win.c, gfx-beos/be-Window.cpp,
	  gfx-sdl/sdlgfx.c, gfx-x11/xwin.c: Use PACKAGE_NAME macro for
	  window and dialog titles, etc. rather than hard-coding them as
	  "UAE".

2004-09-07 15:47  evi1rich

	* src/memory.c: Tried to make failure to load a Kickstart image
	  more robust and predictable.	Only use Kickstart emulation, if no
	  image is specified - not simply if an image fails to load. Also,
	  if decoding of encrypted images or the check-summing of an image
	  fails, then fail and restart UAE with GUI - don't try and
	  continue with a non-functional Kickstart image.

2004-09-07 15:38  evi1rich

	* src/newcpu.c: Try to restart UAE after putting up the "Kickstart
	  requires a 68020" requester.

2004-09-07 11:22  evi1rich

	* src/Makefile.am: Clean-up of main makefile. Should now behave
	  better under parallel make, but still doesn't scale well. Need a
	  better approach.

2004-09-07 09:34  evi1rich

	* README: Updated README file.

2004-09-07 09:22  evi1rich

	* src/ersatz.c: If Kickstart emulation fails, allow UAE to restart
	  rather than abort (changes merged from WiUAE 0.9.90).

2004-09-07 09:11  evi1rich

	* src/: main.c, gui-cocoa/cocoaui.m, gui-none/nogui.c,
	  gui-beos/gui.cpp: Fixes for re-starting UAE. If a restart is
	  called with an attempt to force the config GUI to open (e.g., due
	  to some fatal config problem) and we cannot display a config GUI
	  (perhaps because we don't have one) then simply exit.

2004-09-07 09:07  evi1rich

	* src/memory.c: Using a host Kickstart ROM on AmigaOS broke with
	  the WinUAE 0.8.27 merge.  Fixed. Also, when loading a Kickstart
	  image file, don't try alternative hard-coded locations. This
	  isn't the place to do this.

2004-09-07 09:03  evi1rich

	* src/gui-gtk/gtkui.c: Fixes for starting and tearing-down the Gtk+
	  GUI. Now works when UAE proper is restarted.

2004-09-07 08:49  evi1rich

	* src/disk.c: Fix for restarting the floppy emulation.

2004-09-07 08:48  evi1rich

	* src/: gfx-sdl/sdlgfx.c, gfx-x11/xwin.c: Fixes for restarting the
	  X11 and SDL graphics drivers.

2004-09-07 08:46  evi1rich

	* src/: md-i386-gcc/support.c, md-ppc-gcc/support.c: On x86 and PPC
	  machines, don't re-do the timing tests when restarting UAE.

2004-09-07 08:43  evi1rich

	* src/include/sleep.h: Using TimeDelay() for sleeping on AmigaOS 4
	  has unpredictable results it seems. Go back to using Delay() for
	  now, until I implement a better solution.

2004-09-06 05:18  evi1rich

	* src/memory.c: Fixed a bug introduced with the WinUAE 0.8.27 merge
	  that was stopping the Kickstart emulation working.

2004-09-04 03:06  evi1rich

	* configure.in, src/Makefile.am: Added automake support for cocoa
	  GUI (configure support still to come). Also started to tidy up
	  configure script. Attempted to stop results from individual tests
	  polluting each other. This solves the problem building against
	  libscg and the SDL framework on OS X. It'll also probably make
	  configuring slightly faster on slow machines. Much more work top
	  be done here...

2004-08-28 11:42  evi1rich

	* src/gui-cocoa/: Makefile.am, cocoaui.m: Added the beginnings of
	  Cocoa GUI for OS X from Steven Saunders. Just disk swapping and
	  alert dialogs for now, but it's a good start! Configure support
	  still to do.

2004-08-28 11:31  evi1rich

	* configure.in, m4/as-objc.m4: Added configure support for
	  detecting Objective C compiler (borrowing an m4 script from the
	  GStreamer project).

2004-08-28 11:22  evi1rich

	* src/filesys.c: Another go at fixing the datestamp issue with the
	  virtual filesystem. The previous attempt wasn't taking account of
	  DST when convert to an Amiga time to a host time. This is now
	  fixed. We still need a more portable way of doing these
	  conversions, however.

2004-08-05 04:10  evi1rich

	* src/: compemu_support.c, od-beos/Makefile.am, od-beos/memory.c,
	  od-generic/Makefile.am, od-generic/memory.c,
	  od-linux/Makefile.am, od-linux/memory.c: Split out JIT cache
	  allocation from core code and add platform-specific
	  implementations.

2004-08-05 03:58  evi1rich

	* src/compemu_support.c: Typo in previous fix broken JIT natmem
	  translation. Fixed.

2004-08-05 01:59  evi1rich

	* src/gencpu.c: Removed some more obsolete code.

2004-08-04 17:13  evi1rich

	* src/blkdev.c: Rename ioctl global back to have_ioctl to avoid
	  conflict on BeOS. This got broken when merging with WinUAE
	  0.8.27.

2004-08-04 17:03  evi1rich

	* src/compemu_support.c: Merging with WinUAE 0.8.27 broke JIT when
	  built without natmem translation.  Trivial fix.

2004-08-04 14:43  evi1rich

	* src/targets/t-unix.h: On OS X, default config file name should be
	  "default.uaerc" since dot files don't show up in Finder. (I
	  previously did this by defining OPTIONSFILENAME when configuring
	  on OS X, but this is now done automagically.)

2004-08-04 14:08  evi1rich

	* src/gui-muirexx/ami-gui.c: Fixes for MUIRexx GUI interface so
	  that it can be used with the SDL gfx target.

2004-08-04 14:06  evi1rich

	* src/include/picasso96.h: Fix for building P96 emulation on an
	  AmigaOS target.

2004-08-04 14:05  evi1rich

	* src/picasso96.c: Fix for PPC inline assembly code so that it'll
	  compile with GCC on OS X and elsewhere. Ugh!

2004-08-04 02:19  evi1rich

	* src/: blkdev-libscg.c, cfgfile.c, include/options.h: Added
	  scsi_device config file option which specifies the name of the
	  SCSI device or SCSI bus to use with the SCSI emulation. This is
	  currently supported by the libscg back-end and will be passed
	  verbatim to libscg. The UAE_SCSI_DEVICE env variable is still
	  supported and will override the scsi_device option if present.
	  Example usage: set to 'ATAPI' to use the Linux-2.6 ATA packet
	  interface; set to 'IOCompactDiscServices/0' to use the first
	  CD-ROM drive on OS X.

2004-08-04 01:16  evi1rich

	* configure.in: Let's call this 0.8.27 now.

2004-08-04 01:02  evi1rich

	* src/sd-sdl/sound.c: Applied fix for 8-bit SDL sound from Heikki
	  Orsila.

2004-08-04 00:49  evi1rich

	* src/od-amiga/main.c: Add support for SDL in AmigaOS target.

2004-08-04 00:43  evi1rich

	* src/gui-gtk/cputypepanel.c: Added support for selecting 68060
	  processor in GTK+ GUI.

2004-08-04 00:28  evi1rich

	* src/memory.c: Only use host Kickstart ROM on 'classic' AmigaOS -
	  not OS4.0 or MorphOS.

2004-08-04 00:03  evi1rich

	* src/gfx-sdl/sdlgfx.c: Debug-logging of key-presses was
	  accidentally left in. Fixed.

2004-08-03 23:39  evi1rich

	* src/: blkdev.c, bsdsocket-posix.c, bsdsocket.c, compemu_fpp.c,
	  compemu_raw_x86.c, compemu_support.c, gencomp.c, gencpu.c,
	  hardfile.c, inputdevice.c, inputevents.def, keybuf.c, missing.c,
	  newcpu.c, savestate.c, scsiemul.c, uaelib.c, unzip.c, zfile.c,
	  gfx-amigaos/ami-win.c, gfx-beos/be-Input.cpp, gfx-sdl/sdlgfx.c,
	  gfx-sdl/sdlkeys.c, gfx-x11/x11keys.c, gfx-x11/xwin.c,
	  include/bsdsocket.h, include/cpu_prefetch.h, include/events.h,
	  include/gfxfilter.h, include/keyboard.h, include/newcpu.h,
	  include/unzip.h, include/xwin.h, include/zfile.h,
	  keymap/hotkeys_common.h: Final sync with WinUAE 0.8.27 plus some
	  tidying up.

2004-08-03 23:31  evi1rich

	* src/main.c: Added support for scsilog command-line parameter
	  which enables - surprise, surprise - debug logging for the SCSI
	  emulation.

2004-08-03 21:15  evi1rich

	* src/debug.c: Debuffer memory access routines need to have
	  REGPARAM2 attribute. Fixed.

2004-08-03 15:18  evi1rich

	* src/newcpu.c: Fixed broken interrupt-handling. The new interrupt
	  code was not servicing interrupts when built without JIT support.

2004-08-03 15:13  evi1rich

	* src/: custom.c, newcpu.c, include/newcpu.h: Merged new interrupt
	  handling code from WinUAE 0.8.27.

2004-08-03 13:47  evi1rich

	* src/: gfx-sdl/rawkeys.c, gfx-sdl/sdlgfx.c, gfx-sdl/sdlgfx.h,
	  keymap/Makefile.am, keymap/keymap.c, keymap/keymap.h,
	  keymap/quartz_rawkeys.c, keymap/quartz_rawkeys.h,
	  keymap/x11pc_rawkeys.c, keymap/x11pc_rawkeys.h: Add modifier_hack
	  support to SDL gfx driver (and to the keymap layer). Also laid
	  some groundwork for eventually tidying up keymap layer.

2004-08-03 13:04  evi1rich

	* src/keymap/: quartz_rawkeys.c, quartz_rawkeys.h: Fix up Quartz
	  raw key handling.

2004-08-01 10:30  evi1rich

	* configure.in, src/filesys.c, src/sysconfig.h.in: Back out option
	  of using the SYSV global timezone for computing local date-stamps
	  on files in the virtual filesystem. The timezone global gives
	  only the offset to UTC from the primary timezone (it doesn't
	  account for DST), plus configure support was broken on *BSD
	  anyway (where there's a timezone() function).

2004-08-01 10:27  evi1rich

	* src/: akiko.c, cia.c: Fixed broken usage of REGPARAM macro.

2004-08-01 10:23  evi1rich

	* src/include/sysdeps.h: Fix for using REGPARAM macro on GCC 3.4.x.

2004-07-31 22:11  evi1rich

	* m4/ac_var_timezone_externals.m4: Forgot to check in
	  ac_var_timezone_externals.m4 file. This is required for configure
	  support for the timzone fix in the virtual filesystem.

2004-07-31 02:07  evi1rich

	* src/: custom.c, include/custom.h: Sync with WinUAE 0.8.27.

2004-07-31 01:37  evi1rich

	* src/: blitter.c, custom.c, include/blitter.h: Sync with WinUAE
	  0.8.27.

2004-07-31 01:16  evi1rich

	* src/: custom.c, picasso96.c, include/picasso96.h: Sync with
	  WinUAE 0.8.27.

2004-07-31 00:58  evi1rich

	* src/: memory.c, gui-muirexx/ami-rexx.c, include/autoconf.h,
	  include/blkdev.h, include/memory.h, include/newcpu.h,
	  include/savestate.h, include/scsidev.h, include/sysdeps.h: Sync
	  with WinUAE 0.8.27.

2004-07-31 00:25  evi1rich

	* src/: drawing.c, include/drawing.h: Sync with WinUAE 0.8.27.

2004-07-30 23:52  evi1rich

	* src/: ar.c, compemu_fpp.c, driveclick.c, expansion.c,
	  filesys.asm, fpp.c, inputdevice.c, include/inputdevice.h,
	  include/keybuf.h: Synced with WinUAE 0.8.27.

2004-07-30 21:39  evi1rich

	* src/: audio.c, debug.c, identify.c, include/debug.h,
	  include/identify.h: Sync with WinUAE 0.8.27.

2004-07-30 21:02  evi1rich

	* configure.in, src/filesys.c, src/sysconfig.h.in: Fix for
	  date-stamps on files in the virtual filesystem on Unix systems.
	  When the local timezone was not UTC, the date-stamp on files was
	  not being converted to the local timezone. This fix may need to
	  be applied elsewhere.  I need to verify which systems return a
	  local date-stamp when stat()ing a file.

2004-07-30 20:58  evi1rich

	* src/gui-gtk/: cpuspeedpanel.c, gtkui.c: In Gtk+ GUI, handle
	  change of Dont busy wait widget with a separate signal.  This
	  fixes problem with this widget being incorrectly initialized.

2004-07-30 15:31  evi1rich

	* src/: filesys.c, hardfile.c, include/filesys.h: Applied a patch
	  from Toni Wilen which implements the TD_GETGEOMETRY command for
	  hardfiles (and cleans up some other bits and pieces). This fixes
	  support for using the latest versions of SmartFilesystem with
	  hardfiles.

2004-07-28 23:48  evi1rich

	* src/cia.c: Applied patch from Toni Wilen which should fix
	  problems with clock synchronization.

2004-07-28 21:21  evi1rich

	* src/caps/caps.c: Added support for using the m68k-amigaos CAPS
	  plug-in on OS4.0. At the moment I have integrated the emulator
	  stubs for calling the CAPS routines into UAE. These should really
	  be in a stand-alone shared library (and thus transparent to UAE),
	  but I haven't been able to get that to work so far.

2004-07-28 21:02  evi1rich

	* src/sd-amigaos/sound.c: Clear linkio when shutting down AmigaOS
	  sound driver. Fixes problems when restarting the audio system
	  (e.g. after a config change).

2004-07-12 13:10  evi1rich

	* src/gui-gtk/gtkui.c: New cfgfile API broke saving config files.
	  Fixed (although it doesn't yet support the separate host and VM
	  configs).

2004-07-12 13:08  evi1rich

	* src/: cfgfile.c, filesys.c, main.c, include/filesys.h,
	  include/options.h: Sync with WinUAE 0.8.27.

2004-06-27 23:56  evi1rich

	* src/: main.c, od-amiga/main.c, od-amiga/support.c,
	  targets/t-amiga.h: Removed osdep_init() hack in main.c. It was
	  only used to set up timer.device on 68k Amigas. This is now
	  implemented from od-amiga/main.c.

2004-06-27 23:10  evi1rich

	* amiga/source/bsdsocket.e, src/bsdsocket-posix.c: Another attempty
	  to get the old bsdsocket code to work.  1) Took out the abort
	  lock. Didn't work here either.  2) Merged some of Jeff's code
	  from the new bsdsocket handler for mapping socket options and
	  errnos.  3) Implemented new setsocketopt based on the Jeff's
	  code.  4) Tidied up WaitSelect().  5) Fixed amiga-side of
	  WaitSelect(). When the select returns positive, we must return no
	  signals.

	  Hey. AmTelnet now works. :-)

2004-06-27 22:03  evi1rich

	* src/: bsdsocket-posix-new.c, bsdsocket.c, include/bsdsocket.h:
	  Merged latest bsdsocket-new patch from Jeff Shepherd. In Jeff's
	  words: 1> Mostly debug lines. They help me debug problems 2>
	  Fixed a bug in host_gethostbynameaddr where the addrtype wasn't
	  being passed to the socket thread.  3> Implemented
	  getprotobynumber by splitting the common code out of
	  getprotobyname.  4> Close all the open sockets when the library
	  closes.  5> Don't call shutdown on any socket unless explicitly
	  asked to. If you shutdown a socket waiting for accept, any socket
	  that was dup'ed from that socket will now fail their accept calls
	  with EINVAL as the errno.  6> Fixed a bug in getsockopt.  7>
	  Implemented SetDTableSize.  8> Implemented locksigqueue,
	  unlocksigqueue things.

2004-06-25 03:08  evi1rich

	* configure.in: Added configure support for building FDI support
	  with the config option --enable-fdi (now that FDI is a
	  compile-time option). It is enabled by default.

2004-06-25 03:05  evi1rich

	* src/: fdi2raw.c, include/fdi2raw.h: Sync with WinUAE 0.8.27.

2004-06-25 01:07  evi1rich

	* src/include/sleep.h: Added trivial implementation of uae_msleep()
	  for AmigaOS using the amiga.lib TimeDelay() fn. Why didn't I
	  think of that before?

2004-06-25 01:01  evi1rich

	* src/gfx-amigaos/ami-win.c: Fixed gfx-amigaos implementation of
	  flush_clear_screen(). It now properly clears based on the window
	  size, rather than the size of the UAE display area. Also, when
	  opening a user screen and the UAE display area is smaller than
	  the screen, centre the display on the screen.

2004-06-20 03:52  evi1rich

	* src/gfx-beos/be-UAE.cpp: Removed duplicate debuggable and
	  mousehack fns from BeOS graphics driver.

2004-06-20 03:29  evi1rich

	* configure.in, src/gfx-beos/be-UAE.cpp, src/od-beos/main.cpp,
	  src/gfx-beos/be-UAE.h, src/gfx-beos/be-Window.cpp,
	  src/gfx-beos/be-Window.h, src/gfx-beos/beos.cpp: A first cut at
	  getting Axel's BeOS graphcis driver to work, adapting to the
	  changes since 0.8.17. No P96 as yet, and lots of work to do.

2004-06-20 02:58  evi1rich

	* src/gfx-beos/: be-Input.cpp, be-Input.h: Adapt BeOS gfx driver to
	  new current input API and remove joystick code (which is now
	  handled by a separate joystick driver).

2004-06-20 02:45  evi1rich

	* src/gfx-beos/: Makefile.am, be-Input.cpp, be-Input.h, be-UAE.cpp,
	  be-UAE.h, be-Window.cpp, be-Window.h: Added Axel's BeOS graphics
	  driver from BeUAE (Note this doesn't work yet).

2004-06-20 02:41  evi1rich

	* src/md-generic/exectasks.h: Fixed typo in dummy generic stack
	  magic stuff. Thanks to Uwe Pannecke for spotting this.

2004-06-20 02:39  evi1rich

	* src/jd-beos/joystick.cpp: Added missing
	  get_joystick_widget_type() function to BeOS joystick driver.

2004-06-20 02:26  evi1rich

	* configure.in: Config script wasn't exporting $JOYLIBS to
	  Makefiles. Fixes building of BeOS joystick driver.

2004-06-16 12:01  evi1rich

	* src/bsdsocket-posix-new.c: A stray character crept into the code.
	  Fixed.

2004-06-16 11:13  evi1rich

	* src/bsdsocket-posix-new.c: Merged some more of Jeff's work on the
	  new bsdsocket code. This adds null pointer checks to the
	  copysockaddr_x functions and fixes a problem when copying the
	  sockaddr when doing a recvfrom.

2004-06-16 03:35  evi1rich

	* src/bsdsocket-posix-new.c: Fixed breakage on GCC-2.95 in new
	  bsdsocket code.

2004-06-16 03:31  evi1rich

	* src/bsdsocket-posix-new.c: Applied patch from Jeff Shepherd to
	  tidy up the handling of the select abort mechanism in the new
	  bsdsocket code.

2004-06-16 03:05  evi1rich

	* src/bsdsocket-posix-new.c: Applied patch from Jeff Shepherd which
	  adds supports for a whole raft of extra socket options to the new
	  bsdsocket code.

2004-06-16 02:29  evi1rich

	* src/bsdsocket-posix-new.c: Applied patch from Jeff Shepherd which
	  fixes problems in the emulation of blocking socket calls in the
	  new bsdsocket code. This is similar to what I did in the old
	  code, but implemented slightly differently. Don't select on read
	  for recv and accept calls and don't select on write for send and
	  connect calls. This speeds things up and cures bogus accepts,
	  etc.

2004-06-16 02:14  evi1rich

	* src/bsdsocket-posix-new.c: I've finally cracked the WaitSelect
	  problem in the new bsdsocket code - I think. When doing the wait
	  on the 68k side, multiple signals can arrive at the same time.
	  The trick seems to be if both the signal we're WaitSelecting on
	  and a signal that the sockets we're selecting on arrive at the
	  same time - then use this as a sign the thread has done the
	  select and don't bother waiting for it to finish. Fingers crossed
	  -  this seems to cure all the deadlock problems (and no
	  semaphores required ;-).

2004-06-16 00:45  evi1rich

	* src/: bsdsocket-posix-new.c, include/bsdsocket.h: Removed the
	  abort lock from the new bsdsocket code. It was causing more
	  problems than it was solving.

2004-06-15 22:14  evi1rich

	* src/bsdsocket-posix-new.c: Applied a patch from Jeff Shepherd
	  which fixes a bug in dup2socket in the new bsdsocket code.

2004-06-15 22:01  evi1rich

	* src/bsdsocket-posix-new.c: Fixed a race condition in the new
	  bsdsocket code when asking a socket thread to quit.

2004-06-15 19:04  evi1rich

	* configure.in: Forgot to add src/gui-beos as a configure target.
	  Fixed.

2004-06-15 14:13  evi1rich

	* src/Makefile.am, configure.in, src/od-beos/Makefile.am,
	  src/od-beos/beos.cpp, src/od-beos/gfx.h, src/od-beos/gui.cpp,
	  src/od-beos/sound.cpp, src/od-beos/sound.h,
	  src/gfx-beos/Makefile.am, src/gfx-beos/beos.cpp,
	  src/gfx-beos/gfx.h, src/gui-beos/Makefile.am,
	  src/gui-beos/gui.cpp, src/sd-beos/Makefile.am,
	  src/sd-beos/sound.cpp, src/sd-beos/sound.h: Move graphics, gui
	  and sound drivers for BeOS to separate directories.

2004-06-15 12:48  evi1rich

	* configure.in, src/Makefile.am, src/td-beos/Makefile.am,
	  src/td-beos/thread.c, src/td-beos/thread.h: Added native BeOS
	  thread layer based on Axel's BeUAE implementation.

2004-06-14 23:14  evi1rich

	* configure.in: Fixed typos that were stopping the new bsdsocket
	  emulation from being configured.

2004-06-14 22:21  evi1rich

	* src/gui-gtk/gtkui.c: Forgot to turn off debugging in last GTK+
	  change.

2004-06-14 21:20  evi1rich

	* src/debug.c: Made activate_debugger() obey the target's
	  debuggable() function, so that UAE won't try and start the
	  debugger on systems that don't support it. Also, made
	  activate_debugger() try to switch gfx mode from full-screen to
	  windowed if necessary and possible. This solves the problem where
	  the user could be locked out if the gfx mode is non-cooperative
	  and the debugger is started.

2004-06-14 16:14  evi1rich

	* src/gui-gtk/: gtkui.c, led.c: Fixed some bugs in the GTK+ UI.
	  Don't try and redraw the LED widgets if they are not actually
	  drawable - i.e. mapped and visible.

2004-06-14 15:17  evi1rich

	* src/gui-gtk/gtkui.c: Fixed a bug with the GTK+ floppy dialogs.
	  The main GUI window must be instantiated before trying to display
	  a dialog - so check first.

2004-06-14 15:08  evi1rich

	* src/: inputdevice.c, inputevents.def, gfx-amigaos/ami-win.c,
	  gfx-sdl/sdlkeys.c, gfx-x11/x11keys.c, include/keyboard.h,
	  keymap/hotkeys_common.h: Added support for 3 more hot-key
	  functions to do a warm reset, cold reset and to start the
	  debugger.

2004-06-14 13:30  evi1rich

	* src/gui-gtk/: floppyfileentry.c, floppyfileentry.h, gtkui.c:
	  Allowed GTK+ floppy dialog to again be popped up with a hotkey
	  combination.	Martin's patch broke this.

2004-06-14 12:53  evi1rich

	* src/gui-gtk/floppyfileentry.c: GTK+ floppy dialogs now again
	  remember the last directory used. Martin's patch broke this.

2004-06-14 02:40  evi1rich

	* src/gfx-amigaos/ami-win.c: Cleaned up AmigaOS gfx driver,
	  re-enabled appwindow support and made the main window's close
	  gadget quit UAE rather than start the debugger (which was
	  completely non-intuitive).

2004-06-14 00:59  evi1rich

	* src/: fsusage.c, include/sleep.h, include/sysdeps.h,
	  jd-amigaos/joystick.c, md-ppc-gcc/support.c, od-amiga/ami-disk.c,
	  gfx-amigaos/ami-appw.c, gfx-amigaos/ami-win.c: Various trivial
	  fixes for building on AmigaOS 4.

2004-06-14 00:52  evi1rich

	* src/gui-muirexx/ami-gui.c: Fixed MUIRexx GUI and made it obey the
	  use_gui config option.

2004-06-14 00:50  evi1rich

	* src/sd-amigaos/sound.c: Fixed typo.

2004-06-13 21:42  evi1rich

	* src/gfx-amigaos/: ami-appw.c, ami-win.c: Merged AmigaOS 4 support
	  in AmigaOS gfx driver.

2004-06-13 21:33  evi1rich

	* configure.in, src/Makefile.am, src/gfx-amigaos/Makefile.am,
	  src/gfx-amigaos/ami-appw.c, src/gfx-amigaos/ami-win.c,
	  src/gfx-amigaos/gfx.h, src/od-amiga/Makefile.am,
	  src/od-amiga/UAEGUI.rexx, src/od-amiga/UAEWB,
	  src/od-amiga/UAEWB.aux, src/od-amiga/UAEWB.rexx,
	  src/od-amiga/ami-appw.c, src/od-amiga/ami-win.c,
	  src/od-amiga/gfx.h: Moved graphics driver for AmigaOS target to
	  src/gfx-amigaos.

2004-06-13 16:02  evi1rich

	* configure.in, src/enforcer.c: Enforcer emulation was horribly
	  broken. Fixed this and enabled support independent of JIT natmem
	  access. Fixed configure support for enforcer emulation.

2004-06-13 02:32  evi1rich

	* src/: disk.c, include/disk.h: Sync with WinUAE 0.8.27

2004-06-13 02:10  evi1rich

	* src/: disk.c, include/disk.h: Fixed remaining compiler warnings
	  in floppy emulation.

2004-06-13 02:07  evi1rich

	* src/: caps/caps.c, include/caps.h: Sync with WinUAE 0.8.27

2004-06-13 02:04  evi1rich

	* src/caps/caps.c: Fixed CAPS support for AmigaOS.

2004-06-12 20:58  evi1rich

	* configure.in: On OS X when linking against libscg also link
	  CoreFoudation framework. Fixes problem with newer versions of
	  libscg.

2004-06-12 16:06  evi1rich

	* src/gfx-sdl/sdlgfx.c: Added some optimizations to the SDL gfx
	  driver: 1. The driver now only tries to use a hardware surface if
	  at least    acclerated fills	are supported by the underlying
	  system and then only	  for P96  screens (native screens will
	  always be software screens).	2. When using SDL Fill and Blit
	  routines don't call SDL_UpdateRect to show	the changes on
	  screen. Just flags the modified rows of the display as    dirty
	  and  let them be updated in the normal way. This speeds up slow
	  systems enormously.	3. When using a hardware surface, don't
	  bother marking rows as invalid. It's	  not necessary.

2004-06-11 02:03  evi1rich

	* src/picasso96.c: Simplified and optimized the code in the
	  Picasso96 emulation that flushes writes to the P96 framebuffer to
	  the real screen.

2004-06-09 23:30  evi1rich

	* bootstrap.sh: Run aclocal in src/tools directory.

2004-06-09 15:29  evi1rich

	* src/gui-gtk/gtkui.c: Fixed the delete handler of the main window
	  in the GTK+ GUI to correctly return FALSE so that the window is
	  destroyed in response to a click on the close widget.

2004-06-08 22:31  evi1rich

	* src/blkdev-libscg.c: Fixed ATAPI detection in libscg SCSI driver
	  for platforms where scg_isatapi() is not implemented (e.g. OS X).
	  This makes audio CDs work under OS X. Thanks to Toni Wilen for
	  the atapi detection code.

2004-06-07 22:28  evi1rich

	* src/: gencpu.c, tools/configure.in: Added a bigendian
	  optimization to gencpu which causes the OS X versions of GCC to
	  produce better code from gencpu's output. The odd things is that
	  on all other big-endian systems I've tried it leads to worse
	  code. Thus it is only enabled when targetting OS X (or, rather,
	  powerpc-darwin).

2004-06-06 22:40  evi1rich

	* configure.in: Fixed typo in configuration of dummy joystick
	  driver.

2004-06-06 22:30  evi1rich

	* configure.in, src/td-posix/thread.c, src/td-posix/thread.h: Added
	  support for using named semaphores when building against
	  pthreads.  This fixes pthreads support on OS X (and presumably
	  Darwin). Hacked initial configure support for this - must add
	  proper configuration later.

2004-06-06 21:49  evi1rich

	* configure.in, src/Makefile.am, src/od-amiga/Makefile.am,
	  src/od-amiga/support.c, src/od-amiga/thread.h,
	  src/td-amigaos/Makefile.am, src/td-amigaos/thread.c,
	  src/td-amigaos/thread.h, src/td-none/Makefile.am,
	  src/td-none/thread.c, src/td-posix/Makefile.am,
	  src/td-posix/thread.c, src/td-sdl/Makefile.am,
	  src/td-sdl/thread.c: Reorganized threading layers in preparation
	  for some upcoming fixes and additions.

2004-06-06 15:58  evi1rich

	* src/jd-amigaos/joystick.c: Fixed compiler warning. Forgot to
	  mention that the AmigaOS joystick driver now builds on AmigaOS 4.

2004-06-06 15:48  evi1rich

	* configure.in, src/Makefile.am, src/od-amiga/Makefile.am,
	  src/od-amiga/joystick.c, src/od-beos/Makefile.am,
	  src/od-beos/joystick.cpp, src/od-generic/Makefile.am,
	  src/od-generic/joystick.c, src/jd-amigaos/Makefile.am,
	  src/jd-amigaos/joystick.c, src/jd-beos/Makefile.am,
	  src/jd-beos/joystick.cpp, src/jd-linuxold/Makefile.am,
	  src/jd-linuxold/joystick.c, src/jd-none/Makefile.am,
	  src/jd-none/joystick.c, src/od-linux/Makefile.am,
	  src/od-linux/joystick.c: Separatee joystick drivers from os
	  targets. Makes it easier to support multiple APIs on an OS
	  target.

2004-06-06 15:15  evi1rich

	* src/gui-muirexx/ami-gui.c: Added initial support for building on
	  AmigaOS 4 to MUIRexx GUI.

2004-06-06 15:08  evi1rich

	* configure.in, src/Makefile.am, src/od-amiga/Makefile.am,
	  src/od-amiga/ami-rexx.c, src/gui-muirexx/Makefile.am,
	  src/gui-muirexx/UAEGUI.rexx, src/gui-muirexx/UAEWB,
	  src/gui-muirexx/UAEWB.aux, src/gui-muirexx/UAEWB.rexx,
	  src/gui-muirexx/ami-gui.c, src/gui-muirexx/ami-rexx.c,
	  src/od-amiga/ami-gui.c: Separeted MUIRexx GUI code from core
	  AmigaOS support and placed in src/gui-muirexx. Added companion
	  Rexx scripts to CVS.

2004-06-06 14:22  evi1rich

	* src/gui-gtk/gtkui.c: Forget to check in GTK+ GUI changes for
	  disabling audio widgets when sound support is not present or
	  disabled.

2004-06-06 03:58  evi1rich

	* src/od-generic/Makefile.am: Forgot to update od-generic Makefile
	  template when moving dummy audio driver.

2004-06-06 03:54  evi1rich

	* configure.in, src/Makefile.am, src/audio.c,
	  src/od-generic/sound.c, src/od-generic/sound.h,
	  src/sd-none/Makefile.am, src/sd-none/sound.c,
	  src/sd-none/sound.h: Moved dummy sound ouput driver to
	  src/sd-none, added configure option --disable-audio to build with
	  dummy audio driver, disabled appropriate audio widgets in the
	  GTK+ UI when sound support is unavailable, and fixed warnings in
	  audio.c when building without sound support.

2004-06-06 00:10  evi1rich

	* src/od-amiga/ami-rexx.c: Tidy up ARexx support in AmigaOS target.
	  Don't build yet on AmigaOS 4.

2004-06-05 23:22  evi1rich

	* src/sd-amigaos/: sound.c, sound.h: Fixed sound support for
	  AmigaOS targets. Both AHI and audio.device sound output now work.

2004-06-05 22:51  evi1rich

	* src/sd-amigaos/: Makefile.am, sound.c, sound.h: Move sound
	  support for AmigaOS targets to directory src/sd-amigaos.

2004-06-05 22:49  evi1rich

	* configure.in, src/Makefile.am, src/od-amiga/Makefile.am,
	  src/od-amiga/sound.c, src/od-amiga/sound.h: Move sound support
	  for AmigaOS target to directory src/sd-amigaos and add configure
	  support for building with sound support on AmigaOS.

2004-06-05 20:36  evi1rich

	* src/audio.c: Fixed a couple of compiler warnings in audio.c.

2004-06-05 20:25  evi1rich

	* src/bsdsocket-posix.c: Fixed compiler warnings when building
	  without bsdsocket emulation enabled.

2004-06-05 20:24  evi1rich

	* configure.in: Fixed typos in bsdsocket section of configure
	  script.

2004-06-05 14:29  evi1rich

	* src/include/sysdeps.h: Don't try and redefine STATIC_INLINE
	  macro.

2004-06-05 14:23  evi1rich

	* src/autoconf.c: Fixed autoconf code so that it will build without
	  stack magic again.

2004-06-04 03:04  evi1rich

	* src/picasso96.c: Fix for building on GCC 2.95.

2004-06-04 02:20  evi1rich

	* configure.in: Downgrade autoconf requirements to version 2.55 so
	  that'll it'll work on BeOS (autoconf 2.58 doesn't work on BeOS).
	  It'll complain about the AS_HELP_STRING macros, but it'll still
	  work (although the pretty-printing of confingure options won't
	  work). I'll fix this eventually...

2004-06-04 01:24  evi1rich

	* src/bsdsocket-posix.c: Started trying to tidy up the mess that is
	  the old bsdsocket emulation.

	  Also added an optimization when emulating a blocking socket using
	  select.  When blocking on a recv/recvfrom, we just put the
	  "blocked" socket in the read set for select; likewise, when
	  blocking on a send/sendto, just put the socket in the write set.

2004-06-03 03:55  evi1rich

	* configure.in: Fixed configure support for bsdsocket layer. Don't
	  build new bsdsocket layer unless explicity asked to, and only
	  build it on PPC and i386 archs.

2004-06-03 03:52  evi1rich

	* src/: td-posix/thread.h, td-sdl/thread.h: Add the
	  uae_thread_self() call back to the POSIX and SDL thread layers,
	  since it's currently need by the old bsdsocket implementation.
	  It's actually broken on SDL, but it works well enough for what we
	  want it to do.

2004-06-03 03:50  evi1rich

	* src/bsdsocket-posix.c: A bunch of fixes for the existing
	  bsdsocket emulation.

	  Aborting of selects in a socket thread now works. The existing
	  implementation, which relied on sending a kill signal to the
	  socket thread, has been replaced (since, depending on the
	  underlying thread layer, we can't always rely on that working).
	  Instead, we create an additional socket for communicating an
	  abort signal on - which the socket thread will monitor (in
	  addition to the network sockets its already monitoring). This
	  idea was shamelessly stolen from Jeff Shepherd's work - although
	  I use a socket here rather than a pipe - because select may not
	  work on pipes on all platforms (BeOS and AmigaOS spring to mind -
	  but the code will still need to be adapted to use local network
	  sockets rather than - as it does just now - unix sockets).

	  Also fixed memory leaks when using pthreads (or pthreads via SDL)
	  caused by threads being created as joinable by default and never
	  being joined with. We now join with a thread when it's given the
	  signal to shut down.

2004-06-02 23:04  evi1rich

	* src/: picasso96.c, md-ppc-gcc/exectasks.h: Fixed PPC inline
	  assembly to work on with the OS X build of GCC.

2004-06-02 10:16  evi1rich

	* src/: bsdsocket-posix-new.c, include/bsdsocket.h: Fixed
	  WaitSelect() in new bsdsocket emulation. AmFTP and other FTP
	  clients now mostly work.

2004-06-01 22:27  evi1rich

	* src/bsdsocket-posix-new.c: Don't use host IOCTL request codes for
	  FIOGETOWN and FIOSETOWN in IoctlSocket in new bsdsock emulation.
	  Amiga uses different codes.

2004-06-01 21:39  evi1rich

	* src/native2amiga.c: Add patch from Toni Wilen to protect
	  native2amiga calls with a semaphore.

2004-06-01 21:34  evi1rich

	* src/autoconf.c: Tidy up trap handling. A vain attempt to make
	  this stuff slightly more readable.

2004-06-01 21:29  evi1rich

	* src/: td-sdl/thread.h, td-posix/thread.h: Fix up problems
	  introduced with recent changes to SDL thread layer.

2004-06-01 14:37  evi1rich

	* src/drawing.c: Fixed compiler warning.

2004-06-01 11:45  evi1rich

	* src/sleep.c: Made busy-waiting sleep routine more robust.

2004-06-01 10:56  evi1rich

	* src/picasso96.c: Cleaned up P96 emulation.

2004-06-01 09:57  evi1rich

	* src/picasso96.c: Added work around for big-endian ARGB32
	  screenmodes in Picasso96 emulation.  There seems to be a bug in
	  P96 which causes colour guns to be swapped in P96's emulated
	  palette in big-endian ARGB32 modes. We work wround this by
	  reporting the mode as BGRA32 instead, and byte-swapping all
	  pixels when they are output to the display.

2004-06-01 09:10  evi1rich

	* configure.in: Added configure support for for new bsdsocket code
	  (with the option --enable-bsdsock-new).

2004-06-01 03:24  evi1rich

	* src/bsdsocket-posix-new.c: In the new bsdocket emulation layer,
	  we must join with the socket thread to allow it to die and clean
	  up it resources. When the underlying thread layer is pthreads, we
	  cannot always guarantee that threads are created as detached (for
	  example, SDL always creates joinable threads when using
	  pthreads), so if we don't join, the thread won't free it
	  resources, and we get massive memory leaks.

2004-06-01 03:07  evi1rich

	* src/: td-posix/thread.h, td-sdl/thread.h: Implemented
	  uae_wait_thread() for pthread and SDL targets. This waits for a
	  specified thread to die. Waiting for a thread to terminate (or
	  joining with a thread) allows that thread to clean up it
	  resources properly (at least when the underlying thread system is
	  pthreads).

2004-06-01 02:15  evi1rich

	* src/: bsdsocket-posix-new.c, bsdsocket.c, include/bsdsocket.h:
	  Merge Jeff Shepherd's work on the bsdsocket emulation which ports
	  the existing POSIX bsdsocket layer to be a back-end for
	  bsdsocket.c (and thus works like and share more code with the
	  WinUAE version). This still has lots of problems, is less
	  portable than the existing solution, and appears to be slower.
	  Hence, the previous version still remains. The new one is called
	  bsdsocket-posix-new.c, and will be enabled by the config option
	  --enable-bsdsock-new.

2004-05-31 23:30  evi1rich

	* src/: od-amiga/exectasks.h, od-beos/exectasks.h,
	  od-generic/exectasks.h, md-68k/Makefile.am, md-68k/exectasks.h,
	  md-generic/Makefile.am, md-generic/exectasks.h,
	  md-i386-gcc/Makefile.am, md-i386-gcc/exectasks.h,
	  md-ppc/Makefile.am, md-ppc/exectasks.h, md-ppc-gcc/Makefile.am,
	  md-ppc-gcc/exectasks.h, od-linux/exectasks.h: Implemented stack
	  magic for PPC hosts. Split up stack magic code and moved into
	  machine-dependent dirs.

2004-05-29 01:41  evi1rich

	* m4/: gtk-2.0.m4, gtk.m4, sdl.m4: Added m4 scripts for gtk, gtk2
	  and sdl to CVS so that autoconf/automake will work on platforms
	  without these.

2004-05-25 14:20  evi1rich

	* src/: blitter.c, custom.c, inputdevice.c, newcpu.c,
	  include/blitter.h, include/custom.h: Lots of clean up in the
	  custom chip emulation, particularly changing key state variables
	  to unsigned type where appropriate.

2004-05-22 15:29  evi1rich

	* src/gfx-x11/xwin.c: Fixed bug in X11 hotkey handling. Key-presses
	  which matched a hotkey sequence were still being passed through
	  to the emulation.

2004-05-22 15:17  evi1rich

	* src/misc.c: Fixed support for P96 refresh rate hack.

2004-05-21 17:24  evi1rich

	* src/gfx-sdl/sdlgfx.c: Don't ask for a hardware surface in the SDL
	  driver. Using a hardware surface simply because one is available
	  is rarely a good idea. We would need to work out when it is
	  actually beneficial to use a hardware surface - for instance, if
	  sufficient hardare acceleration support is available.

2004-05-21 17:18  evi1rich

	* src/md-ppc-gcc/m68k.h: Added a minor CPU Optimization for CPU
	  targets. The flag_struct bit-field was reorganized to allow the
	  generation of slightly better object code.

2004-05-21 15:42  evi1rich

	* amiga/: bsdsocket.library, mousehack, timehack, transdisk,
	  transrom, uae-control, uae-control.info, uae_rcli, uaectrl:
	  Removed Amiga binaries from CVS repository.

2004-05-21 15:27  evi1rich

	* src/gui-gtk/: floppyfileentry.c, floppyfileentry.h, gtkui.c:
	  Added support for floppy_path config option back to GTK+ GUI.
	  (Martin's new code did not support this).

2004-05-21 14:47  evi1rich

	* configure.in: Fixed configure.in dependency. Requires
	  autoconf-2.58 or better.

2004-05-21 14:46  evi1rich

	* bootstrap.sh: Fix bootstrap script to run autoconf in tools dir.

2004-05-21 14:45  evi1rich

	* Makefile.in, aclocal.m4, configure, src/tools/aclocal.m4,
	  src/tools/configure, src/caps/Makefile.in, src/dms/Makefile.in,
	  src/Makefile.in, src/gfx-curses/Makefile.in,
	  src/gfx-sdl/Makefile.in, src/gfx-svga/Makefile.in,
	  src/gfx-x11/Makefile.in, src/gui-gtk/Makefile.in,
	  src/gui-none/Makefile.in, src/jd-sdl/Makefile.in,
	  src/keymap/Makefile.in, src/md-68k/Makefile.in,
	  src/md-generic/Makefile.in, src/md-i386-gcc/Makefile.in,
	  src/md-ppc/Makefile.in, src/md-ppc-gcc/Makefile.in,
	  src/od-amiga/Makefile.in, src/od-beos/Makefile.in,
	  src/od-generic/Makefile.in, src/od-linux/Makefile.in,
	  src/sd-sdl/Makefile.in, src/sd-solaris/Makefile.in,
	  src/sd-uss/Makefile.in: Removed autoconf/automake output from CVS
	  repository.

2004-05-21 13:55  evi1rich

	* m4/uintmax_t.m4: Added missing autoconf macro dependencies.

2004-05-21 04:21  evi1rich

	* src/picasso96.c: Fixed a bug in BlitPlanar2Direct and did some
	  tidying up. It can't handle source bitmaps deeper than 8
	  bitplanes and it was failing to check for this case, causing the
	  stack to be overwritten and inevitably a crash. This bug showed
	  up, for example, with the v43 Installer.

2004-05-21 03:49  evi1rich

	* src/picasso96.c: Fix debug logging.

2004-05-21 03:47  evi1rich

	* src/picasso96.c: The previous fix for do_blit() was broken
	  because I neglected to take account of the fact that the source
	  and destination rectangles could overlap. I've now solved the
	  problem in a different and simpler way.  do_blit() now blits from
	  the P96 framebuffer to the screen, but since the blit has already
	  been performed in the framebuffer, the rectangle blitted to the
	  screen must be the updated rectangle - as specified by the
	  destination coordinates.

2004-05-19 17:11  evi1rich

	* src/gui-gtk/: floppyfileentry.c, floppyfileentry.h, gtkui.c: Did
	  some spring cleaning on the GTK+ GUI. Tidied up formatting of
	  code, fixed a whack of compiler warnings, and fixed GUI shut-down
	  bug.

2004-05-19 16:10  evi1rich

	* src/gui-gtk/gtkui.c: Fixed some casting bugs in Martin's patch.

2004-05-19 15:56  evi1rich

	* src/gui-gtk/: Makefile.am, Makefile.in, floppyfileentry.c,
	  floppyfileentry.h, gtkui.c, led.c, led.h: Applied patch from
	  Martion Garton to clean-up and modularize floppy image and LED
	  widgets in GTK+ GUI.

2004-05-19 15:47  evi1rich

	* src/gui-gtk/gtkui.c: Applied patch from Martin Garton to fix
	  64-bit support in the GTK+ GUI.

2004-05-19 15:11  evi1rich

	* src/: filesys.c, fsusage.c, hardfile.c, include/filesys.h: Fixed
	  compiler warnings in hard drive emulation.

2004-05-19 15:05  evi1rich

	* src/native2amiga.c: Removed unnecessary header dependencies from
	  native2amiga.c.

2004-05-19 14:50  evi1rich

	* src/debug.c: Fixed compiler warnings in debugger.

2004-05-19 14:38  evi1rich

	* src/cfgfile.c: Added support for reading and writing
	  <target>.cpu_idle= option from and to config files and fixed some
	  compiler warnings.

2004-05-19 14:32  evi1rich

	* src/gui-gtk/: cpuspeedpanel.c, gtkui.c: Fixed broken method for
	  setting idle-speed in GTK+ gui.

2004-05-19 13:30  evi1rich

	* src/bsdsocket-posix.c: Fixed bug in the tls replacement in the
	  POSIX bsdsocket emulation and cleaned up some compiler warnings.

2004-05-19 13:21  evi1rich

	* src/: inputdevice.c, include/gensound.h: Fix compiler warnings in
	  input device handler.

2004-05-19 11:37  evi1rich

	* src/picasso96.c: Fixed typo.

2004-05-19 02:21  evi1rich

	* src/picasso96.c: Fixed a blitting bug in the Picasso96 emulation.
	  When doing a screen-to-screen blit (for example when scrolling)
	  without acceleration by the underlying graphics system, the blit
	  would be first done in then the framebuffer, then on the display
	  buffer. In the case of a scroll operation, this in effect doubled
	  the operation - for example, causing double-line scrolls in the
	  shell console. The solution is, when doing s a screen-to-screen
	  blit, to do the screen buffer blit screen-to-screen - not from
	  the framebuffer.

2004-05-19 01:54  evi1rich

	* src/picasso96.c: Fix compiler warnings in Picasso96 emulation.

2004-05-19 01:43  evi1rich

	* src/fdi2raw.c: Fixed compiler warnings in FDI image handler.

2004-05-19 01:28  evi1rich

	* src/scsiemul.c: Fixed compiler warnings in SCSI emulation.

2004-05-19 01:25  evi1rich

	* src/: drawing.c, linetoscr.c: Fixed compiler warnings in drawing
	  code.

2004-05-19 01:18  evi1rich

	* src/gfx-x11/xwin.c: Fix X11 support for Picasso96 emulation on
	  big-endian displays.

2004-05-19 01:10  evi1rich

	* src/: autoconf.c, compemu_support.c, main.c: Don't include
	  obsolete compiler.h header.

2004-05-19 01:01  evi1rich

	* src/: compiler.c, include/compiler.h, include/events_jit.h,
	  include/events_normal.h: Removed obsolete files.

2004-05-19 00:56  evi1rich

	* src/gencpu.c: Fixed compiler warnings in code generated by
	  gencpu.

2004-05-19 00:38  evi1rich

	* src/: Makefile.am, Makefile.in, compiler.c, filesys.c, fpp.c,
	  fsdb.c, gencomp.c, gencpu.c, main.c, newcpu.c,
	  include/compiler.h, include/newcpu.h: Cleaned up and removed
	  obsolete code from the CPU emulation.

2004-05-18 23:44  evi1rich

	* src/events.c: Forgot to add new file events.c

2004-05-18 23:19  evi1rich

	* src/blkdev-libscg.c: Fixed SCSI emulation using libscg on
	  platforms which don't support SCSI bus scanning (e.g. OS X).
	  Still need to add ATAPI-detection code for OS X.

	  Print log message when libscg fails to open the bus.

	  General tidying up.

2004-05-18 22:23  evi1rich

	* configure, configure.in, src/compemu_support.c: Added a
	  compile-time option --enable-noflags which controls whether the
	  JIT no-flags opcode handlers are built, and fixed support for
	  using them.  Previously the noflags handlers were being built,
	  but not used. Now they are not built by default but can be with
	  this option. Enabling the no-flags support does not seem to offer
	  any performance gain, but increases build time.

2004-05-18 22:00  evi1rich

	* aclocal.m4, configure, src/Makefile.am, src/Makefile.in,
	  src/custom.c, src/newcpu.c, src/include/custom.h,
	  src/include/events.h, src/include/events_jit.h,
	  src/include/events_normal.h, src/include/newcpu.h: Tidied up
	  event handling. do_cycles() and friends are no longer inlined -
	  to reduce build time and size of compiled code. They are no in a
	  separate source file. Removed separate event headers for JIT and
	  non-JIT builds, and created a unified events header instead.

2004-05-18 20:20  tag UAE-0_8_25-20040302

2004-05-18 20:20  evi1rich

	* Makefile.in, README, bootstrap.sh, config.h, COPYING,
	  Makefile.am, configure, aclocal.m4, CHANGES, config.guess,
	  config.sub, configure.in, depcomp, install-sh, missing,
	  mkinstalldirs, amiga/mousehack, amiga/transdisk, amiga/transrom,
	  amiga/uae-control.info, amiga/uae_rcli, amiga/uaectrl,
	  m4/acx_pthread.m4, m4/check_zlib.m4, m4/fsusage.m4,
	  m4/uintmax_t.m4, amiga/bsdsocket.library, amiga/timehack,
	  amiga/uae-control, amiga/source/mhint.asm,
	  amiga/source/mousehack.c, amiga/source/transrom.c,
	  amiga/source/uae-control.c, amiga/source/uae-control.h,
	  amiga/source/uae_pragmas.h, amiga/source/Makefile.gcc,
	  amiga/source/timehack.c, amiga/source/transdisk.c,
	  amiga/source/uae_rcli.c, amiga/source/uaectrl.c,
	  amiga/source/bsdsocket.e, docs/COMPATIBILITY, docs/FAQ,
	  docs/NEWS, docs/CREDITS, docs/README, docs/README.PROGRAMMERS,
	  debian/README, debian/README.Debian, debian/changelog,
	  debian/compat, debian/control, debian/docs, debian/menu,
	  debian/postinst, debian/prerm, debian/rules, src/table68k,
	  src/Makefile.in, src/filesys.asm, src/filesys.sh,
	  src/inputevents.def, src/install_libscg, src/ChangeLog,
	  src/Makefile.am, src/missing.c, src/readdisk.c,
	  src/sysconfig.h.in, src/main.c, src/fpp.c, src/newcpu.c,
	  src/memory.c, src/custom.c, src/cia.c, src/serial.c,
	  src/autoconf.c, src/blitter.c, src/ersatz.c, src/expansion.c,
	  src/keybuf.c, src/zfile.c, src/cfgfile.c, src/picasso96.c,
	  src/gfxutil.c, src/inputdevice.c, src/gfxlib.c, src/audio.c,
	  src/drawing.c, src/native2amiga.c, src/identify.c, src/disk.c,
	  src/savestate.c, src/uaeexe.c, src/uaelib.c, src/unzip.c,
	  src/driveclick.c, src/fdi2raw.c, src/hotkeys.c, src/sleep.c,
	  src/enforcer.c, src/misc.c, src/readcpu.c, src/writelog.c,
	  src/bsdsocket-posix.c, src/bsdsocket.c, src/build68k.c,
	  src/catweasel.c, src/cdrom.c, src/compemu_fpp.c,
	  src/compemu_optimizer.c, src/compemu_optimizer_x86.c,
	  src/compemu_raw_x86.c, src/compemu_support.c, src/compiler.c,
	  src/cpuopti.c, src/debug.c, src/filesys.c, src/fsdb.c,
	  src/fsdb_unix.c, src/fsusage.c, src/genblitter.c, src/gencpu.c,
	  src/gengenblitter.c, src/genp2c.c, src/gencomp.c, src/hardfile.c,
	  src/hardfile_unix.c, src/linetoscr.c, src/scsi-none.c,
	  src/scsiemul.c, src/svgancui.c, src/tui.c, src/akiko.c,
	  src/akiko2.c, src/blkdev-libscg.c, src/filesys_unix.c, src/ar.c,
	  src/blkdev.c, src/blitops.c, src/include/akiko.h,
	  src/include/ar.h, src/include/audio.h, src/include/autoconf.h,
	  src/include/blitter.h, src/include/blkdev.h,
	  src/include/bsdsocket.h, src/include/catweasel.h,
	  src/include/cia.h, src/include/commpipe.h, src/include/compemu.h,
	  src/include/compiler.h, src/include/cpu_prefetch.h,
	  src/include/custom.h, src/include/debug.h, src/include/disk.h,
	  src/include/drawing.h, src/include/ersatz.h,
	  src/include/events.h, src/include/events_jit.h,
	  src/include/events_normal.h, src/include/execlib.h,
	  src/include/fdi2raw.h, src/include/filesys.h,
	  src/include/fpp-ieee-be.h, src/include/fpp-unknown.h,
	  src/include/fsdb.h, src/include/fsusage.h,
	  src/include/genblitter.h, src/include/gensound.h,
	  src/include/gui.h, src/include/identify.h,
	  src/include/inputdevice.h, src/include/joystick.h,
	  src/include/keyboard.h, src/include/keybuf.h,
	  src/include/mackbd.h, src/include/memory.h,
	  src/include/native2amiga.h, src/include/newcpu.h,
	  src/include/noflags.h, src/include/options.h,
	  src/include/osemu.h, src/include/picasso96.h,
	  src/include/readcpu.h, src/include/savestate.h,
	  src/include/scsidev.h, src/include/serial.h, src/include/sleep.h,
	  src/include/caps.h, src/include/driveclick.h,
	  src/include/enforcer.h, src/include/gfxfilter.h,
	  src/include/hotkeys.h, src/include/sysdeps.h, src/include/tui.h,
	  src/include/uae.h, src/include/uaeexe.h, src/include/unzip.h,
	  src/include/xwin.h, src/include/zfile.h, src/targets/t-amiga.h,
	  src/targets/t-beos.h, src/targets/t-macos.h,
	  src/targets/t-unix.h, src/td-none/thread.h,
	  src/td-posix/thread.h, src/td-sdl/thread.h,
	  src/tools/configure.in, src/md-generic/m68k.h,
	  src/md-generic/maccess.h, src/md-generic/rpt.h,
	  src/tools/Makefile.in, src/tools/aclocal.m4, src/tools/configure,
	  src/tools/sysconfig.h.in, src/tools/target.h,
	  src/md-68k/Makefile.am, src/md-68k/Makefile.in,
	  src/md-68k/cpuopti, src/md-68k/m68k.h, src/md-68k/maccess.h,
	  src/md-68k/rpt.h, src/md-68k/support.c,
	  src/md-generic/Makefile.am, src/md-generic/Makefile.in,
	  src/md-generic/support.c, src/md-i386-gcc/Makefile.am,
	  src/md-i386-gcc/Makefile.in, src/md-i386-gcc/X86.S,
	  src/md-i386-gcc/m68k.h, src/md-i386-gcc/maccess.h,
	  src/md-i386-gcc/rpt.h, src/md-i386-gcc/support.c,
	  src/md-ppc/m68k.h, src/md-ppc/maccess.h, src/md-ppc/rpt.h,
	  src/gfx-x11/Makefile.am, src/gfx-x11/Makefile.in,
	  src/gfx-x11/gfx.h, src/gfx-x11/xwin.c, src/md-ppc/Makefile.am,
	  src/md-ppc/Makefile.in, src/md-ppc/support.c,
	  src/md-ppc-gcc/Makefile.am, src/md-ppc-gcc/Makefile.in,
	  src/md-ppc-gcc/m68k.h, src/md-ppc-gcc/maccess.h,
	  src/md-ppc-gcc/rpt.h, src/md-ppc-gcc/support.c,
	  src/gfx-curses/gfx.h, src/gfx-sdl/Makefile.am,
	  src/gfx-sdl/Makefile.in, src/gfx-sdl/gfx.h,
	  src/gfx-sdl/rawkeys.c, src/gfx-sdl/sdlgfx.c,
	  src/gfx-sdl/sdlgfx.h, src/gfx-sdl/sdlkeys.c,
	  src/gfx-x11/x11keys.c, src/gfx-curses/Makefile.am,
	  src/gfx-curses/Makefile.in, src/gfx-curses/ncurses.c,
	  src/gfx-svga/Makefile.am, src/gfx-svga/Makefile.in,
	  src/gfx-svga/gfx.h, src/gfx-svga/svga.c, src/sd-sdl/Makefile.am,
	  src/sd-sdl/Makefile.in, src/sd-sdl/sound.c, src/sd-sdl/sound.h,
	  src/sd-solaris/Makefile.am, src/sd-solaris/Makefile.in,
	  src/sd-solaris/sound.c, src/sd-solaris/sound.h,
	  src/sd-uss/sound.h, src/gui-gtk/Makefile.am,
	  src/gui-gtk/Makefile.in, src/gui-gtk/chooserwidget.h,
	  src/gui-gtk/cpuspeedpanel.h, src/gui-gtk/cputypepanel.h,
	  src/gui-gtk/util.h, src/gui-none/Makefile.am,
	  src/gui-none/Makefile.in, src/gui-none/nogui.c,
	  src/jd-sdl/Makefile.am, src/jd-sdl/Makefile.in,
	  src/jd-sdl/joystick.c, src/sd-uss/Makefile.am,
	  src/sd-uss/Makefile.in, src/sd-uss/sound.c, src/gui-gtk/gtkui.c,
	  src/gui-gtk/util.c, src/gui-gtk/chooserwidget.c,
	  src/gui-gtk/cpuspeedpanel.c, src/gui-gtk/cputypepanel.c,
	  src/od-amiga/UAEWB, src/od-amiga/UAEWB.aux,
	  src/od-generic/Makefile.am, src/od-generic/Makefile.in,
	  src/od-generic/exectasks.h, src/od-generic/joystick.c,
	  src/od-generic/main.c, src/od-generic/memory.h,
	  src/od-generic/sound.c, src/od-generic/sound.h,
	  src/od-amiga/UAEGUI.rexx, src/od-amiga/UAEWB.rexx,
	  src/od-amiga/amiga-kludges.h, src/od-amiga/exectasks.h,
	  src/od-amiga/gfx.h, src/od-amiga/memory.h, src/od-amiga/rpt.h,
	  src/od-amiga/scc, src/od-amiga/sound.h, src/od-amiga/thread.h,
	  src/od-amiga/Makefile.am, src/od-amiga/Makefile.in,
	  src/od-amiga/ami-appw.c, src/od-amiga/ami-disk.c,
	  src/od-amiga/ami-gui.c, src/od-amiga/ami-rexx.c,
	  src/od-amiga/ami-win.c, src/od-amiga/joystick.c,
	  src/od-amiga/main.c, src/od-amiga/support.c,
	  src/od-amiga/sound.c, src/od-beos/exectasks.h, src/od-beos/gfx.h,
	  src/od-beos/memory.h, src/od-beos/sound.h, src/od-beos/uae.rsrc,
	  src/od-beos/Makefile.am, src/od-beos/Makefile.in,
	  src/od-beos/beos.cpp, src/od-beos/gui.cpp,
	  src/od-beos/joystick.cpp, src/od-beos/main.cpp,
	  src/od-beos/sound.cpp, src/od-linux/exectasks.h,
	  src/od-linux/memory.h, src/od-linux/Makefile.am,
	  src/od-linux/Makefile.in, src/od-linux/joystick.c,
	  src/od-linux/main.c, src/caps/Makefile.am, src/caps/Makefile.in,
	  src/caps/caps.c, src/dms/Makefile.am, src/dms/Makefile.in,
	  src/dms/cdata.h, src/dms/crc_csum.c, src/dms/crc_csum.h,
	  src/dms/getbits.c, src/dms/getbits.h, src/dms/maketbl.c,
	  src/dms/maketbl.h, src/dms/pfile.c, src/dms/pfile.h,
	  src/dms/tables.c, src/dms/tables.h, src/dms/u_deep.h,
	  src/dms/u_heavy.h, src/dms/u_init.h, src/dms/u_medium.h,
	  src/dms/u_quick.h, src/dms/u_rle.h, src/keymap/Makefile.am,
	  src/keymap/Makefile.in, src/keymap/beos_rawkeys.c,
	  src/keymap/beos_rawkeys.h, src/keymap/hotkeys_common.h,
	  src/keymap/keymap_all.h, src/keymap/keymap_common.h,
	  src/keymap/quartz_rawkeys.c, src/keymap/quartz_rawkeys.h,
	  src/keymap/x11pc_rawkeys.c, src/keymap/x11pc_rawkeys.h,
	  src/dms/u_deep.c, src/dms/u_heavy.c, src/dms/u_init.c,
	  src/dms/u_medium.c, src/dms/u_quick.c, src/dms/u_rle.c: Initial
	  import of uae-0.8.25-20040302

2004-05-18 20:20  evi1rich

	* Makefile.in, README, bootstrap.sh, config.h, COPYING,
	  Makefile.am, configure, aclocal.m4, CHANGES, config.guess,
	  config.sub, configure.in, depcomp, install-sh, missing,
	  mkinstalldirs, amiga/mousehack, amiga/transdisk, amiga/transrom,
	  amiga/uae-control.info, amiga/uae_rcli, amiga/uaectrl,
	  m4/acx_pthread.m4, m4/check_zlib.m4, m4/fsusage.m4,
	  m4/uintmax_t.m4, amiga/bsdsocket.library, amiga/timehack,
	  amiga/uae-control, amiga/source/mhint.asm,
	  amiga/source/mousehack.c, amiga/source/transrom.c,
	  amiga/source/uae-control.c, amiga/source/uae-control.h,
	  amiga/source/uae_pragmas.h, amiga/source/Makefile.gcc,
	  amiga/source/timehack.c, amiga/source/transdisk.c,
	  amiga/source/uae_rcli.c, amiga/source/uaectrl.c,
	  amiga/source/bsdsocket.e, docs/COMPATIBILITY, docs/FAQ,
	  docs/NEWS, docs/CREDITS, docs/README, docs/README.PROGRAMMERS,
	  debian/README, debian/README.Debian, debian/changelog,
	  debian/compat, debian/control, debian/docs, debian/menu,
	  debian/postinst, debian/prerm, debian/rules, src/table68k,
	  src/Makefile.in, src/filesys.asm, src/filesys.sh,
	  src/inputevents.def, src/install_libscg, src/ChangeLog,
	  src/Makefile.am, src/missing.c, src/readdisk.c,
	  src/sysconfig.h.in, src/main.c, src/fpp.c, src/newcpu.c,
	  src/memory.c, src/custom.c, src/cia.c, src/serial.c,
	  src/autoconf.c, src/blitter.c, src/ersatz.c, src/expansion.c,
	  src/keybuf.c, src/zfile.c, src/cfgfile.c, src/picasso96.c,
	  src/gfxutil.c, src/inputdevice.c, src/gfxlib.c, src/audio.c,
	  src/drawing.c, src/native2amiga.c, src/identify.c, src/disk.c,
	  src/savestate.c, src/uaeexe.c, src/uaelib.c, src/unzip.c,
	  src/driveclick.c, src/fdi2raw.c, src/hotkeys.c, src/sleep.c,
	  src/enforcer.c, src/misc.c, src/readcpu.c, src/writelog.c,
	  src/bsdsocket-posix.c, src/bsdsocket.c, src/build68k.c,
	  src/catweasel.c, src/cdrom.c, src/compemu_fpp.c,
	  src/compemu_optimizer.c, src/compemu_optimizer_x86.c,
	  src/compemu_raw_x86.c, src/compemu_support.c, src/compiler.c,
	  src/cpuopti.c, src/debug.c, src/filesys.c, src/fsdb.c,
	  src/fsdb_unix.c, src/fsusage.c, src/genblitter.c, src/gencpu.c,
	  src/gengenblitter.c, src/genp2c.c, src/gencomp.c, src/hardfile.c,
	  src/hardfile_unix.c, src/linetoscr.c, src/scsi-none.c,
	  src/scsiemul.c, src/svgancui.c, src/tui.c, src/akiko.c,
	  src/akiko2.c, src/blkdev-libscg.c, src/filesys_unix.c, src/ar.c,
	  src/blkdev.c, src/blitops.c, src/include/akiko.h,
	  src/include/ar.h, src/include/audio.h, src/include/autoconf.h,
	  src/include/blitter.h, src/include/blkdev.h,
	  src/include/bsdsocket.h, src/include/catweasel.h,
	  src/include/cia.h, src/include/commpipe.h, src/include/compemu.h,
	  src/include/compiler.h, src/include/cpu_prefetch.h,
	  src/include/custom.h, src/include/debug.h, src/include/disk.h,
	  src/include/drawing.h, src/include/ersatz.h,
	  src/include/events.h, src/include/events_jit.h,
	  src/include/events_normal.h, src/include/execlib.h,
	  src/include/fdi2raw.h, src/include/filesys.h,
	  src/include/fpp-ieee-be.h, src/include/fpp-unknown.h,
	  src/include/fsdb.h, src/include/fsusage.h,
	  src/include/genblitter.h, src/include/gensound.h,
	  src/include/gui.h, src/include/identify.h,
	  src/include/inputdevice.h, src/include/joystick.h,
	  src/include/keyboard.h, src/include/keybuf.h,
	  src/include/mackbd.h, src/include/memory.h,
	  src/include/native2amiga.h, src/include/newcpu.h,
	  src/include/noflags.h, src/include/options.h,
	  src/include/osemu.h, src/include/picasso96.h,
	  src/include/readcpu.h, src/include/savestate.h,
	  src/include/scsidev.h, src/include/serial.h, src/include/sleep.h,
	  src/include/caps.h, src/include/driveclick.h,
	  src/include/enforcer.h, src/include/gfxfilter.h,
	  src/include/hotkeys.h, src/include/sysdeps.h, src/include/tui.h,
	  src/include/uae.h, src/include/uaeexe.h, src/include/unzip.h,
	  src/include/xwin.h, src/include/zfile.h, src/targets/t-amiga.h,
	  src/targets/t-beos.h, src/targets/t-macos.h,
	  src/targets/t-unix.h, src/td-none/thread.h,
	  src/td-posix/thread.h, src/td-sdl/thread.h,
	  src/tools/configure.in, src/md-generic/m68k.h,
	  src/md-generic/maccess.h, src/md-generic/rpt.h,
	  src/tools/Makefile.in, src/tools/aclocal.m4, src/tools/configure,
	  src/tools/sysconfig.h.in, src/tools/target.h,
	  src/md-68k/Makefile.am, src/md-68k/Makefile.in,
	  src/md-68k/cpuopti, src/md-68k/m68k.h, src/md-68k/maccess.h,
	  src/md-68k/rpt.h, src/md-68k/support.c,
	  src/md-generic/Makefile.am, src/md-generic/Makefile.in,
	  src/md-generic/support.c, src/md-i386-gcc/Makefile.am,
	  src/md-i386-gcc/Makefile.in, src/md-i386-gcc/X86.S,
	  src/md-i386-gcc/m68k.h, src/md-i386-gcc/maccess.h,
	  src/md-i386-gcc/rpt.h, src/md-i386-gcc/support.c,
	  src/md-ppc/m68k.h, src/md-ppc/maccess.h, src/md-ppc/rpt.h,
	  src/gfx-x11/Makefile.am, src/gfx-x11/Makefile.in,
	  src/gfx-x11/gfx.h, src/gfx-x11/xwin.c, src/md-ppc/Makefile.am,
	  src/md-ppc/Makefile.in, src/md-ppc/support.c,
	  src/md-ppc-gcc/Makefile.am, src/md-ppc-gcc/Makefile.in,
	  src/md-ppc-gcc/m68k.h, src/md-ppc-gcc/maccess.h,
	  src/md-ppc-gcc/rpt.h, src/md-ppc-gcc/support.c,
	  src/gfx-curses/gfx.h, src/gfx-sdl/Makefile.am,
	  src/gfx-sdl/Makefile.in, src/gfx-sdl/gfx.h,
	  src/gfx-sdl/rawkeys.c, src/gfx-sdl/sdlgfx.c,
	  src/gfx-sdl/sdlgfx.h, src/gfx-sdl/sdlkeys.c,
	  src/gfx-x11/x11keys.c, src/gfx-curses/Makefile.am,
	  src/gfx-curses/Makefile.in, src/gfx-curses/ncurses.c,
	  src/gfx-svga/Makefile.am, src/gfx-svga/Makefile.in,
	  src/gfx-svga/gfx.h, src/gfx-svga/svga.c, src/sd-sdl/Makefile.am,
	  src/sd-sdl/Makefile.in, src/sd-sdl/sound.c, src/sd-sdl/sound.h,
	  src/sd-solaris/Makefile.am, src/sd-solaris/Makefile.in,
	  src/sd-solaris/sound.c, src/sd-solaris/sound.h,
	  src/sd-uss/sound.h, src/gui-gtk/Makefile.am,
	  src/gui-gtk/Makefile.in, src/gui-gtk/chooserwidget.h,
	  src/gui-gtk/cpuspeedpanel.h, src/gui-gtk/cputypepanel.h,
	  src/gui-gtk/util.h, src/gui-none/Makefile.am,
	  src/gui-none/Makefile.in, src/gui-none/nogui.c,
	  src/jd-sdl/Makefile.am, src/jd-sdl/Makefile.in,
	  src/jd-sdl/joystick.c, src/sd-uss/Makefile.am,
	  src/sd-uss/Makefile.in, src/sd-uss/sound.c, src/gui-gtk/gtkui.c,
	  src/gui-gtk/util.c, src/gui-gtk/chooserwidget.c,
	  src/gui-gtk/cpuspeedpanel.c, src/gui-gtk/cputypepanel.c,
	  src/od-amiga/UAEWB, src/od-amiga/UAEWB.aux,
	  src/od-generic/Makefile.am, src/od-generic/Makefile.in,
	  src/od-generic/exectasks.h, src/od-generic/joystick.c,
	  src/od-generic/main.c, src/od-generic/memory.h,
	  src/od-generic/sound.c, src/od-generic/sound.h,
	  src/od-amiga/UAEGUI.rexx, src/od-amiga/UAEWB.rexx,
	  src/od-amiga/amiga-kludges.h, src/od-amiga/exectasks.h,
	  src/od-amiga/gfx.h, src/od-amiga/memory.h, src/od-amiga/rpt.h,
	  src/od-amiga/scc, src/od-amiga/sound.h, src/od-amiga/thread.h,
	  src/od-amiga/Makefile.am, src/od-amiga/Makefile.in,
	  src/od-amiga/ami-appw.c, src/od-amiga/ami-disk.c,
	  src/od-amiga/ami-gui.c, src/od-amiga/ami-rexx.c,
	  src/od-amiga/ami-win.c, src/od-amiga/joystick.c,
	  src/od-amiga/main.c, src/od-amiga/support.c,
	  src/od-amiga/sound.c, src/od-beos/exectasks.h, src/od-beos/gfx.h,
	  src/od-beos/memory.h, src/od-beos/sound.h, src/od-beos/uae.rsrc,
	  src/od-beos/Makefile.am, src/od-beos/Makefile.in,
	  src/od-beos/beos.cpp, src/od-beos/gui.cpp,
	  src/od-beos/joystick.cpp, src/od-beos/main.cpp,
	  src/od-beos/sound.cpp, src/od-linux/exectasks.h,
	  src/od-linux/memory.h, src/od-linux/Makefile.am,
	  src/od-linux/Makefile.in, src/od-linux/joystick.c,
	  src/od-linux/main.c, src/caps/Makefile.am, src/caps/Makefile.in,
	  src/caps/caps.c, src/dms/Makefile.am, src/dms/Makefile.in,
	  src/dms/cdata.h, src/dms/crc_csum.c, src/dms/crc_csum.h,
	  src/dms/getbits.c, src/dms/getbits.h, src/dms/maketbl.c,
	  src/dms/maketbl.h, src/dms/pfile.c, src/dms/pfile.h,
	  src/dms/tables.c, src/dms/tables.h, src/dms/u_deep.h,
	  src/dms/u_heavy.h, src/dms/u_init.h, src/dms/u_medium.h,
	  src/dms/u_quick.h, src/dms/u_rle.h, src/keymap/Makefile.am,
	  src/keymap/Makefile.in, src/keymap/beos_rawkeys.c,
	  src/keymap/beos_rawkeys.h, src/keymap/hotkeys_common.h,
	  src/keymap/keymap_all.h, src/keymap/keymap_common.h,
	  src/keymap/quartz_rawkeys.c, src/keymap/quartz_rawkeys.h,
	  src/keymap/x11pc_rawkeys.c, src/keymap/x11pc_rawkeys.h,
	  src/dms/u_deep.c, src/dms/u_heavy.c, src/dms/u_init.c,
	  src/dms/u_medium.c, src/dms/u_quick.c, src/dms/u_rle.c: Initial
	  revision

